# =================================================================================================
# Hinweis zum Ausführen mit Python 3
# =================================================================================================
#
# Folgende Pakete mussten bei mir noch zusätzlich installiert werden:
#
# (1) Pillow
# (2) PyAudio
# (3) pydub
#
# Lizenz: CC BY 4.0 - Johannes Cuno, Pädagogische Hochschule Ludwigsburg, 15. April 2020.

# =================================================================================================
# Eingebettete Bilder im PNG-Format - Der Code wird erst ab Zeile 797 gehaltvoll...
# =================================================================================================

mikro = '''iVBORw0KGgoAAAANSUhEUgAAAIAAAACACAYAAADDPmHLAAAABmJLR0QA/wD/AP+gvaeTAAAACXBIWXMAAAsTAAAL
EwEAmpwYAAAAB3RJTUUH5AQMFDgnV+3ocAAAABl0RVh0Q29tbWVudABDcmVhdGVkIHdpdGggR0lNUFeBDhcAABLVSURBVHja7V1
5UFTXmv810AJNI4usLojQsdldSlQwikYx7hriMiqRytMMDgYzxjzN05h5rzISyTgxFUetmhcTt6dDqRNfopM4ghmVuMYNEYWoLG
ojCI3d7DTNmT9o3kPS99zby719G/pXdaqr+mzf+b7vnvU73wEc6NOQ9MI2SQHIAIwGEA1gKIAwAIEAvAAoABBD290MeZoNv3oA5
QBqAFQDeAygBMBdAAUAmgC0OxRAXAgCMBLATMNvLAAfnuqqBnDHEP4KoMjwnwMCK+1EAP9u+DKJDUM7gFsAtgEY5xANv3gNwD4A
z20sdFqoBvBnAK86xGUdeAH4VwBqEQudKTwDsMkwJ3HAREQBOG6HQmcK3wAY4hArOxQAzvQiwfcM/21oo2MV0APDAOwyzOStsxa
USiGTyRAcHAylUomwsDAMHjwYnp6ekMvlcHd3h4uLCwCgvb0dTU1NaGhogEajwZMnT1BaWori4mI8e/YMTU1NaG+36urvLwA2An
ja1xXAE8DnAFZZWtCgQYMQGxuL5ORkjBw5EsOHD8fgwYOtQmRFRQWKi4tx48YNnDlzBnfv3sWzZ88sLZYA2AFgM4CWvtjdpwNot
KRLTUpKIl9++SUpKioiHR0dRCjodDpSWFhIPvvsM5KYmGjpsKAGsLQvCd4fwBVLhL5v3z5SV1dHxILa2lqyZ88eMm7cOEsU4SfD
qqdXY7U5zJFIJGTDhg2kurqaiB0VFRVkzZo15iqBHsD83ir8XFMZIpfLyc6dO4m9Ytu2bcTFxcUcRfiv3iT4UFM3cuRyOdm9ezf
pLcjOziaurq6mKsEjAL72Lvx5hm6NU6NdXFzIxx9/zLtA9Ho90Wq1pLa2ltTW1pL6+nreJ5Gtra3kvffeM1UJ2gAk2Kvwf29KY+
fNm0cqKyt5E4BKpSJfffUVmTVrFlEoFEQmk73U4yiVSrJgwQJy8OBB8vz5c97oePToEZkyZYqpivC2vQn/P7g2ztvbm5w6dYpXh
qekpJg0Fru5uZEVK1bwqpCHDx9+SQk5hH+xF+Gf4tqolJQU0tLSwhuTP/zwQ4vW6BKJhGzbto03+jQaDZk8ebIpNP2n2IV/mmtj
9u7dy+tGTWxsrNX28CdNmsT7JNEEer4Wq/D/h0sDZDIZuX//Pm/MbGlpIUFBQVY/yImIiOBVCS5evEicnZ3ttifgNOYrlUry4sU
LXhkZHR3N22ke3z1BVVUVGThwIFd6/igW4X/IheDp06cTQgivy62MjAzej3S3bt3KqxI0NzeTMWPG2M3qIIULoStWrOB9bX/r1i
1BzvQlEgl5/Pgx7+2ZNWsWV5om2Er4Si4EpqenC7Lb9tprrwlm2LF06VJB2pSSksKFHh2AAKGF7wygno24tLQ0QRj18OFDQS17n
JyceN0s6o7Zs2dzoemJ0Apwjo2omTNnCrbXvmnTJsHNu/bs2SNY++Lj40V1gLSejZiYmBhBD1ssPIc3K8yePVuw9jU3N3NdHfwD
38IPYSOif//+ghyudKGtrc2U9bPVwsCBA4lerxdMCaqrq7lsZ3eYalTiZMZmDxW3bt2Ch4cHJBJhzA3r6+uh1+sFnwGrVCrodDr
hzKj8/ZGfn8+WTALghM26/iNHjgh+1n7v3j2bmXlrtVrB27t9+3YutKVaW/iBhuWGzWf8PXHnzh2bKYBarbZJm6dOncpGmxaA3J
oKkEOrMDAwkLS3tzsUQCBotVri4eHBRt8Oa80BRgFYTNWOnBw4OzvDAWHg6emJb775hi3ZP8NK19HyaZq2fPlym9rb9cUeoAvTp
k1jo/GopcIfR6vA3d2daDQahwLYCOXl5UQikbDRqbBkCNhJi8zKykL//v0dfbKNEBISgvXr17Ml22Nu+RPYJn5iQF/uAbqsn9zc
3NhoHWpOD/Bv1K5h507HJygCuLi4ICsriy1ZtqnlhtM0avDgwUQs6Os9QBc49AIepvQAv6dpx+eff+749ESGrVu3siXZyLR3bOy
/NgAuxjJ4e3ujrq5ONA0vLCxEbGysTepWq9Xw8fERDS9Yzl+ew4jhiLEeYCGT8AFg8+bNjs9NpHj//fep50no9LTGiv+jjSXNzc
1ETHDMAf6OyspKNpr3sfUAfgDGMmnGwoUL4ebm5vjURIqgoCBMmjSJlmRWz2G/pwJMAuDOlDsjI8PBZZHj7bffZhsGJtIUYDlTT
l9fXyQkCHNTedeuXYiMjERgYCCWLVuGmpoaEELsShBlZWV44403EBAQgBEjRuDgwYOC1LtgwQK2JClMEf3Q6R3b6PixePFiQcax
tLQ0o/U/ffrUbuYARUVFRtNv2LBBEB4mJSXR6L7LpAARtMaeOHGCd8Jv3LjBWP+0adPsRgFiYmIY81RUVPDOx507d7LRPtDYEDC
VSTOkUinGjh3Le/d18uRJxrjr16/bRdevVqvx6NEjxvi8vDzeaUhOTmZLMsKYAkxhSq1QKBAcHMw74c3NzYxxhBBBjTDNhU6nQ0
dHB2N8Swv/PiGVSiWbk8xZPRXACZ2PLRjF5MmTxbCT5YAJGDFiBC16TE8FcEXnAZBRTJkyxcFRO8Prr79Oi44yTPr/pgDDqamjo
hwctTPExcXRovvDcIGkSwEYnzuRy+WIjIx0cNTOoFQq0a9fP1qSUd0VgNFuzN/fH05OTg6O2hmCgoLg4eFBSxLdXQHCmFLFxMQ4
uGmnCAkJoUUrOCmAUql0cNJOERERQYse1F0BBjGlCg0NdXDSThEeHk6LDuuuAIxXin19fR2ctFOwbN759NwHMIoBAwY4OGmn8PT
0pEX7dVcARnh7ezs4aafw8qL6inDrUgA/WiqZTObgpAlgs1sQ0q6BZRmILgWgSrjraTUhQDsLIIQY9QRiyz0KY3WLSQG4yM7JEq
FYG7TeRq/Xo62t7bczGRuaZRvbaWtpaaG+McgyLgv2QXVXAOqLiFZ+MJEKf39/xrjW1laj9xFstUrx9vaGVPrbZ4FfvHhB5Rmtj
dYGF9k5AVDREtDO6K0N2s6VTqeDSvVbUl1dXW2yWRUXF2e0izVGY3cMHTpUMBqbmposHwK0Wq1gBLPsXOHevXtG/584caLgCsBU
57Vr16j5goKCBKORRXbNnBSgtrZWMIL9/Pzg6sq4JcFoMrZy5UrBFSAtLc3o/7m5uYx5Bg0aBLlcLhiN9fX1tOjG7grAeNlPrVY
Lumyh3fO7fPmyUbOw8ePHY/jw4YLRmZCQgFdeecUor27evMmYLyoqyui8gS9UVVXRop91V4ByplQVFRWCflnjxjGaJqCyshJXrl
wxGvfJJ58IRuOnn35q9P+8vDzquMvBWNOqKC0tpUW/JNi/gsGEeNGiRYLebzt//jzVpHnBggWMeSdMmMC7KTit/oSEBGreoqIiM
flQfsl1zBew0Vs5PdHS0kL8/f2pjHzy5InRvGq1mvTr14834fv6+jK+csb2YEV4eLjgl0X9/PxoNH3UfQhgNGRnW9ZYG66urpg/
n/5+cmZmptH/fXx8qGOwpZsqd+7cYTSzSk9PN2vSyBfq6urQ0NBAS1Lw0qqGSVOcnZ3JgwcPBNXc27dvs36NFy9eZMxfWFjIxX0
a5+Du7k4eP37M6AH96NGj1PzOzs6CPDPTHZcuXWJr10ubLp60xCdPnhS8+2Ibz/v37091115TU2OVF8QSEhJIY2Mjo/C1Wi2ru3
qh51GEELJ3714aTe0wnAZ2wRmUi6FCXWrsjmvXrrEKJzExkbWc3bt3s84pwOAI69ChQ6zlKxQK1t6mtLRUcP4tWbKERtNVY2PCd
0wZRo8ebROPF3PmzGEVVGpqKms5er2eHDt2jMyYMYOqDEFBQWTu3Lmce7zk5GRW+lavXm0T3oWFhZn8+ugfmDLI5XJSU1MjeCMa
Gho4fa2mPEvX0NBASktLyfnz58nx48fJt99+S37++WdSXl5ukvubmTNnstLl4eFhE+GXlpay0WbUD0QcLVNeXp5NGsM2weoKSUl
Jgrisb2pqInFxcZxook1U+cShQ4fM8hzqCaCWKdPKlStt5vzorbfe4sRwHx8fcuPGDd7oOHv2LHF1deVEy+bNm23GL5ah8wFtbX
iGKWNISAjR6XQ2a1RERATnCdyKFStIfX291equqakhc+fO5Vx/UlKSzfjU0NBAZDIZjb4D1P0KWsP4/Lq4dL2mvgq+atUqUlJSY
pELuqVLl5r8yriQr4n1xMmTJ9lonE1TgCGgvA30zjvv2NQPXm1tLQkODjZ5SRcdHU3Wrl1LcnNzSVlZGdFqtS8JSa/XkxcvXpDS
0lLyww8/kPT0dKJQKEyuR6lU2tyPIkv3X28Y6v++w2lECa4DGG1MO6RSqVG7PCHR0NCA+Ph43L9/3+wyfH194eXl9bdt3dbWVmg
0Gotc4I4fPx7nzp1ju5HLuwUQiyXwaQAz2MpZTdPyAwcOiMIr5uLFi23mHKpnWLNmjSh4kpWVxUbrHC6K5EYrRKFQELGAw3KH1y
CVSsmpU6dEww9PT08avSYZdx6nNfzChQuiabRGoxH06fiukJKSQlpbW0XDh8OHD7PRvMsUBaA+FzNmzBgiNly4cIFERkbyLvgxY
8bYdDXEBA6PSw8ydU7xiFbgpUuXiBhx7tw5MnfuXM4bNlyPg5csWUKuXr0qyjbn5OSwteG8OZPKeWxLKzGjrq6OHDlyhMyfP5+E
hISYLPTQ0FCyaNEicvz4cdLY2CjqtgYGBrK1Z4K5K4tKWsFHjx4l9oCOjg5SVlZGrly5Qu0qY2JiyNWrVwVx52otfPHFF2zCv2r
J0nIJRPpmsLmgzROSk5Ptqi1arZZt25egm1NIc24G5dBMxquqqrBlyxb0FhA7c0mfmZnJdv3rZwC/WFrPNJqGSSQS8uuvv/aKHo
DJI7kYcfHiRS5zmVFswuVyuT4XwEXaV/Pmm2/CAeHQ0dGBRYsWcdnLuWkNBQCA31HtiwsKBL2Z09fx7rvv4unTp7Qk7QDWWLveX
WxdzrVr1xxDAM/47rvvuHT9m7gK1RT/KmvR+fggIyZOnMh2I9UBC6BSqVgvzQAoAZDFhwLoAVAHnpaWFsTHxzskxQPa2towatQo
LiuVOaaUa6qHpXNgeY++uLgY8+bNc0jMykhKSkJ1dTVbsj8B+JVPBQCADLC4lfn++++xbt06h9SshGXLluHy5ctsyW4B+KNQNAU
B6GCbjGRnZ4tuEhUVFcVI7/Tp00VH77p167hM+ppAefCTBnOdAD4zjDWnaIk2btwINzc3rF27lneNrK+vx/79+3Hnzh3GR5tcXV
2pt53v3r2LjIwMxsepnJ2dER8fj9TUVKorG2vho48+wo4dO7gknQATDT6shT9w0E7ee4L79+8TuVwumDFIQEAAUalUvLZp/fr1X
On5na2HqANcCF23bh1vzDLlzoC1Ap+2/6mpqVzp2C6WecoFLgTPnz/f6sxSqVQ2swlsamqyalt0Oh159dVXudZ/XEwTVYlh35mV
8MjISKve2ikpKbGZAlizHdXV1VzMuiyy8BECd7k0QCaTkevXr1uFce3t7cTd3V1w4YeGhjI6jTAVubm5rE4muoUCsS9bb3Jl4ta
tW63CwH379gmuANYyB//ggw9MqfcSH103H2XmA0jkknj06NE4duwYhg0bZlGlP/74I7Zs2YLq6mreDDskEglCQkKQnZ2NxMREi8
oqKChASkoKHj58yDXLCQBv2NMG1l+4araTkxPZsmWLTS9VCoXW1laSmZlpao+zA3aKj0xpaHBwMDlx4kSvFf7+/fuJt7e3qcJfb
e9b2TNNHV9HjhxJfvnll14j+J9++smc28Y6sBh02hOCDAdIJjEhMTFRtJcxuCAvL4/ExsaaM8m8j84Hnnsd9poz446OjiY5OTl2
cwfh66+/JqGhoeauMLajl2MqALU5zJHJZGTNmjWksLBQVBNGnU5Hrl+/TlatWmXKer5nqAAwoq8ccfdDp2GJ2evw8PBwkpGRQfL
z84lGoxFc6Gq1mpw9e5asXLnSrKtnPcI2W27h2hJxAP4MYKwlhXh7eyMiIgIzZsxAYmIiIiIiMGTIEKsSWlZWhnv37iE/Px+nT5
9GSUmJNewf8wCkA3jYVxWgC3PQaXUcYo3CpFIpPDw8EBYWhtjYWERERCAgIACBgYEYMGAAvLy84O7uDqlUCkII2tvb0dTUBI1GA
7VajaqqKqhUKhQXF6OgoADl5eVobGy05gtqBQAyxbynbyssAcuFVDsP5QAWOsTMjuWgOK+2w1AMFvdsDhjHJAD/a8eCP2zp/MYB
wzwPnVedikQucB063ez9I3r443fAelAA+CfDBEorAqHXovMCbRo6HW3aFSR2rgxeAIaj053NOHReh/bjuc5KALfRaQb3AzovYjT
YKwMlvax3kKLTFepIQxhu6DGGAQgE4MGxnEYATw2z9gcGId8GcMMg7PbewrDepgBcMcRI23WGr7tP4f8Bo78CWLNuWF0AAAAASU
VORK5CYII='''

anleitung = '''iVBORw0KGgoAAAANSUhEUgAAAn8AAAHfCAYAAAAhur6IAAAABmJLR0QA/wD/AP+gvaeTAAAACXBIWXMAAAx1
AAAMdQEteJR1AAAAB3RJTUUH5AQPECMZKgY5cwAAIABJREFUeNrsvXmYHlWV+P853Z0FSEggYUnCEgiyBAQCGNnCjhqURRFQBkc
FdVDHZRxEGZkfOCo6X8AFFwYFowgquCRAAIEAQUgE2SEEAoQlkBAgIZCE7Mn5/XFO0dWVqnfpfjv9vm+fz/O8T/dbdetW3XvPe+
vcc889V1SVIAiCIAiCoHfQElUQBEEQBEEQyl8QBEEQBEEQyl8QBEEQBEEQyl8QBEEQBEEQyl8QBEEQBEEQyl8QBEEQBEEQyl8QB
EEQBEEQyl8QBEEQBEEQyl8QBEEQBEEQyl8QBEEQBEEQyl8QBEEQBEEQyl8QBEEQBEEof0EQBEEQBEEof0EQBEEQBEEof0EQBEEQ
BEEof0EQBEEQBEEof0EQBEEQBEEof0EQBEEQBEEof0EQBEEQBEEof0EQBEEQBEEof0EQBEEQBEEof0EQBEEQBEEof0EQBEEQBKH
8BUEQBEEQBKH8BUEQBEEQBKH8BUEQBEEQBHWEiAwSkd1D+QuCIAiCIOgdjALeIyJ9CxVEVY1qCoIgCIIgaAJERICNVHVZKH+N1X
B9gL1Sh94C2oBNUsdmAqNT358CVgHrVHVNhfcZA+wADFLVCd1cplbgaGAw8ICqPrsB6nGDlS8IgiAIekBfGAQMdf1gBfCGqi4oe
10of3XZmAOBPwLHAM8DvwAGAl8EhgB/Bs7y48e4Ing88H/AQlU9pcL7nAF8GjhIVaWby9QPuAT4HPAJVb1qA9TjBitfEARBEGxA
PaEvcDgwIuf068Cdqro0lL/Ga9g24BVgrqru7ce+B/wXsJeqPiYiGwELgO1UdaGInAAsVdUpVdzn68D/2xDKkYhsAby2oZS/DV2
+IAiCoOo+ehNXYAYCbwBzVHVt1EzZejscEOBZYDmwFmgF+nl9DlPVSUXXt0UV1iequkZE/gp8TkRGqepszOoHZuV7DDgMmKqqC/
2aSa40pgVksF/3nKY0fRHZGlvwozlCtd417kPQCqwDhqvqy6n0I1yW5mBTu8+q6nM5+aTvvz2wTFVfr/B5k/sLsKPfY22JH0bNy
hcEQVO+PEcA304dekxVLylI2x/4WerQPFX9//zcAcAZqXM3qupEPzcSODd1bjXwFVVdVXCfLwN7+tdFqvp1P/4RbJYnYWreAFpE
fgpslDr0E1V9PJOmBZslShZ8vq2qX8kpY6Xcpaq/S+VfWB+Z5/gQ8J/AwRld5C0RuQG4QFWfDEktZFAJ5e5lEXmfiGyiqm8XKRn
xqdMPcJQrL2e50vO8j4we8vM/B870/6e79j8pdf15wBPAHcBUFxaAC4BFrkDONTEovsb/rgSu9f8V+Ij/YH+PTTvfCszz/G4pyG
eoXzvHjy/0H3i5552I+TI8DDwDLPV7Dimot5qUL2QwPvFp6v51D/+tJ5/JJdIOyKSdkTp3Wubcd1Pn9sucU+DTJe4zOZXu5dTxU
zJ53Jpz7WY59/piTrp3ZdLcUVDGSj//l8m/sD78fAtwWQX5rgBODVktlJXDgTH+Duvn7+N+bkEdDZyIz+7mfcLyV99MxaZ1PwLc
DrwAPACc5ZazDwLfdyX+QBGZlhpVjQfOB0a5FW428E0RuQk4xy10twN3A8NLXaOqh4nILOAkYHfM13A+8CHg48BIV+jmApcDTwJ
/yOYDXOyPd4uqflZEjgcmicjN3vGcn3PNOar6Yb//NsDOwDBX4I50hS09mhxXw/IFQRDUmrNF5Lequq6Ka6Zlvu+Zk2aXnGN5sd
72LJN3d/NfmO93OfoBvxWRF1R1eojNekwHjnAFMMtSYIqW8OsL5a+O8anficBngTN9VHi3WwLP9WmB9PRkuqFPxHwAzk6WfbtCl
KR5QFXVFcaDylxzjl/3jKrOxKabEZHD/LpkOrY/tjL5qIJ8fpjc2/8+5H+PwnwUiu6dlG26qi4SkTd9VJjX2Y2vVfmCIAi6gV2B
44BJVbwLXhaRF3ygDbCViGypqq9l8s0yOufYXj2l/InI0FSfnlZUHgYWY1bJnTM6yg9F5ACNBQpZmVgJ3CwiWwFbk1rti/lNlhx
chPJX//zJlb/P+Y/7aeAl4DPAd0pctwmwBrgS82ObQPt0LVhYmKwMFF2TMCun03gYuBOb8v07Zvm7rCCfgX7d6szflRXcG8wKii
t1iXNrltYali8IgqA7+KaIXFelQjMtpfyBWfDSi/sqtfztlTEY3Ftwv6don60pxVNVlOE4YOPU91uAf0n81n1Qfpy/9/p4mvcC2
2MzX0FHZbq/19NzqrrEj40EthaRFar6RtG1scNH/TMV842bDTztncWf/dwNWVnwD5gPXj+gv6re6239hVRnMdYdfw92gWkrcU2S
9yuZ+33aFbgvAp/3z9sl8tnCr9s/1XkpcGOZe5MqV15Z09SyfEEQBN3Be4FDq7zmnsz37PRtWvlL+rKhHmWh6LoZqvpmwf3mqur
lFXzuqbLcac5IFL9kYK+q1wEXZdLtFyKznuI3FPgo8D7gJBHZx08NAg4ETih1fVj+6hxVXe1Tv2+nRol/Bk4FHkwJwqXAvsAKEb
kAmxYeA0wWkWex6c6jVXWBiFyELaKYi03VAjzincJ614jI1dh2MZuJyGJVPcuveRYYm1FC78CmUtfLx3/4DwE7i8j1mMP1l1X1U
RF5vOAaRGQCtsJ3iIg8hvk6bgycISIzVfWaVH3dVsPyBUEQ1LRLTw1av+mD+1opf8m071LM3/k0/757ch8PCDwydc2G9vcbmvp/
iarOLUg3iY7Tw+9JGT2CdkX6ZeBVzA9+b7f2PeozY2PLKRfxqf9VPUNJrWx1i9VOFV67KbAT0Jo5PgRbHbYJtutG33LX5OR9vlv
TRvvnWO/cBuXl4yOSId75bQdsUunzdqLOuly++MQnPrHat8arfa/NfB9TyWrfVL+/KHX+odS5NszVRYH7afdj7rDiFxiXuf9pJc
o4pZP1Wqo+rsicG12QRwvmx5Z8BofMrldHJwEtqe8jve5HusJ/eqnrw/LXGNa/BZnv69zqVsm1izFH2uzxhdVek8PerkiNxvwOj
gSuU9W38vJJjjtzunjvcuWuRfmCIOg9tInIgIJzA2p0j9t8liGZovsG8LEK+7R1IjKd9nh/u4tIm2/nuQPtPnJPYqGwEkaXsBZu
aMtf1q96uoj8D/Dr9PSzv+Mi4kJp3gZafcFHi6q+ICJv+3v4tXIXh89f0BVOxZbtb4eFYbmG9gUlQRAEjcT7gSUFn1r5Aysenss
5SUR2quL6tLLWl/aVsWl/v6cyyl960Ud6sccrlF5EcZCIPFvmc0OV5b8v830QtqhkgYhMFZGzRGRXX/gRlGYG5gJ1VDKY8E0Tbq
Hj9Hr+SCfqL+h0L6a6DPPxuyNqIwiCoCImYsHq34UZYM7CQnlVQp7f30w6hnl5EtsQYCW2wK3I8jetzGrj/piVshRLq3xn3OU+7
B/OnGrFFsAcClwIzHI/9t+WWJDS29+/c0RkGbAlFgEkOb5IRK5j/cU1HQjLXxAEQRBsuJf2WuB/U4c+JSLDKrz8ftpDZKWVuQ6W
P58KTqZYtxCRLUSkFXh3CUVyQ/El2mO8FrEL8GNgtogcElJTKEsLsIWNW4rIniKys4gMVdWVqvr3UteG5S8IgiAIzIr1YsG5VvK
DKHeWq7B9hUdg1rmvYKt/y73sl4vIg3QMl0Xq2dbQ7g/+ZOr8aGyaNx1jb1pPVLKqzhWR/V0J/CT5u5UkbA5MEZGDVfWfIaLtiE
hfbIu3ETnnXgfuVNWlofwFQRAEQTF3qeqHCl60AzDfv1opQCtF5GLadz36vIh8v8LL78lR/hLL32xVTSyDWb+/dLy/ZcCjZe7zD
+Bfy6RZ1cnyr/ay/1BEdsN8xccDB7D+jGQfV5THh4h24CDMCjwFWI6FLmv1wcQIzBewcBeZmPYNgiAIgg3Pr7CtuMCiJny+CuUv
YVsRGZVS7J5Mncsqf+nFHvellMQilqnqs2U+c2qgCD+pqt9T1YOxeHVfxqYy03xARDYOkenAIFW9Q1XnqOrrqvqG/31ZVe8Dlon
IJqH8BUEQBEGd4FNyl6QOfZX2oPSlmJ75/tHU/08VKH+jM8rftDqtk9dU9af+vNlwZtuF1HTgLREZIyKDRKSfiLT534EiMhrbTn
VZ0cUx7VsG3yLsQ6p6fSevH4PFYBqkqhNSx/sC69wxt7uefRi2zctMVX2yk3kcjQVLnlflNj61eP7cuutkXqPp6O+yDngm2Q+xB
s/6Pq+nl1V1WgPKebZ+0qxV1Yd7Ug5D3ppH1oIO/Az4OhaMfisqCNGhqq+LyCzap3pPSp1O/76exXwA2zDL37KeVv5EZD4WdB/g
cVV9T0EZF4vIX7A4iAmbhbisNwg4Atu1KstSLEh34WrusPyV5yhgkohs38nr9wG+Bvw6c/wm4Opu/JGNBR730d5METm5C+X/FfC
pHqj7orrrDJ/Atge6H1tp93XgbhGZVaPVZEcCv/T75LXHLiJyRB3L+SewzdTvx+Ju/SdwgXcw0yuUufXKWEM5DHmrUNYaRN4C3g
lG/8vUodYKL00rb/um/n8qlfcq2q1nWwDJO0yBe3uoyAsxn7R+wBgRGVwi7ZCca4P29l2pqjcDN2JbvT6FbWN6B/BnVX2j1PWh/
JXnTGw7ss91soGuAK4rGPH9qhuf+2xsOf33sC2FZnfy+b9BD0VaL1F3ncnrnFQn+01V/biPmFYCEz0MQlfyL1dPp2AbcNdrR3IO
cGm6flT1fdj+yv3dUl2OvDLWRA5D3qr+Tda1vAUd+CEdw7dUQtEszFOZ7zNz0szowdh5j2YU3Z/47Fp28DKKjtPZi4HnQlTWq6f
+2IKY51R1uqomIXS2FpHNQ/nrfMVuhe3N+ChwRvYFKEaf1PcWEWlLfd9aRIb7SCvbgU8itam3iAwtsi6KyDAR2UtEBlZyfxeIUc
DrgKjqKcBDfq6PWwVaK71P8vwi0tejr7dmnqFNRDYWke1Sx0eIyJY59xgsIqPKRXAvVXd5ebivw27+LCMLsl2XLo+bxJ/GwglsU
a5NU2UtqsN0PfX3Tz8RGeEv4zY/1lrFM29I3qkfEdlJRG5V1bu80x1Uqg7yypgnh6r6YEH7Jfm2iMg2Ocdz67xInipoqx6Xtwr6
j1JlyJW1oraoU3kLTC5eBq6sgfI3x7euLKf8VTrle6SIaIWf/hXmeVXm+78CD4rIf4rIiSLyCRH5oQ8Y01bB67vTRapB9ZOhriC
/D9spJtkycBDmZnNCOcGLT/HGyd/Apmw+653tyalzd/lo7cfYcvvnvLP/jJ+/ANuE+zFs5ZKmrp2OLc2e5FbFC13Yb/NjG3m6Pt
iWaTf5ZylwXLn7A9dj/h2vebqJwArgYSyy/FLvFIaUu4+ffyrvWmwbmRV+/Gm3alzhFqQXMX+TT6XyOQ94ws3SUzHfqrx6L1V36
+WB+ck8CPweM3svLcj3m96O+/n3Qdj2Rg9UUKcl6zBVT/+Hbaq+yPO6BjPLrwZe9k77/ZU+8waW97O8fs5wq9UMP74bNk1TWAcF
ZewghyXab6rLzrX+v2KhH8rJba48VdJWPS1vFfQf5cqeK2t+riHkrQ7kfQ9vn+QzuUTaAZm0M1LnTsuc+27q3H6Zc58pyH9nb/9
02pdLPI/476rk8wMfz6RR4LQKy1jNp3+F9dEC3Fpl3iuAXUMnWa+9Pggc5v3zEcDpwOiUbJ9e8vqoxMKKbfFOd2ds1cwSLGhiOs
1c4Mf+/8Dkxw2M8/+P8h/pPekXiqef5oreSZ52mN/zdeD8TOd0rH9/DJhY7v7+fQbwm1TaWZ73ZthKqneU2Qru85RfuzkWIT597
RM+BbURcKKf+6mXezLwpKcb7+d29O+zge/n1Hth3RXl4UJ/iyso2wGLyryMZ/tzP+HTfMMqrNPCOsy8kE/DHK93S52bD/wg9b2i
Z+4h5e9ur4cZOWlKyVGHMmblsJQMeL7qeU4FDix1v3LyVK6t6kHeSslaBXVdKGuNIm+h/K13j2srVf48/V8z6fP6071ylKkdekr
58/PDXX4ryXcNcGroJLntdRLQkvo+0ut+JLbAp6TyF9O+xRwO7OjWi/uxFVOHeUDKDlMvOSTBKB/wt0iemT259gTgLWC+qq7zH0
Virn3C89pWRH6HOewOrOD+FNxvuqou8pfFCtpXi5W7D37tG/4yT1+rwN2qujzlkzHVy/0M7Su0TsSCUJ4tIpe5snh0lXVXlMcM/
7vArY7nlamLfwX2VtXdVfV4VX2lwjotVYcJ7/MpnGvLrGyt9pk3JF8ntcBHRD6cmlKopA6KKCUDiq2Gnamqh6nq9DL3KydPlT5n
T8qbduE3W42s1bu8BcYPujj1+3hOmqdT7gdgu3y80MPT3PNcKb7MZ8CKeAg4XFV/H6KRy9tAq7trjVDVF3yAtz+2crwkEeqlmM9
hK//+4t9He8WeiW3F88670f+mt1hJfHNWVVDP2RdAS+rYDsDPsVWYF7pGv97Uf879i1iQ+B6JyNrUc1Zyn6JrEyFMl+Ut/7s2lW
YTH8Vd6Z3RhIKXX6m6K8pjMx8F7Qt8CHMivrtEeJKVZQKclqrTUvWAT8HdDHxLRG5JKTGJIjUQONU74GqeeUMzHVv1C/AfwHcrr
YOkjKp6WSbPcjIwqwq5rUSeyrVVPchbud9vqTKUlLUGk7eeUEJmpOq/XNqlRWlV9SrW92VLzj1QxT0eqjStp/8h7TuEFKVZToUr
iEuVscp6LayPzL3OFJGzfQC2g89+rXR3hbuBR0qFKgmYgU39DgTeBOZ6GKBbCgwr6ykawfod5k6Yz9Fkj5b9MuaP9yjwSRHZ1JP
OB0a6I/gHUi+PKf7/WF/JdLDn25bp9AUz3Q8CRrhj9q5+DGyqZnsfpc/HpinaUqujiu6fzj/7kiHnfLn7lLo2+z8F527Fppz6q+
q9LntfyKn+UnVXlMc4//stVd3T22lIiRd9KWW8XJ0W1UPy/QEfNMwA/uCLCJIX9WAsnMjhRc/szv3nisjuPSD6Sf20qurbqjpBR
D7sz7qggjrIlrEaGRC3ShQpR9n7lZOncm1VD/JWStYq+d0VyVql8rZ1D8paEKCqi1X1GlX9gap+RVXPVtVLVPXhUPzK1t0czPr7
IKnFoz5TcB3rB8leL4P4dJxH39+tAOod6NF+/GFs2kUxP5zRmGP8Wn8x3pQ6d4Zb0BZ5x/wsKT8RbNplhWvr38fCYDyOTTn90V8
2AIf6C+IZzNn7csyR+0d+vuj+6ukWYBHkJ6S+f4V2h9uXsVWBhfcpc+2S1Lkf+bXqZfkxFpdpHRbPsMWfZRnmU/gwMLSgDXLrri
gPt0rNxPaivBGbqm/L5HlDql2XAj8suHcldZpXh1e6leh14CJ/XsW2bzrOn3GtKzj7Fj2zW11XAX/bwHKfrp+FmJ/aG7T73mxXg
Rxly3h5Rg6L2u9qr7vXgItSz1Tqfh8vkqdyz1kv8lam/yhVhpWlZM3zrkTeduoJWYtPfOLT8x8J5brLVsJNMUfZ+diCiGXAClVd
JyJDXPlZha2oXeaBN/PyGeRK36uZ463+4n3R8+ynqisruX+V5Sh5nxrX15bA86q6tkS6wrrL5uFTW8vdgjrQy6Dd0aZdLPswYIm
qLi31zCLyUeBIVf18A/4e3iljV2WglvJUQT49Im/dJWuVylsjy1oQBF3oH0L5C4K6Up52w1Zxftwdo4MgZC0IglD+gqCJX8j9gQ
GquiBqIwhZC4Kgk7/vfVI7fqxHrPYNgjpCVVdg/qBBELIWBEGeYjcMWxxaihFYuJxQ/oIgCIIgCBqc/lhonCUl0pTU70L5C4IgC
IIgaBxWYLtnFcbpFJGDQ/kLgiAIgiBoAnyXoFcqUBBD+QuCIAgaDxE5Atg2aiLoBm5W1dca8DfRgsXnnYWFiToiJ9nWWCD4UP6C
IAiChuNr2DZWQVBrxmHB5RuR/kAfj8s7AgvOn4RvEcps6xfKX/1p9MOAA4GZeZu1i8gYbB/EQao6oZueYb17iEhfYJ2qrqkwj9H
Axv71TVV9NuceiXC+lA1uXSdtUVWZQ17Xl9cNIbO1kNdmkNmQ1yDoHXgQ+JtTh1qBf6atmCJyYKk8Ym/f+uq8x2Jbo+0FzBSRk3
OS7eMj4V9346Pk3eMmbBuuSjkNuBa4H7gztU8wIrILtgT9fmxj8jF12iQVlVlEdvGpqZDXyuWp3uS1GWS24jL3VpkNgibshzfxf
/fLKIjTS10Xlr/64mx/wXwP2AXbXzWr8V8hIpsDB3XjqCLvHj/D9iitNI//EpGF2N6j2wCH0L759CmppB+r490FKi3zKZjF6I6Q
14rlqa7ktUlktpoyN7LMLsb2RQ+CatmuCcu0DPP7m54dnKvqP0P527Ca+DBsL9DnVHVJ6rhgG8Cv9u8tQIuqrvFo+6OwzddFVU/
JyXdrzFqrBfcdDAzx+2rqnq2YD8COwLNl9tTNvYeqThKRtnL3y7AW+APwcbeqTPXnOQXb+P5YbD/VrtZdPy/bM8A2qvpCTrlasT
1b06xJpsjyylJQ5hH+u5kDHI3tl3oKcLO34equ7ldbLzLbVXktJ7N1KK9Vy2xn5NW/l5TZbpTXZ4GVDS6zv1LVs+JNE1TZx7UBq
5uxaP4e+oiILAbecoVwe6BQ+Ytp39oKVx8RuQa4Avg+8IqIHOfn7sI2jb9QRPYUkeeANcCn/PJr3XpyNHBLTt4XAE8CfwP+I+f8
ecA04FfYlNUgEZnoQnG/v6QfBB73Teyp9B4iMl1ElgN/LnW/gmp5ztOd5C+ad7twzqlF3YnIUB/x/De2smlGwXOc5HUxA3ja/z+
tRN11KLOItInI74HbPN1cYALwd2Bn4GPAFOCoZpDZrsprOZmtY3mtSGa78luvUGa7S14vBX7ZyDIbBEGHge46V/Te8kHwpthK33
7lLoxPjT7AHl75x/r3x4CJqfNzgR/7/wM97WdS52cAv8nJd5ynPcq1/Hus6d45P97P7+jfZwPf9/9nAa8DmwGjPd3JnbjHNGBSu
ftl8vwq8F3gTE9/EnAB8BVsikqBrbtSd8Dprnz0c5P+ooK2+ay/qAcBL/jLt61M3aXLfIKn297rZx7wbc9vPvCDZpPZzsprOXmq
V3mtRma78luvRGa7U179fMPILDDZy5J8Lor3TXw6IUdtGTlS4OAmKdsxOccOK3VNWP5qyxPeOW8rIr/zjndgWtfuZL7j/e8D/va
cljl/ok9XnS0ilwEbuUUmued0VV3kVpIVbrGp9h5a4f3y+JOb2z8BnOzfa1V3M/zeC9yqcV5BuqmYb9rPfLrsNJ9CK1d3CYmPUT
Il2R94S1XfamKZ1S7kW0qe6l1eK5HZrvzWK5HZkNcgCCrlFhHZTUSOEJHDRWRnn5UqJHz+assOwM/9RXEhMDJvtsr/jqgi3yS8x
KqCdtvEp5WuxPyRJmReBAvcyqsispb8+D/l7lHN/RIGAJuo6kIRudGtEXer6jxziapJ3W3m1pl9gQ8BPxGRu7Pb3qjqMyKS+HF9
GugnIodWUZZpwMPAnW5F+TtweWYaciBwqqpe1kQy2xl5LSdP9Sqv1chsV37rZWV2Q8hrA8tsEAQdORJbpLbM+8YdvN+5s+iCsPz
VltPdAnAeNq2yB9CWChkxHxjpzuAfyHlpSeqFkWaK/x3reR3sHXdy7a3YFFJ/Vb3X2/ULmRdQV++Rvq7U/ZKXinj5d/f/r/JTf8
y8vNu6WHfj/N7fUtU9gUfdUpJ9yW3nVpY/A78FvujXlqu7pMyfdkvQF4HP++dtP7cIGIyFHDlcRFpF5NsismuDy2xn5bWcPNWdv
HZCZrvyWy8rs90sr1mZPaqB5DUIgvUHcJsBf1DVP6rq1T4oHSYiGxdeGL4ANZ13P9Q7/Wcwh/XLvQP+kZ8/A5uyWYDF5FLMv+mM
VNoFwCU5eV/oHfYMbMWeAjP8XAtwiWv9j/mIf6hbBZI8v+IvDgVeBk6p9B7+ElqBTSVdUHS/TF4P0u5XMRubdloAbOXn1vi5N/1
F1dm6e8XT/wO4EbgeW2WZLdtv/JpZnl6Bs0rUXbbMR7C+v8jtnvd3/dlecWvOcGxF5VcaWWa7Iq9l5Knu5LUTMvubLvzWv1tOZr
tTXnNk9th6llfC5y8+4fNXqlx9gY8AraljrcBHsYgBg4FR2eukOOJB0EktvBVz4n7Rt13pp6orU+c39aml+cDm3omv8BU75fIe4
lM9q7xRl6nqqkzeWwLPdzZ0Q7l7ZNJ2+X41qLs+btEYhPlcvaidEOpyZRGR87GdLL7qh0b5S3uwqr7lIT+WqOpSTz8Y87HSRpbZ
rshrOXnqpfK6Apu6Xd4Vme2qvHqad2S2nuVVRCbTcXu3iyPUS9AJOcoL9TJOVe9p8HK1YH7JLT7YVGAL7xfnJn1Q1hUqfP5qjHf
Ez6e+r8ycX4wFKcUbqpq8F5Y5n867s8+/sIq0Xb5fDetuoX86e+9yZdkbW0I/2pWMI4Hrkhepqr6Sye/NZpDZrshrOXnqxfK6pK
sy21V5zcpsI8lrEAQd+oJ1HpJqsQ8s8cEl2KxAPx+AEspfEFTPqcD+/lJtBa4Bbo9qCUJegyDoYeaoaofdekRksKq+KSJbYDMPo
fwFQSdGV8uwrbDuiNoIQl7rFxHZjXYLSMJLwGvpaW0R6QusS3ZNCUBEdgf2xCza9wFjVfW+rtaXiIzBVqAOUtUJUdM1/71nFb8+
wDHA71X1dczfOJS/IAiCoGn5F8zyuQMWHHs+MBZYIyLHq+pjnu4mbNr9FH9h7gKMSL9I8451Ubnqcn61fqZUvt/FQg/dii3C29o
/W+bVV5Xs43kehC3sCrpHeR8M7ArshC0EKSSUvyAIgqBpUNVzRWQRcBHwTVW928NhPAf8GFsJDRZAe2nq0lOAjeloLc071hVqkV
+tnwkR2Qk4Bxiuqq96iKJLsNXpFNRXNW1yhYhs7spfUFuFrwULO7UrMMwPv4EtKCsk4vwFQRAEzUayAlp8NXMuAAAgAElEQVRd+
ViChQzaNqWQTMJ2UkFERrhS1SYi/T1W53rHUi/cwSIySnKi1fv5fr7jQpuIjCy6Ryr9MBHZy5XUdD7iebSIyDbVPlPq+j4isks6
fYaRrg/s73WjwHc8i7ZsfVVaD55maxEZTk4w8hLlXq/+gvXqboCI7Ivt0X04trhjLXCLt1XJ3XzC8hcEQRA0K+9y/6ex2DaBZ/q
LczowBttj+QTgl8DObi3Z3xWfL+ccu0VEzsNCa7wKtPhU8lupl/JQz3cWttp6Jyzcxnr3EJE7sGDiifJziIicqqrXi8hU4ADgOm
zq9VBPs6aSZ8JiRY7Htkkc4FahOSIyLmeV/APAa8AkEXkUuM2v3wfQnPqiXD14mguwAOMvkQpk7m1SVO6i+gva6287bF9zMCvfg
5hl+zh8a0dXAIuJ4I/xiU984hOfOg5iW3WQZyy+obql6gZ/MT4OHJFKMw2YlPo+H/hBJp8Ox1yZUmBH/z4b+H7mmtNdeemHxYFc
VCK/PTy/Y/37Y8DE1PlZfn60l+XAap7Jr38d2wFitKc7uaDORmGrwpen6vrPQEu2viqsh3Ge5ihs55l72o2KxeUuVX8R5Pmdsgi
2fduRbgl+jw8ITsS2pwTzCy3MI6Z9g+4eoewmIv8WNRHUmVweIyJHR000Peeq6rGquiO2o8otIjI6sX10Ir8Tsam1s0XkMmAjIC
tHM/zYAmznlfNK5PeEK1LbisjvMN+t9BSoAs+o6kxVPUxVp1f5TApMV9VFbgFc4RbQ7O/hE8AOqnqKK4pHA9d63kfn1Fcl9TA+s
Sq6xjetwnJXU3+9EjXmqurtWPD2lV5nm2LbSg7EpoILiWnfoLtZDlwkIjeq6stRHUEdKH59gV/4dFTQe3jM33n7YlvmFcnHQOBU
Vb0sewwLIbMGuBLbQWFCjhK5GXCS3+dDwE9E5O70Dgup/G4Dfo7txXoh5nuXZVap56zgmRYkCoOIrKV9j+o0O7kyNkVVVwBTROR
2bNp5RE76Suohuc+qHH1jhxLlLlt/QQdFcDnwmIg8jk3t74JZAksa98LyF3S3YL6ATSV8I2ojqBNO9xfi36Iqmpa2tALiG9x/GN
sK8u5Ef/JPwiJsH9R9UlaT7LFbsenI/qp6r79Dv5C59zg/9i1V3RN4lHZ/t2x+p2NWr/Ow6dw9sMUcLalnfCWTfzXPlF2IITnHw
Kx4H3cLYMI22FTiPTnXVlIPU/zvWC/Pwd4WbWXKXar+guJ3rarqPFW9E/irK+VlfyBB0J18B3hcRP43rH9BT+KO5t8AvqCxsXmz
tvFE2vcC/ouILPN33aOYz98LInIpZllaISIXqOp/AX/Bwp0cj1mcyDn2MLbwYbKIPOtKU577wDBguoi8AcyhfZVsNr8BwGewqc7
Vfv6TwMUisiXmh7eZiCxO7Wdc0TOJyARgR2CIiDzmdbIxcIaIzFTVazLK3w3AZ0Xkq9jK6N2BL6rq09n6As4tVw+qepuIXARMxP
aY7e+nHgG+WFRuV9CL6i+oTBFcLCI3lfydRP8XbKAO+XJguap+KWoj6EE5PNNfOu8J5a9h2mxySpkDuDilCNX6XsOAJaq6tMyxT
bEVuM/7Hs/pPAZi7i6DMD+2FzM7i3TIz8OvbOfp1olIv+w+0RU+Z+EzVVDuAcAqVV3l8fiGAC+o6uoy15W9p4gMwaxQq7B9ppf5
fXLLXa7+utC2ba5ophmnqvf0yt9V9H/BBurAt8dW240O61/QQzLYB3gas/rdHDUSyl/Qq+QolL8U4fMXbBBU9UVs9Vj4/gU9xRn
Y9lTh6xcEQa8mlL9gQ/Id4JMisk1URbCBR/2Jr99/x3RvEARN3t8NEpHdQ/kL6oKw/gU9SFj9giDoLYwC3uNhrUL5C+qCsP4FG3
oUHFa/IAh6Ew8D16rqqlD+grogrH9BDxBWvyAImm1QK5nvLSKylYgMB9pUdVmp6yPOX9ATRNy/YEN1kBHXLwiCZuR4EblLVRd5E
PP3Y7ujgMVjnKKqrxVdHJa/YIMT1r9gAxJWvyAImpG3scDbYLu9rAH+DtwBPIftlFJIWP6CniKsf0G3Ela/Xtvuo7GdLBLWAc+o
6pJeXCd9gXWquqaKa8Zge/AOUtUJ3fx8uwN7As8D9wFjVfW+zj57L0Gxbf4AhmL7MidBv18QkeNEZBNVfTvv4rD8BT0jtWH9C7q
fsPr1Tj4B/Bm4H/hf4OvA3SIyS0QO6aV1chNwdZXX7AN8Dfh1Nyt+3/VnGwP8D7YN3w1dfPbewCBglYj0BxYnAx4R2dKPLWf9oN
bvEJa/oCcJ61/QXS+UsPr13oHlOSKyBPge8E1Vvd+d4x8FJorIltVuf9YE/AxYWmU9XuFbvR3Ujb/TnbB9ioer6qveTpf4wK3Tz
95LeNMVvmOxfZOHiMjfsN1w3gbejNW+Qb120mH9C7qLsPr1btYl3Yz3NYpt7bc5sIUYbb5CcpuMQjLUt6PMKiojRGR7v/Z9IrKj
H8/NS0SGichevldtOp8k/cYisl0m/y07m7ZMXzsJmJqTbx8R2cX32U3fd2tfNao59TBYREblrDbtzLOOdD1k/1Q7fceza8t79lL
P0Mven7er6g2q+idV/R1wpyt9fwee9O+FhOUv6GnC+hfU2poQVr8gKxODgP2AB4E/AgcA1wFbAoeKyInAROD/AUcCC0XkbeDj2N
TZlcDewMvAHq4UzRCRfjl5fQz4CJAofYeIyKmqer2I3AIcCrzkeWwvIlcBq4BjgBEi8hlV/U01acuUfTo2pXoLcIKITATGu4IwA
BgGzBGRcaq6UEQuAD7v9x2Syes84GTgVaBFRI5X1be68KwPAK8Bk0TkUeA24DfYlLNmn73UM4QxRRf4v7MTBR6YX+qC+MSnRz/A
5cBPoy7iUyN5OtNfKhL10RTtOdkViuRzUQXXfNPTzgae8M91wDA/P8vPj3ar0oHASX5smFujXgfOd6VDge0BAeYB38YWQuTl9Tn
/fqyffwyYmHq2J/ylvBFwoqf9qec9GXiyM2nL1Mc0YFLq+ywv32b+3OoK1Tj//yi/xz3tBjnG+7kd/fts4PtdfVZsN4prMB+1pI
3/DLRkn73cM5Spg7aMHClwcBP/bk4udT4sf0FY/4Kw+gXNyr8C/1TVrOO7YiuAZwKHuexcDbwFzFdVFZGnXPGb6te0uiLTH3grZ
W3qkJdPRc4BdhSR37nS+Frm3ner6nIRec6PTfV7PuMWys6kLWkYyvk+3WPEvQmsAHZx6ybAA36PabT7/J0IrAXO9jJuBByN+ex1
6llF5BPAK6p6ii9SOBj4rCuiR7vFL/3s5Z6hN/V1Y70u8vxXhY4r3tcjlL+gHszVL4pI4vv3paiRoAuEr1+QZmWO4pcwq4yC1OL
HpmHbZd3pVr+/Y7MVRXntAPwc+BNwIebXluXtzD0TRXJtF9NWwwLvf1VE1rpym/j+rcrRETbBYsldiflUTsips2qfdSfMmjdFVV
cAU0TkdmwqfURO+kqeobewOTC8sxfHgo+gXog9f4OujoRjD98gobWMgUOAVzLH/oqFzxjhCyB29WOfxvz+voj5wn0+peTk5XU6Z
u07D5sG3QNoE5GWVHpJ/Z/9K5m8y6b1hRvnery8ovJm8807P8W/j/XnPdjzbwNuBfoB/VX1XtcfvlDts2ZYC3zcLYAJ23g73JNz
bbln6E3MwPweJ6jqr9MfzG9yZTmrS3ziE75/8Qlfv/g0hc8fFiNuladdCvwwc/5qtx69ls7LFYzvAY+7te+P2BTvEazvK3Z7UV7
Ywof5wDPATO/XVgM/Sv2/wL/P9PweB37sVut1nm81aUd6mf+WUx+XYtO6bwIXuLUsyfcrrlAptpjlFLdWLnLl4lk/N8MVrUuAZZ
gf48PA0FTfXdGzZp7tW8D1bk19EPPLfBY4reDZC5+ht/n8uRX0kBLnjy11vcQAOagjy8323lmMDt+/oBNWv6cxX7+bo0aaqm0nY
7HLEi5W1bO68X6D3LL0qn8/H1sQ8lVPMsoVlsFFq0zdcrgd8KKqrhORfqq6spvr6aPAkar6+RrkNcSVtVVAH2BZEjNORDbFVjY/
39V4iSIyAFilqqs8puAQ4IUSU/V09hncepnNd5yq3tMbf1fh8xfUDeH7F3SB8PULatUPvUW7rxrYIohNsVWxfbBQMNeVCi/iCsn
zqe/drfjt5n3mx2tUBwtLnFuM7ShRi/ssTf3/BvBGhdfV7Bl6Kw2j/PlIagSwFbbCp7XOHnE15gcyD3itsz5HPvrZBou/1K/Oyr
gOM8EvAF7ubIfmsbG29VFefzr6nk4Bfi0id2OhCHqCldh00UuquqiTZRSX1WHelvX2W1uLTZ28Bszt7AjeR+7b+ctxox7sx87Dp
pcOy8R9Xe4v8pfSL5oqy9iGOVY3dd8TFHIqFoR4b2/7a4Db6+wZnwdOTMV6C4LGVv7c6TTZ9LlfA9TpGGCxiDygqi9UUc4tgbGY
KbsRWCsiTwIPlzPRZ5S+vYHdKL3Y6AHg3+j5/Rz3E5FXgfuq6VRFZAcsrMHABmnLlSLyCDCzUsXBdy14D/krGTc0h7nCvgBbaZn
HASLyPHB/pUpgA/c99/vuOUENUNVlwB3+qddnXOED8yBofOVPRPpizrbJcuZlwFxgCe3b99RTXQ7GrJObAkeIyBNYjCktU87dgP
e6QrQOWzm2kPbl9nXTJJiT6XAv4x7ANiJym6ouKVPGTYH3+XVg1ph53qbZ+pmHBfn8AbaaaUPTD7NKbo1Zez4kItNV9ekyZRQsR
MGuKYvMXMxZeU2dtWUrZpHcBrNmvRdb5XhnBf42w/132dcPvY5ZEJf30O/uO5ij/v055zfyNhzqiuFwEbldVec3cd9zZKV9TxAE
ofzVm+LXgvlWDMOmqP4JzFLVdfVcof7SGOMWg9392R8okX6UKwwAL2JWprrfxNoXZxzoL533i8gNRdPAHrzzA65sLMOCi84pkf1
jIvJH4DhV/VIPlnEgNt2zLXCwiKwqY80dm1L8HgceqdQq2sO/s90wS+U2wOGuzGtB+qFY9P82zNI2vSenmkTkTB8sXVpK0RGRLb
BgtZsDR4vI5KIp/Qbue/p53zO6kr4nCILmREQ28/fREn8PLcumqec4f3t457sGuFlVn6z3zhdAVVep6n3AdD+0p4hsVdBAG9MeP
X2mb9S8tBGEy6eVbsB8jTbFLEdFHOCK31Lg+jKKX0KPx/1za+YU2gO4jnNFNq8th/sLFyzK/f31rvh5Gdep6hPYQom1rgCOLqEU
HeqK3yvAjT2s+FUc109VX8dChryKOe0fVmJT+Ebte1Z67LOyfU8QBE3N9t6HzfO+rn9DKH/uYL2nf/2nqr7WaDWvqk/hGywD+xY
k2ytlQbmvAcu4FLjLv44SkcE5bbk57X5Yd+aNQEool8nK354sowL/wOJe9UnJZZZ9/O/TqvpMA7blq7RbifbyBVZZdsKCr670tl
zbw49d1QpfVV2D+W2txvY03bEX9D37xHswCJoXERkoIu/3WceExzDXqXk+GFzdEMqfWx/6YlOETzdwuzzkf7d2K1+6wSSlFD3Sq
L457js1D/MHHJmTJCnjy259qYa62PXDrT6PZMqTbssB2EIdxYKONipPYk7j/cnfNigp+5PuYN6THV6ndvNQ1eXAU0Vt2UR9z8NF
fU8QBE3Fpj6Y3UNE9vC+UYFxwGmY8Wldoyh/W6YUhnWN2iI+bbgoU6Z0g/XHptrmNrjwveR/tyrRlnM6UX91Yf1LZNF/UJu4spc
mKfcbqvp2A8vrOi9nzduyG+hKXL85FZSx0fuexdhCI6FxIgh0xyBhjIh8REQ+nTrW1y283XXPw0TkJBE5rMnqcjcR2S/z2SrtPp
Gu21L1kNcuQad/63P9d74zNpt4CLbQbRjmtrTS/28I5S+JF7akCdomKUN29J18X14H02ddZXFBGdPHOtuW9WL9W037ataNe4G8b
pTprPtg0949Xs4a7OGbPH+/nOnt3tD39Cb2Ab4G/Dp17Ca6N4zUYcDPse0Ge+o3souIHFHjbP/FB+P3Az8BzsFcRZ4TkT1z6rZU
PeS1S9C5th7ghoc/Ar/3Pqx/6t38CrbQrSGUv2RUtqYJ2mZtpkwJrb2gjOlydkrBrTPrX1E527pSxjpjTRl5rYdydnU3jzUF5Wq
2vmdNQRl7k1XkCmy/2DQ/A37Vjfc8n9TuHj3EKVhorVqW61xX5gC+qaonYovDBmAB1jvUbal6KGiXoJNNQ/uM1AAsHNsmmf5ai5
SsIKhnvgM8LiL/G3v+9vpRbmL1+0LEsAvKyMrWbuDQjOIxKTvt64vVhgDPlQhzJK5IrwOGJ31RwbWac/076fxQOnD4KtrjZq5L7
aM7DJu2fy4dSzX1LIItXHo2mUESkRGu/N3sqzxXq+raojKWyqvEAFi9LpeIyMtYOKy8utVK26VUOxTVfQCq+raILAJO9kMLsc0U
wKJw9CUn5FMof0EjCHfs+RskxB6+QSWK3wXA5zF/5CGp49OxWIi3ACf4sfP8xfkq0CIix2f37RWRqVjIqutcGTtURE4E3l3u2rx
7AB8DJvnL+Z/A6cAV2K453xGR7wFX0b5L0CEicqqqXi8iE4Hx2AKtAZg/1xwRGed78v4S8/8ahMUp/Y6I7J/3nBXkVcS7fCA2Ft
gFODOvbittl1LtUFT3qvrXkPR3uMsHFSuxgPs7u8I3DJvyXW+xZUvUWdAg1IXvX9CjL/Su+voFvUNOxmH+aCdhDvDPpwaSB9Ieh
QERGQ+cDxyrqkdgFqxv5gxADwNe8Dy/4C/bMZVcW3CPr2A7yLwB3OOxNn8F/NKnS3dxRehSVT3GX+yf9mf5MLYhwDaufI3FArUf
6ec/6AOkq1T1YH/P5z5nubxK8EnMZ+/fsLBCL2frtpp2KdUOBXU/PyS9A9th6wfme+zWp1T1FVV9SFWneJirUP6CxqPOfP+CniG
sfkEljPe/D/ggYVq2O0n9fyI2lXm2iFyGOcsfXdQNAc+o6kxXSIZVeG3uPTzm6a+AM9xf65O0+8494eXYVkR+hwXtHZh5lum+S0
0SommXgucuV8Zq8ko4V1WPVdUdsTiot4jIaHKmcitsl0qe8Z26V9XpIebvKM6b+EBiv2qui2nfoJEI37/e28GFr19QKckCl1UVv
Oc2wRbGXIn5k00oo8DM6sS1pdL9AjgL+D7mm5fkvwO2uOJPwIXkx1Bd4ANjFZG15Czs8S0qz8CmA0s9Z9m8SvCY1/G+XWiXSupy
Voh2LsswS+j0TNuPVdV/Fl0Ulr+gYQjrX68mrH5BpUzxv2N9S8KD/WWYKBviH4BbsYUX/X1rvBZsajF3DIKFzaCCayu6h291ORH
4d+CyVN6nY9a+8/zFvgfQ5uUhlTc59wOLLzuY9h1eSpWxXF5p2tKKnAcQ/zC2zefdOdemv5dql1sreMZXQrQL5XI58BER+aiIHC
0iB2E7MhUSlr+g0QjrX2/r2cLqF1Q3SLxNRC5ypWou7THPHhGRuzEL1QpffHAu5rs3WUSexaYej86RwauBUcBmIrJYVc8Cfpt3r
Yj8ClttubOIfBv4dpl7XIIF5p2UOnYb8BlgBrY111+waeGLfUXsjsAQEXkM+CAWy/EMEZmpqtd4+nOA4zE/vk/k3V9EJlSQV1IH
E/08wF9EZJnrEI9i047fyNTtFul6UNXzitoF21JxTMEz5tV90C7v60RkeyBZaLSpf/qV7FfrsS8VkSN91HOfO8I28ovrcMyE/4C
qPpY6vg0Wh+nNRl+1JCLDgQ8AS1T1T5lzJ2OryG7yreBqcb/LMefWL23gcp6E+d38TVXnpY7v7SPs2ap6V4O35buxFYfPq+qdqe
P9gVP965V5DsTd+Exn+ovwPbVQ/nwPzNP861VJWI0m7nvuV9XHG7gck1NKB8DFlSgAIjIEm0JchQUoX5Zu60zaTbGVpM9XG3S/0
muL0nkYk5Gq+nwmfSvmyP+iv+D7qerKKp5rmPfJS7taxhq3Z2G7dOczuoUxu8ftOFW9pwkGyMeo6k2ZY4ep6tSia8LyFzQiYf3r
JYTVL+iCRWRhFWkX075TUbX3qejaonQu18/nHF9Lx5XKK6t8rldqVcYN1S718owNKOs35RyeV+qaUP6CRhT0iPvXewhfvyAIguI
Bcgvr+/e1APuIyOwiC2oof0GjEta/5u/UwuoXBEFQGsUXz+TQh4LtOEP5CxpT2sP61xsIq18QBEHpd6GKyFJsIQ3Ygp1tgBFYiJ
9cItRL0MjErh9NSuzmEQRBUDFTVHW1f97yxWpbYMGycwnLX9DII56w/jUvYfULgiAoP1BuwfZafucQFmGjL+uvbg7lL2gawvev+
Tqz8PULgiCoAA8DNBoL9JywDJimqqH8BU0r+GH9az7C6hcEQVA5rwIPAcOxBR4vqeobpS4I5S9oBsL61ySE1S+oc/l8H7AZ8LKq
TitI0xdYtyEDoXdTWcdgQcIHqeqEatI1Sx00EK8Bx6S+7ysi/1DVJ4suiAUfQcMTe/42FWH1C+qZI4FfYtulFXETcHUTlHUf4Gv
ArzuRrlnqoBGU9P7ALtjeydcAfwBuAfZI7We9HmH5C5qFsP41ficWVr+g3gea3xCRE8ok+xmwtAnKeoWIbA4c1Il0TVEHDUIb8I
aqzkkdmysib2L7+64J5S9o5k45fP8an7D6BbUaSAjQiq14HJq8GEVkBLBaVV/LpB+G7Sn7nKouyclnHTDcB5bq5/rSPnumyfZrq
jopa3ERkcHAEM9fS+SdmzaTXoAdgWeLdm/wtG2Jw7+vCG1R1TWV5CMiW3vZtEw956arog76+TM8A2yjqi+USh+8UzebYqFc8Hbc
VEQOBha4PG3h7f92KY0xCJqFsP41bmcWVr+gVrJ0C3Ao8JIrJduLyFXAKswvaoSIfEZVf+NydxUw0C8/REROVdXrRWQqcABwnSu
Gh4rIialb/SdwNhZW46/AKSIyHRiDTbud4M9zHnAy5pTfIiLHe555eb87m1ZV3xKRicB44Em/3zBgjoiMy+6VKyJ3AQcCPxeRXw
OTgJHA50Tkg+XyEZELgM97/Q0pUc+56aqogz6eZhYwGtuibEBRelV9K6T7HYa6jKfZ2T8JC0WkX9Ge0KH8BU1DWP8amrD6BbXqB
94vIk+4QrKDK3x/xqYiRwI3eB/xG8xX6mTgOFW9QUQeAz4NXK+qh4nILOAkYHfgF8D81K1e8u8fSRzrVfVAEZmWUoTGA+cDo1T1
ORGZDXyzIO8xwLnZtMA5qvphT7+Nv+CHAU9gPojXZsp/qIjM9f8fE5G9gMX+vWQ+IjIOOAc4GrgduBtbQZpV/ArTVVoHmLVvgdf
3VsCjZdKfE9L9DqtcaX4w51wfoL9/CgfSseAjaDZi14/Gs9TEbh5BzXVA4G5VXQ4858emunw9g63YxRWf8cC2IvI7YHvarYBJPs
+o6kxVPUxVp/vx9wFXAtfmrKhMy/CJWOiNs0XkMmzHhaPz8nZFrChtkn66qi7CLHcrXHktKn+puinKZ7z/fcDralpBHuXSVVIHM
/zvAuBS4LwK6iww5gH3quqK7AdzdegDzFXVVUUZhOUvaLZRf1j/Go+w+gXdwdsZRSSZNkz7t+0A/Bz4E3AhZhnMMivn2CLgZuBb
InJLSinMsgnmcH8l5os1IaMYzaoiLa4oJfu5rsV89wrHVf53RM65onySv6vK6AiVpitVrs0wy+e+wIeAn4jI3RXWQ29/z61LDZ4
HAB/xunoI2B94A1twM6Uoj7D8Bc1IWP8ahLD6Bd0lWinlJ+9v8v/pmLXvPGwKdw+gzRdIJGlfycn7ASy8yQzgDyIyvODet2IrLv
ur6r3+zv1CQd6l0qafP+8+WeYDI31xxwcyClqpfBJlYazXwcH+O80qd+XSVVIH4/zvt1R1T2zad0gF9RB0ZBk2rT8Jm85/Q1UnY
b6SA4ouCstf0IyjorD+NQ5h9QtqPaC4HPNn20pEfgS830/9UERux2L0bSYiV2Mx+z7jStxq4C/AJ4GLRWRLYJSnXayqZ4nIlX5s
c2CJv0O3A2aIyKew6dB9gRW+IOJczJdvsog8i1kdj/Z7d8gb+G1eWi/TBGxV7BD3S/wgsDFwhojMVNVrMtVwqZftdeCfyaBYRC7
FrGqF+YjIRcBEYC7mNwbwiCvGSR97W1E6t96VrQPgq9hU93QReQOYA0zFLFi59RDksinwJra921bATD/ejxJ7+0o9DrZF5Egfjd
2nqk80eEd0ODa18ICqPpY6vg3mN/Kmqv61wcs43EeXS1T1T5lzJ2MruG5S1fkb8Jm2Bx4HRtdq5a+InIT5A/1NVeelju+NBTqdr
ap3NXhbvht4D/C8qt6ZOt4fONW/XlmLyP1u9XsaW+F78wYsY1/gNP96Vdovpkn7nvtV9fEGLsdkV1ISLnZlqVb5t7oC96Lvk1q4
QrIL99gUW9X7fFF4ls6krSCfAZgVcHO3EK1ITxmWuHaIK2GrMP+xZXn+Y5WmyyuXiAx0hWWQ96svZkLb1KQeUvm15ShD41T1ngb
/nbdi0+YrsCn+O4DdMF/JSUXtHZa/oCkJ619DEFa/oB76irXA86nvK7vhHovxFbe1TFtFPguqvHZhLdPllSsVT3Ghf7qlHnqD/H
p4o+0wn7++2HZv0B5HMpS/oFcRcf/qd7Qacf2CIAi63pcOxOI63pmyus71c32LrosFH0Ezj4hiz9/6Jax+QRAEXWdTbOX0HiKyh
4j0EWM8cJqIHOkLf0L5C3oVsfK3/kaqscI3CIKgBqjqXGxl9c7AXsAhmL/fMGxV9kr/P5S/oFf9MML6V3+E1S8IgqA2g+kBWHiX
PwK/d8UvWX29GAsntHkof0FvJKx/9dNRhdUvCIKgdiiwiSuBA7Ag2Zukzq8lJ0h2KH9B8/8ywvpXT4TVLwiCoHbvt7exHWdOxnZ
MWQHs7affC7wb2/GjA7HaN+gtxMrfHnIBAIcAACAASURBVCZW+AZBEHQLd2F7WK/EwrzsjO1CMwyb8n09e0G9Wv6SQIx9mqBRkj
KsKihj3yYoY9+CMtZNW9bI+leuLfs0cVuuzqmHaqkXq19SRsV2O2j2tlwd78YgaF5UdZ2qvqiq8/3/p4ARqvqQqk7JC8pfr5a/Z
EPuwU3QLoMzZcqWcSMR6VsUFb1BGFRQRrCo8pt5mpd6+Dk7bf3zHS76l2nLQU0gr7lt6YFEV2JbBg3CIvNXU3/1ZPVLyrg8J/p9
M/U9pX6XvQIRGYPtcjJIVSc00HO3YluaDcZ2h3o2c/4wYAvgdVWd2sPPOgyLMzdTVZ+stB08Bt26WuwW1AvlugU4FJiF7eByRE6
yrTHrXy71avlLNrvexl8ajdpAW2AOmOuAVzMv06XY3pACjGxwWdwh025p5mXS9OToqCvWv+T531TVrOIzH7MiDRKRzRtYXvti2w
N1R1vWk6/fDpnyNGPfs2Wq75lP72Uf4GvArxvsuduADwN/APbPOX8Y8HPgzB6Ws7HYNpp7ATN9O89K2+Em4OpQ5TpNf6CPD2BH+
Pd+/umP7e5Boyl/84Gl2LTFXg3a+Qq2RyrYnoV5lr1kNLd3o75oRGQnzKegwxZJKZ73F9AWIrJDHTxy1St/RaRfSg6fzVEqV9Bu
1XxPXkDNBmEMNt25mPbtgfLkdWcRGVxF/dXNCl9Xzncqassm6nv2S/U9vXbaV1WvAK5rwOdeCZxb4vz5Bf3thuZsbEux7/nAenY
V7fAz4Fehw3VKPtap6s2+jWkL0Kqqk1X1Rv9MBp5pOOXPNdkH/eueIvKuBux898fMrmv9x5HHDGz6bABwhG883Ujl3Aoz9wPMUN
VlOW25FJjpXw92i0RPylZV1j9XXI4ANnalYGZB0gddyR0BjG00BVBEdgF2968P5ClpqvqSK0etwJEiskmF2deF1c+3QTrS+725q
jqvSfueAyroe5oeEdlaRIaTE+ZCRIaJyF4uEx3qT0TafJeEXXz6teLzOfcZLCKj0v1BFXlo6prtfSYp93wq3VAR2T5v0CMiu5Xq
l8rUSZ/U9xZ//v7AKGwxgajqKar6YKXtoKqTgKnl6isoL+rAWhE5QESGpOp3esMpf/7gs7H5bIBxInKwx7Gp9w5nKPABYDc/NF1
V3yoo42rgDu+kRwDHicg29S74ItJPRPYBxmPTE/OBh0tc8qBbkvoA40VkTKk9BzcAZa1/3uFtBxyHrZhaC9xR5J+iqouAe/3r7s
D70z/EOm7LASJyCHCQH5qpqi+UuGQq5sc5CDheRHYu9QKsB6ufiLSKyK7elgNdif97k/Y944Fd/dC0or6nFyh+FwBP+oDjP9LyK
CLXAFcA3wdeEZHj/NxEH4zf74O8BzEf4SGVnM95hvOAaW7dulNEBlWbh3MBMAF4ystV1F9dCNwKXC4ik0RkIz9+kfdNPwKm+kwG
FdbJXdjirwtFZE8ReQ5bJPUpH0Tvgvkm3lJlO0wXkeXAn0vVV+h1FbPQlfD9ROR4EdndlfPi30g9R1xwJWhsyiKRFHKpW1nqiTb
MOTcZNa11xe+ZCso5zK1LyY9yuZez3qZrxC1gQ1MDhznAXeWmllzZOwxIFK51wAJXJHpCCM/yTu2SnHN9gSG0L/BY7orfqxVa0A
5I1c9i4E2Xh3qixWU17aP4eJHVL1PGTYGjaF8UsdrbckVO8uOAY+g536T+Lq+J5eINYIpbpHt939Mgitxk4IOpQxer6lkl0o9z5
f5o4HbgbuAgVRUR2cPl/DhVvUFEHgNmq+qH/dpZ/pvY2Qd9TwCnqOq1lZxPPcN4zKdtlKo+JyKzgWtV9Zwq8hjqL/TLVfWzInI8
MAk4RFXvFpF7gRdU9WMicpIrY8Mx//JXMZ/AJ/z4aMzq/VNgV1WdlbpPuTqZC/xJVb/qVsHFwGdV9XIRmeF9xqeqaQc/Pw1bsHJ
CqfqqoRy15bxTx6nqPQ3++2gBtlfV531mbW9/z64GJhb1dXU9zegvoftE5CXMYXRLfynXs0VlnStED1Y66lbVV0Tkr5jP1U7Y9i
z1vhvFW8AjwHOVWHRUdZWI3Obl2wvbjLonp4CnAv8D3IMFyMxjNeY38Yj79VXSlrNE5DWX1229nJvWeVu+6vI6v8IyLhaR610x2
t0VrGE5SVuB04Cr6PkFP8sxN4uZqro2+p6mZrz/fUBN45tGu2X7CT+/o4j8Dtiejv6t6orzIhF50wc0u1RxPuFEV8LP9oHERq4E
nVNFHskMULJiM5nCP8oVqTQneJ8838v8lB8b5craLJeNh9OKXxV1Uut2yOZbqr6C8kaZsT4bN8gHuPe6Ar+y1Iix7nHfnHk+9bK
lC0ZrnT3mGrcKvFqqwkuUcTkwXUTuw/x1BlJ/MQA1sUr6NGdnlPlngGfc8X5zb8uemuY+ANgX+EHm+CpsJfb8ShSFnHIuAm736Z
Wtsa126u23ttbb8lWPEF9tGdcAj7qVYEtXcDfKJDvJXyK/oWesu4nS95ZbGDT6nl5Ba+p3nH3P7eAWsT8BF5IfaWFB0l+JyNqc9
i53Hv/NrwGudKV8QuY3UEkeA1OD0PTflQV9c5oWP9bP3yOtqvq2iNwvIpL5LVRSJ0kfPaJG7VBtfQWl6ev93Mb+jn2uXF/QUAsM
3Hy5tJlb0JWNuc0uqar6BjlbzmzQ4ZLIf2DTHWd3x64f/uN7scnbUWmfZkrXbR/M6vcFVX20CcrZ9H1PEzEFW4U6VkT+DhzsMtk
GnI5Zts5zK8kePohp8cU+kqP0SI4SVHQ+4VbgY0B/Vb1DRA4E/g24r4o8kgUe+2MhUvZ0hejGnOv+CvwLMEJEXsH8Pn+M+WOfBB
zuMy+/dgUv/ZssVyfzgZFukftARneQEoP3wnbwwWP62lL1FZQ3yjykqk+IyMZY/L/3isiLmN/vioZX/oKgxi/0F0UkWfn7paiRm
hJ7+AY99bu+zRc5TPSBdOK7+wjwReAzmAvAauAvwCeBiz180Y7AELdof9AtKWeIyExXfArPq+o1qcf4LebGM1lEnsUs7UeLyIQq
8hiKTfXu7G4WewBfVtVHReRXmG/XziLybeB8bGHIzdg0722u5K12pesmzL3lFzmDsduK6gRbpHEp8EvM//Cffs13RORSzFq3lYh
coqpfrrQdRORubNZlhS8KOTevvkKaK7NjYFP2/YF3uTwtwmZdCgNoS2yxGfTqX42FRXgcGB17/tasTvsAT2NWv5ujRoIuylNVCz
5S1w3BphBXYQt+lrnvcSuwHRYDcZ2I9Ouu6XJfHLUl8Hy1LiS+2rUNmyHZFnO3ebuCa/pnF6d5mJi+qjq34LqSdeLlGIBZATfHF
uqtyNkhp+J2qHV9VfAczbrgo9WV9VXY/r7PqOrr5a5rtLhy4gK4MfXnd9MTLAfersXWcO7TtHEdysQa7yyW1qCMm3knml1ocg/w
MxH5WQ+W8TXv8JbXoCPYycvYr4fK8yHvZNeIyFGp428Cc1T1tRq05UaYn1C9+cUmvpRLNEbWPYqqLiw43iEgfXf6SarqYswS15l
r04t25lRxzVs5x18vc13JOsmUY0Et2qHW9dXLeQW4tRqFuSGUP5/H3hNzRN042rkD60TkVWwV44tV1ms/4N3YNMSAOpeBJVj0+B
nVKLs+YDgR+Hds+qPUoOH4Hi7mMhH5G/ADVb2/yvoZha2MO4H6WZF6a8GzPozFFPtlNbtPuGK7Kza1Ue/b6K1wn5tHazFwCYIgK
KG435zpK1v8fXZdkXW27qd9/aV2UEpRXYctjV8bzW57+6W+zwWmVjKS9QDHh9JuHUpW8tZbvbbScUXwCi/jvArKOASLcZXe9Hpx
wci1H/mr6DYELcBWtK+WVWz13X9Usum5L1z5Ae1WsFXYAoyeihNZVJebYn5MCU8CJ6jq0xWUcTAW4iIdNmcF9RcLs8XbMYnzuBa
4T1Wfiu6q0++ATk37BkFGjppm2td3HhpXQdKriowlbXVewN2wcBxgzuOPAi/V2hegwQV6MBYjaldsGf4xInJjKeuYiIwEDneFKo
nXN6de9wD1ANHb0x4f8H0icoeqzilxzeZYtPhdXEn4KXBFToyreiljC/Be4KvY6rx/x1bufbSUX42IfBf4ln+9y5XAO2rhCtBN5
RyOrUr8BrYLzj9E5KBSypFP13/QldsV3g8819Up8m4sYysWbHcvbPr9QBHpr6qPRI8VBEENWO0D/OQduDsWnuw1f69vhRmH1pUa
pdarUrOVvwzBtsG5XlVfCMWvI6r6pqrehy3/Xw5sVmpE4A7Bh7iAPA9MUtXZ9bz5u6qu8t0KJgEvuNwemt2DMsPVrvjNAw5U1bP
rVfHzMq5T1X+o6inAxzHr3YeB/yrRlh9JKX7/DRyuqn+rV8XPyzlPVS90xegRbPr2evfhyytjH2zVX1/MYjtRVZ+oV8XPy7hWVV
/yzdWTlZX7lNpOMAiCoAqWYAs7HsfcoVao6o2qer+q/hOYjPmStzac8odtrdSCbV9zbzhPl33hLMC20FkHbO8Wljzeg1l8X8W2Z
VvbQGVcg1m3Xsemu/crUBiOwcIyrMK2LHq4wdryGswCCHBOXlu6NfRC//ozVf1uI/1GfNXhB10O30VxqJ3dMX/UtzGH5uUN1pYP
YiufwWJvtRAEQdC1fmVhxl1mgIgMF5G+Pr2dbC5AQyl/vqfhFri/TDR1xQLxGvCsf901p143xpbzA/yjkmX6dVjGtdjWNWCBR/M
2r072kb3cX76NyP8BD2MLnD6Rc/792EKdhbRb/xqtLecB3860WZZEjh+qdIu9OuR+H4gMIn8bvCAIgs72o8uAp9zgcRrwr9jWer
NK+f/X6yg02ULmlc5sPdXLSTZzH+ErXdMk005v+A4bjSrsr2NhQ4TMdkM+TZiEF/lNA5dRsa2OoH2PzDRJpP2JHh6hUfm9K0Y7i
Miumbbc3JXfDmEoGrAtVwIvZX6DQRAEtepjHsACeT+Kxa39W7mIEfW64CPx5VoQzVo1SUylPvz/7J13uJ1Vlf8/3/ReCARCKAkt
NKkaeg8iRVAQwToC6tjmN1YExxlwVBwFuw6jg2LBAhYQAUUiRSDSm0AIvYWEQHpvd/3+WOvMfXM459x7k5vkvOeuz/Oc5963v7u
8e6+99tprucFncZpsSAvl62xgRKGuVNgCX23ZhtuUlZlKIPftahzbruqcsjZa8yU9hS/+2C5GsNXtwLzOrHpucl4FtqfJXSq1Ap
J2ZU2XYCtx58SvrK/ZjjDDaOtKPe3MNZKOxu24Xyq7M+JkvbelM6OeV+rOTo08KTSr8FdxP5JByrteAVYVAoX3rxL+Wilfl1Wlq
cLI+LuomRexdFGQr+XTrpLOOS1QlvXSWSnbFS2Qxso3NyBbqfXOu/E4seNptxHeGRgq6b/M7H86KZxNAMaa2Y2dOP26qMendeE9
O3PNJNwk4je4M/okqa6nvXDH/kV64YvMnqpn15+xfVtUBuzJ30IL5YFVpanV66uyPifdMAD+nKR5wFeBc83s72EC81ngYknLzOw
nnbjVabgGsTPC3/eArjrz7vAaM/uspLdkqSYdtJ8H1znWlzq+e3PlWZIkSdJqtBUHDmFD+03cVvjja4wWpTGS9iy6jpI0NoS/Pp
IGhO9GJI2QtH21PbWZXQXc/JqRqNQ7ri/++tS7ps79LY71k7Rz5V06uk5OH0l9JU2odV3SEoMdi0HEz+P3O3yh7Is0mOVL4S9Jk
iTpCZ3kcjzw/W6SBoZQdDkeavArwAxJJ8bpPwR2wqePJwOTJJ2HO47/X+Cm8JmKpCmSlgK/rfHYU3HTm4dxlz9LgXfXuqbe/YN9
gUeAe4B/RPSiutdJujKedTfuJ/fe6uuSlmKyma2M33wzewT3mDIwhb8kSZKkpzMfN3faFncC/3bgYjM7LgTDM0JQPB63x7vMzA6
OvvJ84M1mdiSwNXBOnHsg9RdeDQV+HMJbG/D3uOca10g6tt79g63woAcH4Iujjmp0nZm9FXgurpsYv/+7LmkdwuZvR0n7xW9/SZ
Nwx/h17d7T5i9JkiTpKVQWSr2MTwEfC2wn6echEM6qc90puO3U2TG1OhCPPHNuHK9nl3oz7nz/e8Ao4MjC6l7rwv2nmNkcSXPxx
W4TOnGdxXVzwwayeF3SIphZW6xwLy7uXALc3mjRYwp/SZIkScsjaTAeTebvIRBtB3wfX0l7ITCuznVDgbNw+6mf4Rq8S+nEQiQz
e0LSO/AVyGcA/SUdZma3VJ06GA/HVe/+r8b9rODNYV2uS1qLl83sugh6sLozni5S+EuS9kb+ZOC44qjdzC6rcd53WdOW4tsRY7F
4Ti88SkfFtGKxmf1rk6Z7QGgmusotZvbzrDlJE1IRcnpFHe+L2/X1Az4dx87EtX3n4dFXdgcelNQr/AHOxX2J7hPn9wcGmNmNkg
4E/pn2CFSixmp1SdsAF+O2fT8Fvov7Yrul6pq/4PaFte5ffd91ui4WfvwH8CszeyyrSvkxs+vi312A3aOMl5nZr1P4S5KO6Rsj/
ArbAJdVNeYjgY9VXXc/7lW9yPbABwrbNzVxuvtUpbuzrMJXlyVJMw1m/oiHPwS4UtLCEPruAw6OwPcANwDvxxdjrMRXSf4T8HXg
E7F9LnASbjP3HuAaSU/iU61Hx/Muxm36lkm6wMw+V3id/wzBcg98wcYuwGeqrwE+D+xdfX9Jl+LOz0dJegiPhz0IOEvSoyFQduk
6fLr7HNxHaAp/rSUE3i/pwagTe3bU6CdJ4txetb1HjXNq2czsVmPfHh3cO0mS9dMBvrmT590SLl22AZ4L26mPVuKhmtnnJX0fWG
hmi4C7JX0eGA08U3Gea2YfBj5c5xnvA95X5xWqr/l/Ne5/RvwqfLvGfbp8XQiH87O2tGT9b5N0P67JTuEvSTrx0bwo6VnabX82l
zTazIpG4DvXuHTXGvv2TOEvSZr+m18jbnRF8Ctsz6jaXgAsWI/vs1b37+p1ZjYvS7+8hB3q2HrT9iEALk3hL0k6z+2safi9B+7n
q0JnNX9F4c+AO0qUB4/hU1+dOS9JkiTZsPQHdpG0hNoLj4SbOqTwlySd5DbgXZ0U/mYAY4BNJW1mZq9UXVfh4ZKNtKeb2SVZFZI
kSZqWkXjs57Uihb8kea3wRx0hDtqnfRfh/rveHdu7EaGawjP/uMI1OeWbJEmSdCfz8YWG9TR/B6TwlySd51F8NdyIauEvYnLuEJ
uPxblUC3/kYo8kSZJk/bESeNLMHq93gqQtGt0gw7slSYHw7zWlKNRVArED43F3MABTq4S/4qKPFP6SJEmS9dVPzTezBzs452+Nj
qfmL0ley+20O3vuhwd4f5Q17f1qaf4qFBd7zACeLVn6DwqfYY2Y2lmXGkmSJElzkcJfkryWWnZ/j7Kmm5epuIuI5fjKq3qav9vN
zEqW/gG4k+pGLMpqkiRJUk5y2jdJXsvduE1FtTC3huYvArRPi+3NJG0WYXVe10CQTJIkSZKNSmr+kqQKM1sq6V5g/yrhr6L5WwV
UpkWnFo7vik/zDircLu39kqR7eZOkzTIbki6ilk2Y1C/6obG4zfouwJ3VTstT+EuSjrmthvBX0fw9ZWYVzWC13V+xU1oCPFjCtP
8deG8H56zIKpJsJHajtmP1JOmpTAIGA71DyH0sBklX1zM7SuEvSeoLf5+O/7eWtH1BsJtaOK9a+BtT2L6zICSWiSVm9mRWgSRJk
uZG0jDAzOw3kg7CN2ZJ6gUMARam8JcknWdK1fbbCv8/Vkf427XqQ8sp3yRJkmR9shwYGPF+LQTCMcBQYFm9i1L4S5IamNkrkqbR
PtV7auFwUfP3JG4D2AfX/C1J4S9JupUbgFcyG5L1wMst0Fctl/Rs9FEG7IhP/z7SaOYphb8kqc/tBeFv38L+xwof3orwibcza9r
7GXBHZmGSrHPn9u3MhSRp+I3cJ2kWHla0DzCd9kWJNUlXL0lSn3puWh6r2n60xjkPm9m8zMIkSZJkAwiAL5rZbWZ2s5k9Aezd6P
zU/CVJ14S/581sQQ3h7+SqfWWe8j1KUmcdUw80s2VZVZIkSTYMYdO3cwenjQXuS+EvSbrOk7itUXE69x81zqul+Ut7vyRJkmR9M
AD3LLGwwTkN5bsU/pKkDmZmkm4D3prCX5IkSdIkLMPjq99f7wRJZ6bwlyRrT2eEv8eBNtptaGcAz2bWJUmSJN2Nmc2Ifobw57dD
1Sm9gGWSepvZ6hT+kqTrH9k3gG90cM5SfGl9WdO4iBYOfZQkSdLK3RRwcJ1jfYEU/pIkSZIkSVpG8nPzpEXAlbFrELAVvuAjY/s
mSZIkSZK0IJMLDp3nA/Ml7QUMZM3AAyn8JUmSJEmSlJmw+dtR+j/LHeExffsBGeEjSZIkSZKklTCzNkm7AksLu5cAt2d4tyRJki
RJktbkZTO7risXNGt4t7Ymf79mp1dVPrZivtZLY2Wk07cF0ti3Kk09LZ09ob4mSZKsE7UEP0njG13TrJq/ivpyUBZr15A0sNDRL
G3hfB0cf6uNWV+upFHSSDObW+I0bhV/Z9Qa6cXfLVugLOulc2lVWZeZQXXqa5Ikybr2+/2jLxiO2/wJ2Al4pqPRaLMxp4U6tg1N
Jc8W1Jjvr+TrmDASLWtF7wVsUZWmYhpfiP8nlbwsK+//QI1jD7RCGiXtEsLfKl7rQHsu7sNqqKShJS/LsXXqa5Ikybr2hycARwB
7Aq8DdqcDJU+zCgDP49MjIyVtlcXb6UqgKHiA52qcMgNYgccF3KHESZ2Ar2RaRrsGDHCfR8DvY/NTKiyBKllZbgqcEZtX1jjlyh
CMjpK0d4nL8jPx9xYzm1NVlkuAWbG5e4m/y9HA5lFez2VLlSRJNzIUnx250sx+amY/M7OfAdNLJ/yZ2TJgWmweJCmnfzvHPsAmu
O3UwzXydTXt2pWJkoaXsCMdCbw+Nh8ys1o2VF/Hpwz3Az5fwjT2Bn6Kq/AfBX5XoywfAa6Kb/gyScNKmM5TgPfF5pfqnPZg/N1Z
0tYlTGN/4NDYfNrMFmQzlSRJN7IQNyepNil5sXTCX3AfsCAk2hMkbZZlXLeD6SNpf1zlC3BXhByrxcPAq7jm7HhJY0uUzq2B4/A
FArNCMKo1eHgBOCc2/1PS18sygJA0Brgm0rkceH+92IzAxyMfdgVui+X+pRBuJf0L8CvcNuWHZnZznbJ8EXgyzjtS0s5l0eZK2g
Q4HhgWDfPd2VolSdINbcvmkg6WdDBwIG42c4qkSYX9ezW8h8+SNW0ChwPH4A4LK5Ls88AictUcIcCNBrbHPXkDPGBm93WQr4MiX
0fGrpnAsyFsN1u+9o7Ocxw+dQZuN3V9AwG3ks6vFITAl4BfAHfiHtCbjTHAYcDpMeBZBrzXzH7TQRonhrC4WTQAfwCuw1X+q5ss
jYOiQTod2CX2XQmc1sgfVWhCjwQqmr+5wNPxd1WzNVvRXm0FbBPbS4G/mNnsbLKSJOkG2Wg8Hs+30QKyoWb2k1IKf5HIAcABwPg
s8oYsBu40s2c7ma998WnRHaODKgNtwOO4ZnNVJ9P5TuBCyrV46H7gQ2Z2VxcagotDoC8LC4AvAxfVmbqvTqNoN2Yuk3ubF4ApZr
Y4m6h17gt2A/bAVzDeCUw0szu76d6HxwDqFTO7uXp7I6W3H9DW2baucN3e0V8ON7NL19O77Ur7goJ5ZvZkjXfoXfkGzOzlJqpH6
z1/NkAaxgJbmtndhQHyEDObH9ubALuZ2a2lFf4Kid0kCmx0VLr0AejTgguig3m2wfRgo3wdHvm6ReRr7yZL4+oY3czAbaYWrkUa
BwGn4FNw2+N2kc2E4QtXHsE1Ydd3RiCqkc4DIp0TcS1ps7lyWhwd9/XAb8zslbVI48Cor1vihs7NlsY2XNP3CvCMmb2azVS3tP9
fwlc0/gXXHm8BbGFmo7vp/ucDHwFuNLPTq7c3UponA7PN7LTYngCMNbMbO7juLHyx2EFmpvX0bhfgGvzx+IzctpU2K97zsTj1Vu
ACM/tzE9Wl9Z4/Gzg9ws2ENgeujbbnENzjx/2lF/6SJEmSHin47YAvANzSzF6Ozu47wFlmNqgbn3NnCOyn19reCOl+C7DIzCbH9
n8Ag8zsnE5c+xnga+tTuJH0KeCi2DyioiGN9/xC7B9rZi81YZ1a7/mzAdMyIgb8LwKPVzTFMet1VXhNeA2pPUuSJEmamXHRV+0P
/+fO6Yvev6lPdHSbSNqluBhITh9JvYouwyRtKmnbGs+xRtuSRkjavnrBUeE5fSVNiCm4eh115dxBkrYp7B8bLoHaH252FVARqMY
CpwF9JA2o9wxJW0jaskZaar5/V96nBqvxRVsA767cL97zj7G/rXDPMZL2rPbZGe/Qt7Ddq1Kusd0/yraPpHGNyrbRczrKnxKzFL
eLfwlYHXkyFuhPAxv+jO2bJEmSNDP34Kvar5L0IHAD8BPctRWSLgJOxBcBDZT0Rty04AB8AdRo4DBJbwsB8ihgtqTFwDs6WjgWz
zgPeDtuntFL0klmNl/SlcCxwFR8oc8Y4HlJh1Qv8JF0Pb6o64UQPraVdBnue/U4YKyk95vZTyRNAfaOdLwF+CEesWF4pOGLcax4
/wuAD8f9R3X0/sAVnX2fBlnzNHA7cKqkj8U7zscXZlae3Re4DDfTADhU0jvN7GpJt+CrVb8v6ce4+6pxwAeBS8Lf6fW45ndXYAd
J99Qo21NC4Kz5nI7yp8yY2XJJzwMn427eeuHmW0+E27y6F+Yvf/nLX/7y17Q/3Fb38tByWPx+G1omw1ePfyz+nxDXTIvtXUOD9s
3YHhMd5CvA+YVn3AH8uno7hDsDtov9TwFfKZw3Le41Mp5lwNvrpOMR3LvCQNw+14Dv4ovurgGmFs69HZ+2q2zPBP6rzn0PiXtNi
nvd1q4krf/+XXmfGs/8OO6f80Nx3anABcC/At+LfVvgDtoNeHNc9xDukLhyn+nAt+L/oXHu+2P7zBD+Iy8+egAAIABJREFU+uOr
5+fWKdsDGz2nUf600DcyPoT5I0IIV6PzS6P5C+e+43GjxoE038KEMtCGuxCZAzy3trYYkjaP0dmoKItmMx9YjrsDmo4vhFm+Fmk
cEyPlo6LRabbwYpXoJn8HrjCzB9cijcLdp2wTGoWBNN/K76W0L2p6bi0XwhQXNQ1swhmPVfhimBm4jdmibKrWKL/3ADPM7LTw/n
Aw8IH4Pg+N+jEttE33m1klQICF9uNR4HBJvwit1EwzM0mPhVbt/A5e4RR8ivPs+GYGAkcD5xaeM8XM5kqaF9/mhHr6FuBWM1sq6
enYd3O8zxO0O7CvnNtZjq1oSeNetwMHdeL9u/I+9fgNboP5nhDGDgU+Vzj+SLzfdpJ+DmxLe+SejtL5MHAJ7pv2b8B5tcq20J7V
e06j/GkVDeAzwDOSRoWwrEZ526cEH366eulehocAvYukWdFozelkWQyLEVazu00ZCmwaAurrJd0fjURn0tgH+A/gU3QQG7EJ2DV
GeedK+j3wMTOb2QXh9gBgRAnKcjQejnChpDvCiXdn0tgfN4TegeZ3ZzQS9w24r6Sp0UmtJiHK71hgckxjTZb016i/W4ew1dvMFk
u6W5KsfSXjtAZCRq9OCliDQ0D/WQygL61x3avRAZuk1R0oJxZXvU/F7+jqTtbrocA7zewHhd2V562o0bd39P5r+z5DgMFmNlvSt
SFI32pmL1WZRY4Hvh9C4oXRLr8mWfF3bI3v4lRgX3y197cl3VqjbDt6TqP8KfvgaAg+5duGB8fYPxQ8i4DJpRT+6jh5fiESlQ3j
WmRpCDRjaHebc4KkmzrqUEPbN4l2I9LnQrO2hOZzDN0Pd+eyHW4Iu39EiPmbNVjeHi5hropRMfi0wRUx+lzchGncFndfc1yM7id
KelNHgq6knUKI7xWN4TP41M8yms8QeiDub227EAQnSbrHzP7RiQbxmBjsEFq15/BQSM3WdvSJ9xwXad0N2EzSDWujtW5BVgPvkP
QnM/t57Nsq8uwi4NPAEZJuAH4cHf+D0d7NKNzn98C7cFu2GcDOwLeq2kfV2L4ed2sywMxulHQg8M+4r0FqDCzUYLBRPFbrrxrcZ
24M1vaJQV9R+JsMnB1twN9w7WhlMPuXBu/flfcpfl/Cp1k3if8vC+Hv11XCVh986nbb0NoNj+selNQrNPkzgXFxnzdVySaHhJA/
ycw+J+kBfMapumxp9JxG+dNVP4pNyBJc+z052vU5ZnaVpDdKGlJ3JqGJ56/7A2+LAn07MDptX7o1f4eE0HAm8F5gkwbnDotG80z
gJNw5ZhnS2At3CnxGvPvEBucqBD2Lj+kMOrCZaKJ0vgEPgWa4AfamDc7dqpAfR0aHUIY09o0G+8z4bdfBuW+N804HxpTouxyHr5
w8MzpCZVvFvwFX49N+9+KG/k9GPlXiYK/C7e6+ENf8IvbNwh2JV77xL+PxzW8PQWVAHPtf3FxkLu6mpLj9RXxac0kMCO+vfGOhR
VsZmr9/DUHLQlFxWlU6Limc+008PKXF+3wLmB0D6V/gTtuXAfNwP3ng9nWrQ+jZt0Y+XRjv+3ChPXg42sHXvH9X3qfGs+6l3fby
KWBA3GfzOLYqjs3DF+fMBJ6IZ1Se+82411mRrlfx6EQWZXlWpPlR3Lzl2qgHl1eXbdznsA6eUzN/WuD7GIFPfffGp973jf1vBvr
Xu65p/fxFrNpdo8JeXc9XTbJOedwrtCNjgFcrq6JqnHdMqONnA9eWbaQUfsIOjc2raznelXQy8LtoVI6t+NYqURo3j5H8tnis3H
+ucU7vGFANBp4ys1tKWGcr7cJy4Le1NGOS9sWjgSwD/rg2jsE3cho3DY1ub+D2gg1bT22nhgArzGxFOPsfhdvyriycsxnQz8ymd
3JGaUBXo06E2cto3C5z9UbKizHAwnranLD3aguNfl9giZmt2NjvH23PNoTdrqT+xW833m1ICG+bRL+/LNqqpaHJGxrX2zo8p27+
lPj76I1PiS+LfvpGfAHUQHzBUM2ZuaYU/sLO7/QYsfwlgrsn6yevB4VA0KdWXkdHdGJ8MFeZ2bySpvPI0Ko8X0uwk3Qf7lrhIjP
7TEnTOAl3g7EKGFfdEUraOaYFloTgtKqEaewVWr3hwH1m9kDV8b7AO6I+32xmT5e0LPfAje0XmdkV2VIlSdKBzLQNrtnshy9uA3
ioXtz0ZnXyvE2827wU/NYvoVGtdJDjapxS2fdiWQW/oGIjNrboQDQ+nPEh+LUB3yhxWU7Gp3T6hMBerywfK6udS4xiH2lQX8dG+
heVVfALpuJTYUNiAJYkSVKvXVxmZo+b2StmNt3M7sVt/1bWu6ZZhb9K7NWXslg3CNOr8r3lyiLiyK7Ap9KqV7juFX8fNrMZJS/L
G+Lv3i38XVXef2R1tAXanbfOKHl9XUm7m4qWcUibJEn3E1FQxkvaS9LekvYB9mt0TbOu9h0YfxdnsW4QKvk8qMXLYjGuEh9YtX+
LKiG4zLxYlaZK49ALN8puhbKsvH/FZ9mSGvV1SQt9lwOziUqSpI7g1wu3+RuOzxZYZ+S7ZhX+KhrJtizaDUJbVb63alnUS2clru
TKFkjjyqo0URCUaJGybKtRP6vT2dbi32WSJAn4QpjBeDSTuQWh8JjOCFlJkiRJkiRJuViIz3RUz3Y0XC/RJ/MtSZIkSZKkHIRrr
x0Lu1YBp0TUrmWxb1vaF8el8JckSZIkSVJiBuFRuoravuW43V8lqlHfRjdI4S9JkiRJkqQ8rMBddt0N/+foeYiZzY/tTfAwkSn8
JcnGRNJg3AfdUDzo9vMbK0pAkvSQb25vXDsy3Mwu3cDP7ge0rY0/zfXx3pJ2ZU1vDm3AE9XRbyKCyIHAo2Y2taO0STocj0f9ipn
dnLVuwxAO/KdHeVRiIm8u6Vo8NN7r8Hi/dckFH0myfjuBEyTdhMe4nAbcgzvVni3p55J2yVxKkvXCPsAngR9vhGdfh8forbQDEy
LK0MZ67/cAvwXuBr4KfAa4VdI0SYfGO07EneHvCTwq6e2dSNvhwPeBD61lWhu1nd1ynx7AcNzLwx3AbDNri9Cdu0QEr5qk5i9J1
o/Q1wsPzv7BBh/su4FTJZ1pZr/MXEuS7sPMfhTTXwdthMd/DyjG3z0N17zduDHe28zOlbQQ+DJwjpndHRqjB4ErJY0Gzgbui3Mm
AE91lDYzO1/SsVXHO53WDuiu+7Q6S4FhuPP71dH3jAH608DlVWr+kmT98LkGgl+R/sBPJR2YWZYkXR5kbSpp2xr7t5C0Je0Ob4v
HRkjavhgdRk4fSb0kbVXnWZVzBknaprB/bAhPRWHrKuDmyvEQZPpIGhD2WfXSs7bv3Tc0Zb0bZFdFELB4RwMexyP/bA1sj08Zys
xOM7N7az2zmLbi/TpKq6QxkvaUNLQqXf0l7RLpGNfoPrXeZy3yodUGOcuB54GTQ6HwHuAY4EkzW1bvutT8Jcl66JCAc6t2L8Lj7
i7Al+jvVPUdfkPSAdEgJ0nS+BsT8DXgKNyEYjHwDjNbKukC4MPAC1SFxpN0HvB24GWgl6STgD8AB8Tf0cBhkk4xs98XrrseOCzu
acC2ki7DDe+Pw2OGv9/MfiJpCh5e8XrgLcAP43sfDuwPfDGOVaepq+/9E+BYPA70kND2PC/pEDOb3Yk8HA68HrgX+A6u7Rsb73Z
YnWf+qSpt1bwmrZJuBC7D7Z0BDpX0TjO7OtrK63GTmF2BHSItte6zf/X7mNl8SVeuSz60iAB4l6RXgG1wpd504IlG16TmL0m6nx
NZ07j6emCcmR1qZicAO0fDWYwosh/ulylJko55G/Bp4PjQchwEfFbSITHwOhW3XXumIOwcC5wPvNnMjsS1XeeY2eHAs3HNR4Bbg
JlVnesx+DTo0LjvO4Ezcf9q44A/A5+Ncw/Ep08r1x4PzAYuM7ODzayW4Lc27/1W4DlgK2Bi/HYJgbgRl0t6BJiCT/u+2cxOxG2R
rzOzwxo8c4201RBCaqV1QghtF5vZcfGcMwpt5auxfWKlTay+T8gqr3mfOHdt86GVBkN9gJHxGxb9T68U/pJkw1IdUPus4gjUnD8
AF1Wd9/rMuiTpFG8B5gMzzawNeCz2VezP7gkt+u2Fa07BY5+eLekHeMzkoyufJb769VEzO9zMptSSbYBbzWxpCDAAN8dznoiOt3
huV1iX954SYb2m4g5+J3TwrPcCe5nZbmZ2kpnNqHFOR8/sCo9E+raW9PMY5Fa0gA/HfV/FbaTPq3OPRu+ztvnQShweSoWVkU+7A
Yc0uiCnfZOk+9m08P/CWJZfi6tYc3r4DfiKvCRJGmM1FBkGVGy9VtTo4wbjmrqf4fZvl1bdZ1onnru46vnz42+n3DaFvds7zewH
VYfW5b1frQwqJa0u3Ksey82sozjmHT2z02kFbsBXBP8GuBDXlFYYiWs79wVOAL4t6VYzu7/qPmfhTowbvU9X86ElkDQk0vqritl
QLPo4TtLAGKy8htT8JUn3M6/w/9DwsVWLe3D7lMrvK5l1SdIpfo/bg40N4/6dY9/kOD4xOsCDozPsA/wFX2A1wMzuiP7vI5U+FJ
jRUT8bP+r8VZ1zAeYCI3A3LkfUuPe6vDcNnltLwOzTifR19MyupPVMXNt3Hj6dvju+kKMXrp36CPBvZrYHPg09qsZ9aPA+dfNBU
m9JX5C0cwt/C6uAAbg2tMJAPMJH3UFJav6SpPup1iBMkfSfwI/N7P8Ew5iumpnZlSRd5krgAnwBwgJcu3ShmS2TdFEcnx6dIsAD
wB74YoVrJD0ZHePRkn6Br3QdKWmBmX26hnblEnwBwuaSvonbGYIv1PorvsJyZNxrAa7JWibpAjP7HPA7XMt/Eq7hWgMzu2Et3vt
SYDtglKSHcPvHQcBZkh41s8sL7//HwjtPlvRDM/tknfR9B/h4nWdeXEwb7uB5L2AnSV8ws/NqpHUI8H58indlHP8n4Ou4JnVMtJ
Fz8FWrN8drFe8zMfJ4jfeJd6+bDzEQPwd3rP9YK34IUednAKdLqmiO+wEPmtmKuiOZZlxcKOmoGCncaWaPZDu33vN7U9zYdlm1v
zlJb8VV8zeY2QslT+dJMar8q5k9V9j//4BvA1eb2Und8JzDWNMVQoXVwG3ANfGb1t2reyV9CLed+bOZHVvY3zsaXPDpgaUlLkfR
bjB+hZktKhw7BF9NfX9x6qik6Tw4OuQHzOy+bKlq5tHw0Aa9XLV/FD49uCI0IEsqHaGkYfiq3mc2ZJSdiJ6xsFhfa5zTVO+9ts+
sTmu0P9sAz5lZm6T+ZrY8pnSX4lrcoXHcGtyny+8jaQQwv9U9KUgaH3kM8Gyxj6tFav6SpPtHYreE+4G3Vh3qjbuLOAy3fZkWI+
mfFjWCSZJ0+lubT7vdXXH/7AbXLKCD0Ffr6V1ndOKcpnrvtX1mdVpDUHumsL08/lbCy82OX0f36fL7tGLbGlPmvYu2m2b2DGuuE
u9fyedapM1fkqwf/oUGLhGCCcC3gKcqIZaSJEmSpAM2ATrqM97a6GBq/pJk/YyYp4dT0n/Bp1v36OBDnizpYDO7K3MvSZIk6YAt
JR1P7VXYYk1fs68hNX9Jsv4EwJVm9g0z2xP3Xv953H9XrXiLfYEvZK4lSZIknaAvvhp6JG7LPpp2R88jO7o4NX9JsmEEwal4wPQ
vRxzQ0/CIAGMLp71J0iAzW5I5liRJkjTgBTO7AUDS5sAele3Y985GF6fmL0k2vCA4y8y+i2sDn6w6vE3mUJIkSdKAecAdHZzz1x
T+kmQDImmmpGXxu7uBELgA92VVZGTmYJIkSdKAAcDmHZwzJoW/JNmwzMa90fcH9g4/U/UYVePaJEmStRl4HiVpk8yJHiH87Sppd
JgRjQT6V7Yr08CNbpA2f0nS/TyIT+mC+/b7tqQzIqJHsaHeHnhbYdcC2gPGJ0mSdJXzgf8Crs2saHk25bXRYk7o7MUp/CVJ93MZ
8I7C9nuBPSRdBjyLL8HfGw8/NKxw3tVmtiqzL0mSdUCZBT2ChdQPWSfaYyKn8JckG4g/47FGjy7s2yt+9ViOrwZOkiRJkkaswkP
c/aPuCMCnfuuSNn9J0s3E9O77gGmdvGQ1cKaZPZa5lyRJknTQx8wzs3s6OOeGFP6SZMN/nC8Brwd+gAcur8d9wBFm9svMtSRJkm
RDkNO+SbL+BMBFwIcknQ0cC4zHl98vB14EbgUeMDPL3EqSJElS+EuS1hECFwCXZ04kSZIk3Y2kfrhrl7HAFGAX4E4zW17vmpz2T
ZLWZIKkdBidJEnS+kzCZ5YG4it9H8PDhSqFvyTpWQwEnpD0aUkDMjuSJElaD0nDADOz3wAv4BuzQr4bksJfkvQsHgDeBBwHPA58
IL/3JEmSlmM5MFDSUMBCIBwDDAWW1bsobf6SpEUJVwBHSpoEfB33CP9b4FeZO0mSJC3Rzi+X9Cxwagh/O+KRpR4xs5Up/CVJfc/
31sHxsjcOkyW9Hvg28C7gdZI+ZWb3t0LyslonSdLDBcD7JM0CxoVcNx14stE1zSr8VVao9M9i3SBUbMKWtXhZ9K+TzjnxtxUCom
8af1+tahxWSroDeAjYHPirpMnAZ83smZKWY7F+VljRQvV1QJ00JkmSVAuAL+IuxACQNB6o27Y3qw3Qovg7Kot0gzCqKt9briwkD
cRj6tZK57PxdzdJfUtelntXpam6LFfgsYd3BJ4GHpT0A0mblbC+Lq0RC3lhC7Udm1SlKUmSpFb/1l/SeEl7Sdpb0j7Afo2uaVbh
ryK9bilpcBbteq00AnaoyvdaZTFeUu8SJ3UHfFp3rpktrjp2J679GwG8pcRluQW+yAPgTw3Kckczm21m5wCvw1cGPybpsyVZGbx
jJ+rr6FgFV9ayHIOv1FsNzMiWKkmSOm1FL+AE4Ahgz2jTdy8oO8oj/JnZq/i0Ve+OpNdkndkdGI5rhJ6ucfx5YElUpL1L+nEMwR
1ggvs/qq5vq4AfxeZ/SRpR0rL8RpTTA8AdNY5PA9piUDUu0v6cmb03hMY3AY9L+mCzCvohFG1XSE91WS4IYUnAAY38XDVxfS22e
081MtpOkqTHMxQYDFxpZj81s5+Z2c9wu79yCX/BndFRjZO0fxkb8RJ0MjsC+8bmA2a2rI5gVAkgvYek3Uoo+B2N24DNrSUwBF8J
oWE74GpJo0qUxl6SLgLeEd/MJ82srUZZzi8Iv4dI2qpw7G4zOwI4E/goPh18fJOlc3PgyIJQNKvOqXfhGrOxwEExMi5LWfaNNG6
C2/rdny1VkiQNWIgraJZU7X+xYVvTzGFFJe0K7B+br4ZGY7qZrc7yXus8FTAa1/htW+hIb+nguv2BXWNzOr5w4OVaQkaTpHMQPj
34OqAfvsjjj2a2sME1E4EbYxQ1A/gycHloopsxjQNCsP08MDF2f9rMvt5IUASOwWMMG/AEMNXMZled8+4QiB8FPmNmD2zEdI4EJ
gA7x4B1NnBtDXu/6oHNIbE5N9qOFxpds5HLsl98j3vj071twA1mNj1braQL9ehW4Ktmdk3mRkuX8+a0m7+AL/QbBMyifUHjtmb2
i1IKf5HIHYADaV+Z3AYsjb9J1xlYyEsDHgbusU5UBEl7RudU0aSsjrJotkrUl/aVkuD2fH9tJPgV0rg3cGVBMG4DXo50NhN9gC1
CsCXe76Nmdmkn0tgbOBjYvrB7Ja9dBd0POBa3g/wHvlBk1gZOZ/9CGsHNEG7pzFRoTG0fEvWhmduO3rSHZaqU5Y1m9nI2V0kKf0
mNch4fbfiSBqcNNbOflFb4K2hx9qA9dl2ybqzCw8A8VNT4dLIshgN7AVtXdcrNyGx8mvfxrmgoY2XwvwDvwwNkNzOv4I6bv2JmL
3SxLMfgmtExIYDUYwhuD3gEcBvwhw4ane6mDZiJOy3tahoH4EbQ4+nAALoJWIj75no47fySFP6SBuU8FtjSzO4uDOiHhGkPkjYB
djOzW0st/BUSLNy4cRAZqmptMFy7s2Bdp85janBYlcaiWVgJLKxlw7gW6dwSd5w5qAnTOBN4shvKsm8IeB0NrLYCzsZt0i4GLmH
9+6BbBiwysxXdUJaVtqPZFrOsBhab2aJsopIU/pK1kIuOw/23XhsKgUOin7+/JYS/JEmaorGZCHwNXxzzJeCSZrX9TJIU/pIWL/
MRuM33i/gs16rY/07gKjOrOUuT2rMkSbqEmd1lZofjK4M/Btwl6cjMmSRJkg3OUnwW7iVgdXh/GIvbS9cdlGds3yRJ1lYInCxpL
3xl8GWSHmEjrwxOkiTpYe3wcknPAyfj5kC9cNOWJxqZPpXN5m9r4ADcQH1AFnspWBIjktvNbOY6lH3FRc2wKPtmsjO0GH3NW1e3
MOGXcDOa0zZtBbAYmFm9ICEWZf0LcA5wA3C2mT2b1T9JGn7vOwJvwO21umMB3YeAW4Cp3XCvufjq+r/VmzpMmqoujQe2CeFvegh
/VmrhL6aU/hN3+ZLOnstJG3AT8Hkzu6MLZd8X90m4K67GLoOw+w/cd15XVhhvhbvRKUOM3dV47OD7qt3nSNoU+DTwEeBS4Dwzm5
fVP0nWGMieDJyHr7YvQ5v2C+AL6XeyFPVrVPSVMxv1Qc3u5Lk3cCHwidhl0bE+y/pfZZh0DwNwf3K7FsrwPOBLHfkWDLcyR+PaP
nCV9myaz+ee8JWym9KurXsVmNzRiDlWTe+POzCu5M9cYFEIWc1EX2Ak7gQb3GXQ32pp+CTthC8GOTK+4W93x+rrJCl5xzwwBkWn
FQZS9+PG+t3h3qdPfJfdwXDcxdoWsT0POM3M/pIl2VR1akgMJtqA+6I/mYN7SZhcVuHvYlyNTXww/5lTSaWtoBVh4NTY9WUz+3w
HFfrEEB6X4CHmnm7mVaWS+gA7AfvgUzjzgWvMbHmDaw4FdojNx4AHzWxxk5fl5vhU1ejYdWO97zJWBl+Iu8v5MrkyOOm5bWBv3E
fm8SGgfQu4sEGYwmZ4517AUfEN7xkC6pvM7MYs0aYqoxOByfjs6CAzu0rSG4Ep9VxI9WriBL0jBD8DzjSzM1PwKy9m9riZvR2fE
gT4XFTOehwRgt9c4Goze7LZhQYzW2VmjwJ/DIF1OHBQBwLxDlHHbzKzKc0u+EU6Xwauwx0SAxwqaXCdc+8ys8OAs/CVwXdKOiK/
iKQH8pkQ/JYDJ5jZZ5pZ8Ivvt83MbsBt7a/Gtf+XhxPhpDkYhmtll+K2oxVH+P1poE1uSuEvNCgXxOZFnQlZlZRGCPw68GN8qvR
rdcp/PG77topOTJ02YRrn4zGCDRgnaXQdLcA+sXm/mT1TsjS24dE+XsWnmvbu4PzJkd7/BX4h6YYIF5gkLU8IS+fG5ifN7PqSfe
9LgXcCj+PmLZ/NUm0aFoaiYVII57MlHRv/l0v4Aw7Fp4nmA1/Msm05PoevHN2zjgBQmQad2pl4vE3aWM7CbVOL6SkyFl/RuxS3Y
y1jGtvw6XiA8SHQNjp/lZn9EA9IPhm4WdIVEYM3SVqZt+AamieAH5T0e1+M22sDvCemG5ONXy6rgeuBZ/BZp5V4DPbnaOAxolkL
76j4+6eydv5Jw8r6Mu6OoFjWRbaMv8+UPKmV9x/TII0vrGt4to3MDDwEW1/abQA77ETM7Kt43OTZwIOSPpVfRtLCVNq535X8e78
6vvcxtC/iSzZ+n7osTKteMbPpZnYvvqajdJq/rePv1CzWluXRqrIGQNKAwmhlfsnTWHFxMqTGscFV55S10bFCOQ3u4rUzzezDwH
6026kkSSvSEn1amOA8W6vtTjYcEcXjCElbxv+Tqn+0e5CoSbNG+Kh0lqn1a10qAsOwqv19Cw3NypKncUX87S2pV9WClcq3t7IFy
nJFddl1sUN5DF/pnCStSiv1afXa7mTDMgDoa2ZtEc5tNm5nDm5T37uMwl+SJEmSJEny2gFzG/Cnwq7ZZnZN8RxJB6bwlyRJ6ZG0
G+509hngTmCimd25DvfrB7SZ2ao6x4/GnVq/ZGa3NUkeHI6vhH/FzG7OWpEkPb5dHAqslNTPzFYUBMQp1fuK5GqdJEnK0MB9CQ8
xtTce6vFBfGXbunBd3LMek3DXNO9roqw4HPg+7c7vk6T4nUzsaNV90nIMi0Hq7pJ2l9RXzrHAuyUdFSEFU/hLGjYekvTvkr4WcX
WTZGPXyR1wH2nHmNnZwDH4avEh63jr74VwVxMz+ywws5nywszOp/yr4JP18530Aq4A3pG50XOIeMvCo0vtibvKG4ivyJ6MOxUf0
yOFP0mDJe0kaV9J43NkVF/wA/4H16x8BvhVCoBJEzAu2qr9o7Ez3P+nJPWJAUsfScMkbV9rlCtpRPUxM7sKuLnqvE0k7VI4z2J/
P0k712o7at278E69JG1Vta+vpAkdtUOSxkjaM6Z11mjvq87rH+/cp+gzUdKAWnmRtCzvwlfgfiv7uB7Vbw8B5pjZr4FfhuA3IA4
vwN1xbdKjhD9JJ0i6CXenMY2ID4t7wP65pF3qXPd6SZcUfrt28bm7S3qs8Du1VoFJ+oqkWyW9IOlpSds1geD3wehcVgGnpACYNA
H34E5Lr5L0gKQLcbu3fULTsRR3P/F34CbgOkn9C3X7POB2XMt3k6ThkqZIWgr8tiCYXQTcAXwTd0Bduce+wCPxHv+QNKqDe9+M+
0L7JR7p5QVJFu95N+7m6N7qexXu2VfS5cCPgK8AMySdWOe73RSYAvx7vN/Dsb8PHo3hW1l9eoQA0DfqbS9gBKn960kYMDiEwCG4
y62i263V1QNGaNEFH6H+vjgEmVoMB94NnCrpTDP7ZQ1Nw1mF7V/T7peuMwwAJlQ9r/pDvQPYreq6foVzJhWk91lmdtd6Fvy+VxD
8PoZPd/06BMBfSzq9BVyvJGVs2czmxcq1C/AA5nviMaJ/B7wNj5CyaQhpI4GXgDOBi8Pu5XxgezN7WtJTwDlmdqCk2wuPeRvwKd
xx7VHAd6MdANgqvuexwENx/IoG9z6h5RkAAAAgAElEQVRc0jTg1PjG/xuPanNp3GsnfBrmkcq9qpI8AXg7cKKZ/VHSQ8AZuIPda
k7EQ+ydgcf1fDDybJWkH0Y7k7Q+Hyr0H72Br0r6db3FTElLtY+LJc2NNgPc5cte8f9+US/u6RHCXzS0H+zEef2Bn0p61symbMD3
e3cNwa+an0RnA3AtcMJ6Fvw+UhH8zOy/49jpIQCenAJgshEHc+8BZpjZaeEE/GDgA9HYHR319l4zW4ZryWbgizUujsHLauDsqOs
D45pzq0bDJ+JTJNOA5/F4y9Ni1nSKmc2JBnZZYWDX0b2fMLNH8UUahPZvipnNlTSv6l5FHgGOBbaT9HNgW1zzWYuHgUtCAPwb7e
G3MLMvZe3pEd/H4BiEFM0DhgGnA5dlDvUIbsFnNZdHW7FTCHxj8CnfV1pe+ItpkHOrdi8C7o/GfcfImGIefEPSAWFLtCGo9r8zF
Y9wsHgD51VdwS86j9+nAJg0ATuEMDQ5BLzJkv4KHFAYIK0u1OkBuNkC+PTHKuBnQBuufbM6A8F+QO8YSd9dsJd7Nb4Hk7Saduep
Hd17Wo3n1LtXkfH4it7fABfSroGsxUhcw7hvDBC/LelWM7s/q02P4eOF+l5hCKn960n0AkYB20Qb9FwMPmc0uqDVOBEYVNi+Hhh
nZoea2Ql4yJO3sGZkhf1idN1dTAOOKPyurTq+TeH/5cDrzOwYM9tgIa46EvyKAmCMIFcWBMC0AUw2JKuBd4QGsMJWuDlFxf/exN
AKjguB6PrY/5cQ7AaY2R3R5n2k8hnED+CGEBqPiG/jx7hPweoFE8VrOrr3jBrX1rtXkTOjPToPN7/YHegT5izV1x0Sz/w3M9sDn
/YdFd/4v0o6JKtP6yJpBG4CUSuudkX7l7Q+h4dsszLay92ibahLK0777le1fZaZzS4IMwb8IYy7ixrC19Mes7CRwDQ6Opcn642o
zGwhVasIqygaYz6/oQN9d1bwKwqAqQFMNrLw90fgA5I+DrwYjdtHzezxUNC14fZ4w3GN2c/j2p/ivgGvkfRk3OtoSRfj2rJlki7
AF0wcjPv+m4vb6X0c2A4YFXZ3x8fA8ixJjza49y+A7YGRkhaY2aclXdroXmZ2eSG9NwDvx6d0V+K2jf8EfD2MuvcCdpL0hTh/DD
BF0hx8yvrmWPBxLnAlcGtWoZblXHwh0Ygax1L71zMGAEPwGYRfVWYvY6B4nKSBZra0XsfedD/g9yGUfGItrv1dXGvAggbnTSycZ
8BXC8feVnVsUgiV9xT2LcEdxA6vce+dQyNR+b059n83thdU3ady3m6Fc1YUzpkb+27shrwVPqVk0WF+pAvXnlx4r9/hcQXX9j2+
EPf5UdX+oaH5OLMZ62YX0ziokhagV9WxY2L/hBZI59GRll3W0/2HAP3i/01w042+heMP4zayQ4Exde4xDJ8+7t3BszYDxnbx/Tp
17y7eszc+/dsrtvvXOW9oDOJHhdZTVe/Vu+z1qxV+wH3R3r21G++5ZQh+1sFvEXBcNz73jrjvaVm2TVG3BgAnAYMK+wYDb620m7
V+raj5m1f4f6ikXcPoupqKMWSFZQ3uuSu+0rCosRsIvBPYV9JeYYtUHHEdVNjePP6+rmp/5T6VfUPrnDMi9i3fkBq/1AAmzYCZL
Sr8PweYU6jTE0MTvzWwlZlNrXOPBTHo6uhZr6zF+3Xq3l2852oKzpzNbHmDWQbwFX6za7xX0rrfxUvRf1S+hRNCQ/6wmb0u9h0I
rFqf3iKSjV4PlsUit9MlVUK59QMerBfaDVrT5q/ayHqKpE+GbUQxw9rMbGbhN6/BPf+9SvArMgH4aAlUw+sk+BUFQNIGMGke9sJ
97N2KT8EmSdLeXk9Jwa+1CSfwI3F/oy/E769mdm/EL+8xwl91oPfhwNeBVyXdLOnT4am/K57vN8U1g7/DbYGeqzp+RifvcyHuou
Kpwr4Zse8D+FLtyjlFYfQfse/DG1PwSwEwacLO7Ydmdn78fpk5kiRJD6MS23cwrv2fAjzf42L7mtktuJFzNb2Bw0K4mgpMjdVwI
zpx2xXAYWb2NjP7KB5ZYG7h+A6FlXiN3u1aM7uENeOFzjGzS+I3q3BO0e3L83H80o0t+KUAmCRJkiRNI/NkbN8C/4Ib2DZiAh76
6ClJh3Zw7k+LqvOwOyp62+9Pu11fs/FF2t1PGPAlSXPiN1vSJ7ogSL5H0quV63HnspURxcm4VjRJkiRJkg1AxvZ9rSS8Px6u6aE
OTt8Edxo7scE5taJ/TK/abtZA2ltVlffIwm8T3HluZ3kjvqqweI8+dZ6VJEmSJMl6FnnI2L5rCIArgW/g0Tt2wTVTx+JRAaqF3r
6465F6glAtL9lLS5IV7498qJ6SfQvw+bW858V40HmqKtjU/A6TJEmSZIPJOhnbt0HmTAW+DHxZ0mjgNOCztIeGAniTpEFmtqTGL
VaXOO2rqKH9lLTPOtz2JTO7Nz+7JEmSJNnoZGzfTghDs4DvSvopcC/unLXCNsBjWY+SpPmQNAaPi/1oPX9+nbjH3rjz5OF4TN6j
cT+a95jZk93wjm/EzSFeNLPbG5x3dJz3kpndth7y6nDcYfUrZnZz1p4kaWm5po2CFxJJ04CJZnZnvWtazuZP0kxJy+J3d4PMWoC
7bikyMqtRkjTldz0Rd3m0J/CopLev5a32AT6Jx+7tg3vB/xVuI9wdHAX8EHhPB+dNwv0Tvq9BmidIOnIt3+NwPJLPh7L2JEnLt4
/bhEuXN0l6E27Ctouk3j1G+MPnu/vHb+8OXLmMqnFtkiTNx9n4Cv4vA1ewpq/MroyQfwT8If5fztrbvda7/2dZ05XTupx3Gr7Ia
m3e43wKEUKSJGlZwa9vDPaG4dr+3vhU75MRKajHCH8PFv7vDXy7lg8+SdvjMXwrLMDnzJuRAVnFkx7cuA0AtsftVmRmp4X3+hGS
tq92YNpg/xaStmTNlW9WOL6tpM1qPH+MpD3Dk371sU0k7VL1rEpw9X6SBsSvfy0ZrXDezsVRuqSxIfz1iet7x35J6iNpkKRtiue
HPTO10pYkScsyFJhpZlcCzwN/B34LbN4omEUrCn+XVW2/F7hX0qcknRK+6r4RWoSiVvDqWBzRLLQV/n+9pOMk7ZH1POmBXIH75T
wauD6EnfPwcEb/C9wkaXgH+y/AV6P/Gajl2/IC4FLgsTgXSX0lXY6vbP8KMEPSiQUh7CI8yP03gZtrCHifwj0FLMTtC2uxL/AIb
pz9D0mV2Ygf4kbbp+OOWidJuh73MjAVeAB4QtKPJF2Mu6N6SdL7srokSY9iWbRJ2+CLPbbDgy/0on5Y2pZc8PFn4IboKCrsRfvS
51osx6eTmomZeLB6cOP0a+M9u1sLuJWkD3by3B3zO0s2NGZ2oqSH8UUZ74uwRecD25vZ05KeAs6R9Lc6+68Dzo024a94HOAtqx5
zvZl9QNJJwFWS/oRH8Xk7cKKZ/VHSQ3gox6vxWYNPAbvidn7fBcaxZmzxF+I7PrnBApWtQrAdi6/KPwq4wsyOlzQTuMzMzqm8o6
RHcHOV8cBxMcL/Xjz7j7gXg59krUmSHtM+LpG0Ercj/guwO/C6EAoX9xjhz8zaYvR7YzSqHbEaONPMmm2V763AG9bj/Su2ALsAP
1jLa5NkY3BK1MGzY1pjYAh2m9XZX5n+vMfMTNLtwEGxrzItUvGDVYkMNCkEyWOB7ST9HNg2RtYAJ+KmItPwqZb7zawo+L0R+CDw
xQ5WJk8xsznhp2tZJ9osA241s6WSKmYqN0e6ngBen9UjSXoctwAPmNlcSX/GZw2mm5n1GOEvBMCXJL0euAif9h1Y59T7gI+b2a1
NmIwvx2j+5PV0/z/hq52Hd/G6JcBv8ltLNiKDgVX4VGobPl1rwMfr7K98QytqtHsVO76VVX+X49q170d9vzC+xwr9ceepvcPJ6t
2SVGhs58Y39m+SrjezKXXS8mq0WSZpNTUiBYWt4TvNrDJIW1wQBAHm56AsSXou4eplbvy/UNL9wEmS/hDHeobwFxmwCPiQpLNj9
D4ed3i4HHgR16w9UEsyNrPfFjQC9e7/JeBLdY7d0+h6Mzu4E+8/BzhF0kDc/+CA0Ax0V/7MYM0FL0nSzKjwTf0Ft4UbYGY3SjoQ
+OcG+y/DVwtPjKnhg0Oo6oNrC8FdvfwY2COEqmuBM3Ft33kxSNodeDAWkN0AnAocIemGuPZCfMGZcE3iJ3EN468kHQC8DPwH8Ku
YaVCDNFYEyBG4e5ojcA198Zxaf9XgfkmStEJjKO0IHNKJU/sUBr09Q/grCDkLgMtL/P5LWdOOKEl6WkN3CT6Nsbmk7+Aavr2Bay
Q9iWu8jgbm1NpvZq/G4owr8ZjcFbvZB3AbufuAnSRdHQLe/zOzB8NN1PuBh3GN4O+AfwK+Dnw6hMjrQkj777jmZ/jK5E3whR59Y
vD2MPA54BxgjqTP4obZo8KW8HhgEHCWpEfN7PJ43rnAScAJVfnwTeCYSMc3JP0V9y04UtIvcA39XpGuL5jZeVmTWp4luMeKFzMr
Wp6VMZh8PrZ3i/ZmVgz4No92rq1uu9pgSnhjNva/x52vftLMvpnl3JId+hdCC/JjMzursH9oaFQwsx+XPI2DcE0UwE+K6ndJx+B
G/rdX2YqVMZ1H44uT/r62kTfW8rnDgNHAM0V/Vg32j4rGcAUe63oJbhLSJwTHrYHZZra4cE3vEN6eC3vi/uEfsHJ8M6CfmU3v5D
uPAOZbJxveiGqyMGYykvJ+I/fFwOTkcMlR5rTcgceMPT0GKcmGL4NRwCgzezz6mTea2VWF4wLeAlxXbK+K9MlsTJKkjIRWf0EX9
tdy4l6cEnm+xjWrKThLrm5IzeyVLr7zvC6ePyNLOkmSGm1ZsT0bEj5MX40B7mY0cPOSwl+SJEmSJEl5BcElkh4D3lR16B/1tH4p
/CVJkiRJkpRbALxH0ou4KVEv3M3LS42uSeEvSZIkSZKk3ALgTCJeeEQg2s/M7iyb8FdxaZIxbVuXiu/FpVX7/y/EnqTejQJTl4D
K99VWw9dSJV29W6As+1SlKUmS1u3T6rXdyQYmFoRVooHtiC9kA9f+jZZ0T70+tFlj+1aMnMdn8bYs28ffl2o0khVBaWjJ01h5/y
U1ji1tkTQW07A4q3WStG6fFqvft43N6VmsG7UsBuPunkYChwPD8IUevXFXU082Up40q/BX8YZ/bDhiTVqr0g7CY5gWyxrwSAdAZ
QXl1iVPauX9Z9U4Vtm3dSzLL2tZbgIMCYH91azdSdKwT3tzydNxGO7wfAHuuzLZSIRLql/E5sxwIfQ88Hc85vfmjfqWZhX+rgfm
4UHP35/F3HJ8MhqQ6cBtNY5XXGvsLqlfSYWiIbTHaX26xinP41Pcw3Bnv2Vl7/j7UqOVZUnSw/ldfO/7Szq2pG2a8Gg3AFfl977
Ry2MAvsK3V2xvE0qF7XAn0L1o4O6lKYW/cGj61dj8uqSJWdQtU2GPxp07A5xvZqtqnDYNWITblhwW4bTKlMa+wJG4+v0VM6vlP2
55YeR8YGjQylaWu+NTQIZHyUiSpHaf9ixwSWz+RNL2JUzGl4FDcd+Y/5mlutFZCbyAK8pWApPwKB/jgffitth1TXGaMsJHoQO9H
o9puQT4DPDDOsJC0vyCQn/gX4EvAv3wUFtvqxd0WtLmMarpHaOZ281sbgnSORoP+zUiGsk/mtn8Ouf2xuNOj46P907gCWvWj3LN
stwX2Dl23WdmD2QtT5KG380wfEpuV9xE4mPAFSX43scAFwHvjF0fMbOLs0Sbqox6AcPNbG5EydoJd/cys3TCXyRoJD53fWTsegn
4E/BsdJZJ89MPX9xxHG6MCvAH4F3FMFp1yn8b3MakL65dmhW/ZpxuGIjHU9w0tpcCfzWzWR2kcUCM2EbHrsV4bM5FkeZmog9uXD
yW9hW+D5nZPVnNk6RTfdrWwDXAHrHrqVByTKf5VssPBvbB7bMrcWLPNbOvZUk2TX0SMMDMurzyWk0+6KhoAD+BB0QfmcVdambh0
wUX19P41Sj/4cBEyrP4w3Abv7vNbEkn09gbeF38+pYknfOBu8zshazWSdKlPm0I8G/4TMjAkrz2/cCnzOymLMGmqUdbhGDeH9ck
T+5sn1MK4a+Q0EH4suYDgTG4RmljcxCupXkuq2JdluMa27/hmrBla1n+w4BtcLcizegra2kIRM93pNHsYKAzFtcCDqT5bHJX4Rr
Jl4BZVpbGI0mas08bgc+IvAGfNegOzxZHAI/R7lpmXViIL767Hrgnv/emqz+n4NriBfiM0xwzm9xywl+TZv4fgN+Z2c8yN5IkSZ
KN3CfdCnzVzK7J3Gjpcu4LHG9mV8V2P+AEM/t9Z+/RK7MxSZIkSZKkNAzDV/kCYGYrQgjsVRAQ92t0g3SgnCRJkiRJUh4EDJS0a
WFfb2AzSatxxd4E3INE6wh/kgbSHHZffYHBsSp5g9Pdrk9i4UGz1YlV3R3fN1yV9HTWR76OiEYp2bgsbCWXWE34vbaZ2cpuTuNg
useOvQ8wpJv6pAXd2UaEVqrZFrStLvG3MgY4sWrf8Z0ujzLY/EWIt3cBb8cXfIzI9h1wP3LPAH8E/sfMnlqLvB2HewQfg68aaka
W4cGrnzKz59YijcNxn3Rb46HI0tzBWY6vwH4aeLqrBt2StgI+Eg3QDk1cf3oaE83s7hILe2X4XlcDc/DFfo9Vpt26qMA4CzgFX/
AxuEnTOB34M/AjM7trLcpyC2BHfCHboCatciujHXwGj4fbVoJvZFPcBd40arsEE7C3mf2ktMKfpH3w+HU7Z5veoSB4EfAfnRmtx
erZw2n3S1cWZgG3mNnCTo409wV2S4GvQ+ZGvs7pRL4Kd73075THVUUKf83fofUKQWiXkn2vy4E7Ojv4lvRG4Ed4+NKyYMAvgQ9F
BK6O0tgfOAT30FAmFkY7OKvJv5URwA6NfKxKOtrMbiil8CdpEu4QeBBu3Ph93EHmszSno98NzabAfsAH8LA7AFfhkTNWN8jXUXj
0jP64+45pMYJdQPM5Gu2NxwHeFrdh6I1rAv/UaNo7OpJJhQZ2RqTz1aw7EJ3r0Gicd8GnY1YCNzT0Cu+C36XAP8Wuu4D/wSMXvJ
zZ2hwdWNmmsuJ7PRrXEIFrnB4HZjfh96oY9IzBo3UMi/33mtmDHaTzvSH49cFdJn0P16xNp/kCFwwD9gLejWsoBTwAHGFm8xqkc
RDuwmZYCI1P4bMLc6O/abZ2cDCuZd41+sTVwE21wnK2Es0c3m0H4G58ivcm4O1m9mq263Xz6wzg4qi8F5nZZ+qcNwA4KSr8bNz3
3qKSpHFoCHQjcX9zf6gXXFzS/vExrwZuW5sp8R5UdwbiUwibR0f7h3p1QtLn8Bifq4FPAt9N/19JN9TBg2Jwtwq41cyeKZHQ+gZ
8dgHgxojjW+vcA4Cbcdu+XwPvX1ufoBshnUcAV4TC4c/AcbW++8iP4/FoToujf3m1JGnsj0eU2ioE8WvKEFJ0XaTeZuVrIfjdg/
uzScGvAWZ2KfD+2PyEpN3qnLp3CH4LgT+XRfCLNC7Ew/stwm2B9qzzEY/CtVkAf0vBr8N8XYo7cp0Tg4fX18nXbfCpXoBPmNl3U
vBLuqHT3SwEP4CbyyL4xbfTZmZ3AlNj136xcK46jcK1fP1wG+13lUXwi3TeFELdMnzW6JQ6p+4Ugt9K4Poy9duhSJiMz2D0xSNL
tSy9mrQx2B54Kx5L8INrE7euh3bil4Vw1Bv4eI187VdoZP9eT2vW5GlcRvvy9V1iMVA1u+FTFM+VqSPZyPm6Crg9NreL1YfVfBR
fZX9HdGRJ0h3sHn+fKfFU293AkhhYb1fj+BF4nNwluN1cWwnbiLuA78Tmp+uc9rr4+0CjqeFmFuaB20L2GCtpk5IOqEZKOkbSgT
ENXw7hD3hzQUC5P9vGLvHfVXlYZGyU+UIze7HEgspz0Yj2BrasMcKuxAF+LKtDl/L1FdwmEmrHUq7UqYtT45d0UyfVi3a73KklH
zw9GZu1FjlUXHJcZWYvlbjILo6/E2Mlb7EsR+B2xG24fXVZy3I+7eHxtilpMrbFbVJfAg4Pc69SCH8V7dTt2Tx2mdvi7+Y1fD0N
j7+zWiCdlcUF1W5/BtDuciQXIHRTvkYnvWNVHUuSdWUgPsVmLdAuzazTJhX7tFJ/O2HP+AI+s7JTnf5lXldd3zRxOzi8pO//EPD
bKK8p1FhM1KzC32YtJKRs6I9zHu2r40bXEIwAWmEafWlVmqrTuLKVHN02Qb5uQrsD8Pwuk+6iUs9WlHEqtJPfTqv1aS/34P6lLH
JAW8We38zm1fL+0awRPipCaRvJ2lAp6GrD40r0hVaYsrOqNLViGpspX4sDxfwuk+6iJ7RJrdan9eT+pTk/Ird93wOfpjbcdds/G
rl8S8e3SZIkSZIk5eVwPBDGyhDOd8OdbNelT+ZZkiTraTS6K/VDOq2uLOaKVeht3T1NH+6O9sDDNt2JR764s4Nr1su7rGM6jsZ9
W75kZmlvmSRJsX0Ygmthf1VZiBc22sdJGljPW0oKf0mSrC/eA5wOjAP+hq88GxWj1NW0h4a7Dnc4flo3NohfAk4A/gKcAWwRv9E
dXLrGu0iaAIw1sxs3Yj5OAj4E/IZcbJMkyZqswm0TB+JeMKB9IVXdad8U/pIkWS+Y2bmS5gJfBc4xs7+HQHUYcLOkfrEq8Hu44+
7uEvx2AM4FtjSzl8P9z3eAszpxefW7nIZrL2/ciPn4WUlvyRqVdFDvN8XDsS0yszsyR3pMO7tM0gzgdEmVVdb9gAcbrbru1YM+j
MGSdpK0r6TxtbywJ0nS7VQM3E3SDpL+Yma34LE+h0fjdRUe9qryrUpSH0l9JU2oEzFhhKTtQ7CrZly0bfvH/Q34Yty6T6N7FN/l
/7d35nFWVFfi/56mG5odBBeECIpx3zVEjQsa0Jio0ThqdEzikkWTSWJ+45hodNQZNYtO1CSOSdSYRWPMJnEbNe4KSdxABQTBBWV
TkEVA1u7z++Oesouiql691w/6ve7z/Xze571Xy617zz331Lm7iAw1569RRJrj8Sjx/ELpEJEhIrKnbVuYvHczEdk5Fn7UndNdRH
Zy++WksD/wN+BGF0WXcwCfJmyD+5Z9HibspUyXdf5E5GgReRRYQlh48ll78bwrIr8VkZ1ddRxno7MrcD5ti3IfDbwnIhNEZCXwJ
yuvdxKWWXgGmAo8B7xkW/ZFZfoSwhqgNwKPikhyLa5nCUtqjBORSSJyFWGpjX1iTtQGYSTjAvyCsJbZZwnbPo0p+PzcdJgzeAdw
M/A9YJ6IHBtzGK8m7KJyDaGFNFq3cl9giqVvPZk4jtN1idmIpcB7hOE1o7qk8yciDSLyc8I+iqPZsIu7P3AaMFFETs0JZ4w5kEe
LyChXM8epiNMJe4NGNdWXVXW1qh4IPB87fjxhmYJhZrxGEfZp/riVx6OAS4FjVPVwwk4k30nUgpcABxI2ot+RsBXVZELrn2aFkR
KXTxHG/92qqgep6gNFnl8gHTsCJxF2SvmkVUbPsFv/Bfh34NPAPcAhhJZMLKyPAgfEZeI4Tpd2/MRs62GE/e53J2yZ2Cvvvs485
u9C4MsFrusB/FpE3lDVCSnnf0XYFg3gXmuxcBynPP6DsPXTNWawjifsvfw8G64LpsAEVV0sIksIm8lHOyScQBjEfL4ZvZ7AWMIY
v8gYfg6Yp6on27ZGBwFfModrbIkwSq1RVvL5BdLxR+Aowh7KvyVsxRQt/nus1dynA28CE1V1uvX+TlDVRTaOMi4Tx3G6Lv2APsB
f4vspi8iRXc75s4GvSWO8HJhohvXDrL81TSPwIxE5wPcsdZyNxgTgf+z3t4DLc65dCGG8noi00LagbG/C7LbfEMYT3pLisG1vzt
VDqroKeEhEHia0mA0tGEbSpvQFTq3g3rR0bAtcb07gVbS17EWV0e5AN1VdISLPxMb9ZcnEcZyuyzLCLN/kki6z827qrN2+x7J+k
+cDwAhVPURVjyYshngc6+9391GrgTuOUz0iB6Wbqq5Q1Vus1e/gyJkhrKIfnziRtmtLdOxBc5CabUZjA/DVxPUtwCnWAhgxjDDU
46kSYSTjspiwV+s+hG6VIs8vlY4zzdZcQtgPdjfCpJIGwoD9ZuAwc/p+SVirME8mjuN0bdYBJ9gwtYNE5CDCzO9MOmu370cT/89
S1XejP9a691cbWB1vIdwPeKO9D7eZeCMI+8u+mXK+lxn/pYTuKW9tdDodInI3EHU93GVdnwPtA7BQRG4gTGRYJSJXAkOA7YBBIv
IiYSxLL+AsEZkK/BrYG7hHRGaaozc2xfm7G/iSiJxrNeBdga+p6it23wZhJOOiqhcCfzYb8WnCkI+JBZ6PiNySlQ7gLnN8J1sF9
M/AFwitoucRuqnvM8fzf4Fz82Siqne4tjlO10RVW0VkAKEFsL99IKzz1+Wcv8Gx38tUdU7GdeMSzt9HaJt1+BMz8vFFYT8mIk8R
NiE/3PrUL46d/4w5dbcDI4HbCJNKohdCH0I3z+m0bRg9SUTOJDTZ3hQL61uq+oyrtlPHRumYApedY584Z8R+X5dyzzdE5CIrm6+
n7F95nZXRNSKyGWHm2xuqujYylhlhbBAXVb1IRK43O7K84PNR1TPy0iEiXyfswznLjPfXVHW1nf6CiJwHdI/ZrlIycRyn6/KWqj
6csDFdcnu3JbHffUVkF1WdmnLds9bSELEq9nt34GOJ6wfYschIb564Zmur1W+V0hLQG3ic0H0UZy9CV89ZibD6uz47TqZj+R5h/
G7aueWx34uAReWGkbhuXqX35oTZQth2Lvq/OnF+geey4zgF7cnDKYff7orO3/TE/wki8l/AL+OzYawFYH4Vn3temuNnXJTi+EUM
Ai5zFXYcx3Ecpyg2Vnj7xOEGYB8ReTWtZ6IzO3/Jzdv7E8bT/NC6be+xz/Sc8XZXAbfa9wA79hJhm5/HBdUAACAASURBVKis/fJ
OycicnoSlJuIsA/5OGIs0lLA+j+M4juM4TlGUME44jcz9fTul86eqj9sK+8cnTnUDDrXPVcB0G+T963iLoIVxrzlul8acvzdV9a
acRzcQWhKvB6YRFnmFsEVUfDX+14CDVHWeee2/JSwj4TiO4ziOU9TfURFZDtxph3oRVjcYStsQtVRnpbPydWKr9WewI3At8KqIH
FKFZy4AdlfVy1X1T7EJG8mwz4/GEVnX85dox/ghx3Ecx3G6LA+p6lr7LFXVKYQ5CT27nPNns+T2J2yV9GKJyzcjLATb3u3brlfV
hSnHPxT7vZLQ5RyP6/uEBV8dx3Ecx3EKYb2HHxaRj9pnfxEZQ1gsfm2Xc/7MqVqrqj9S1T2BXQiTLsYTVuZP0kT7J11Mzji+Tez
3nOTMPmOaq7HjOI7jOGX4Oa3m32xrnxGErt/x0fJWaTR2IQG9DFwBXCEiWxDG4X2btn17AT4hIr2sJa4SspZniK87uDDjmvmuxo
7jOI7jlMnbqnpfOTc0dEUpqeo7qvoT85ZnJk5v046gWzOOvxP7nbV+3wDXX8epL0Sku4g0uiQcx9mEdkdEpIeI9BGRgcATdryvL
WzfNZ0/EZkvIqvs80yOE/geYWulOAM3QpTeiv0eZtu/JfF9hR1n/XK8o4gcXuPRvI+wk4/jbOrysbmITBKRV0XkVeBGO7VDdExE
ZorIxS6tTsfmhBVCTgI+SdtmFc3AfiJylG0jm0lnrbG+C2xpv/cWkQHJpVxiDEq5d2M6f30Je4HeHyvEDcC/uD47znqcTBi78kg
Nx/GnwHLPKmdTo6oLRGQGYUmzeINCd8Je0BAG/P/FpdXpWEhYIeQVYGq0kLPtDPSgiAwFDgQeygqgs3b7vhD73Q24zhysZM1pZM
Lpeo+wBl8WzRXG59HE/x+KyCCLgwCXEAZpOk5na50QEWmKV3Ti3aR2vlFEmqylr5sdH2rOX6OINMdby0VkgIiMtLKTG05GnHqIy
M52/YiUMPrlhN8gIsNiL+BxwGNF4yEiQ0VkuF13hIhsV610OV2SC4A1GedagAds2Q+nczEEWKyqL2XsLT4HaBaR7l3N+bs18f/z
wHMi8u8icoKIfE5EfkRYBzA+1u4uVV2XuDc+jm8/EfmkiOxRZnz+wPoTOnYHXhGRu4ApwH+6Ljud0PF73F5MV4nIHiLyGrAOON3
O30lY+ugZYCrwHPCSVYx+AewAfNZqr2PsnksIM/ZvBB4Vkf4lwknGaTAwAbiYsLf3ZDv+RwvjDcLOO48C95mj+Bhh3+/fEVoh3x
KRz4jIBBFZCfypVHrMgfsdYR/vG4E5wC3ADdVIl9M1UdWZwL2kL+mxGrjQpdQpaaJ0j0MroRU4lc7a7Xu/GdmxsWN72SeL1YTZw
Enm07ZOX38raKspoxVQVdeIyE+By2OHNwOOif1/lw27oB2nnl9Mh4rIHPv9oojsSWwxc1U9XkSmE1aj38Fqs1OAj6vqp0RkPnCr
qn7HHKSjgEuBkar6mo1z+k5eOFbxinMsocvkDMLQkBcsLieKyBTCzPx9CWN/5wJnqupoC/9EwnaM/wvMV9UDRWR8kfSYE3wKoYX
/TXP+bgJ+VKV0OV2XC4BPmUMQ0QI8oqovuXg6JQuAUSLykqquTKnk9gf6qGqmg9gpW/5s3ZvTgekFb2kxI5+21t6TVYrWD4EHM8
4tBr7v+ux0xuJY4PwEVV0MvExoYdsx49oTrKyeLyI/J6xeP7bMcCbbPQsJrW6XJOLynKqush145mEtjnZuhqpOVdXRqjohI31Z8
YjGHHcDxCqPS1V1aZXS5XTdSlbU+hfv/luFt/p15jxfQZhLcLwt7LyjiGwnIjuJyP7A0VZRzKSxEwtnrojsB1xN6PbN2ubkeeBc
Vc1y8q6w2vpn2hmftSJyNGHHkbNpm937PGF7t90St7zvKu50EqIxbEMzzi+0MqIi0sL6g9cRkb6EmW29Cd3GvyF0adyScL5ywzE
GElrw9jUDeZ2IPKmqE2MVwWgsbrM9L6JoZTItHuOBiYTu5LmEpRmifcKrkS6na3MBoSepm+nOo97q1+n5p+X3rikV0MmEoSJdz/
kzY7kcOFtEzgeOIqx+PYTQbTub0Ko3SVU1J4xFwAki0pOwBmCz1apQ1VvZcHxhrgNIaOH7voj0AVqjBaVFZHTi8rmu204nYD4ww
pypT6TYHUlxFKNjiwljcvcBDgMeIIwBbFbVR0TkQOArZgTzwolzMHAAMEZVLxSRSaw/3GKUiDSbnRhoz4zCm5fh2EqB9JxBGJf1
NbM9bwMr7JoHy02XTfz4T+D2jB4Lp2u1BM0UkYcI3b8teKtfV8jzVuApEZlq9qoPYVjNXOtRoMs6fzEhvQfc0c4wVpZR8yfRcrE
dYYxfxMyUpWd2TXlpOk69cwNh8sYC4Gk79t8ishY4iLAkxSARedFeXL2As8yg/dlaND5NaKWbCOwN3CMiM+0lN1ZEbskLR1WTZX
8IMEFEFhHG3z0WO9dK2Au8P2G/7d+KyG3ASGCgiLynqudZub6B0IK4SkSutHBT40HolhsF3B171iOE8Xu/LjddhG7k7wCL8K0hn
cC3CGu+Pemtfl3KCVxkdqAsfGX6TcNZiZrYj4FvxpzDnQmDwSPmqeoqF5vTCQzTzTaTto9VaDYjDGlYpao3E1rEIq5L3H6HiFwP
LIsNXP6GiFwEbAG8bsscnFEinDg/IEyu6E9Yc3NWouX/AeDrhMHSUUvfv9onmbZzgHMSh1PjISKXEiahnWuHRgJ3iUh/q6WXnS5
zDpe6ljmmjzOsovIDl4bjzl9t8ETC+fuGzXx8CdjKamvxMYl/cpE5neil9B5ts3wXlnnvvBLhlRuXZfbzXWILuovIKEI374eAYb
YXeDXZC+hH2FKyidDi99d490y56cpZuN7pupxtkwEcx52/GuBB4GEz+BGH2ifJQtKXnHEcZ+OxF23bY+1NmFlbTU4F9rfndCMMQ
3nYxe5UuaLljl8Xx9YB7UFYjqrVnb+OLZAqIieawR+bc+k04ARVfdul5jibtIz+YiOH/z5hjN8jLm3Hcaro7PUhrEbSSlg9ZH/C
GMDl5GzvVqvOX+Stdpp1CFV1sYgcSWj9O46wtMsAQjfPTOD/gDtTdhiphIaEHD+IRqQvnUHnE2nqjGmsJbm2puiX41Rb7zpj2el
s77RoqaGWLvh+qUXeNz/iIcJ+votUdZxtH5m50HOtOn8L7HuLTta6oJZBD23EWkB/2nYfSbYgRpNIenYCcfZMpCmZxiYR6Za276
FTkVwXE9aia7RyudxF5VSBSM+6i0hDXjdVHZWdlZ38nRal4Z2MvGzuBGnMsoO1SD/C7P+VhF2LovX9epC+7V9N10KiJVU+5raxb
A6KHD/bFSDO0k5ogJakGKDV9ntLV4ey2TJNruZEz/Ry6WyEVou1hJaWLTpJ2VnaWd9pIjKcMClKgVcSp6PJSgNFpHsnzstaYxlh
9YIxhMlk79qWkU316PzdY98HiMhebh/L4qsJGcaZQ+h+6Csiw+rYAG1D2BWhhcRi2Na6Otv+7uzqUJZcNyfsbQth66Ak0Rp159i
izY7TLqylr+7Lq4g0Ah8uUHaOE5EhdZxl55ij/rSqzk/k5WJzRBqo4y0IrfcsyqM366AMtRCWqHrd9GwtoVV2Fjm7ATXUaGJmAu
Msfr+w3TWc0kr7r4RlY1qAa1LkuiZWA91fRHrUYRqbCQNaAaZljJGcbDXT4SIywjWj8MsrapV4PWPW4PWEltUDCDtVOE41mGzf2
1rFrh75CGEB7veB11LOP0oYjN8b+JmINNShjRhF2/q0/5NxWbS49J7mRNVbGhsIvWcNhJ0yFtVJ1FsJ3b8HAmtMzybbrmL14/wZ
/0Focv0IcLeIDHYbmau0XwButr/XqWrWps4TzUD1A460mUL1ksa+hC3C+hDGnE3KqDy8S9uuB4eKyEjXkJIO9RGEBZhXA89kyHU
WcLn9vUZEvu4tgE4VKvsLYpXS0SKybT05C+YURa2W/0irkFoL59ftxXwscKuI9K6jdI4m9CY1E1qZstaifYUwvrE78Il6em9bV/
UYQpfvOsL2ivXCGML2tT0JLbPTTP6Z9llytrWthcw4ArjTalSLgZ8SmjVnkdOX3YUYSGgF+xIw2o7dRVguZl2OXAcDRxIGhK4zR
XmD0GRfawOuG8xRHQHsRGjGXgXcn1crsxrcGCDq3p5rL5gFrjtBRIQdLraxF1d3k8tDaQsrx+QqwK+Az0cvO+BnwHhiiyY7Hcqy
Kq0asKlbXI4AtrZDc2KORC2W116ErsGdCeOtAJ5T1RcKVtK7WRp/AtxP6PquNdvbm7Dm5WnAiWYzXgAOSxlPHk9jL8JWhH0JPTA
zCa2hi9lwhnAt2ME+9p7YxZzbFuBRVX2zTspOP+Bjqvp/IvIxYIaqviMix5s9X1Z3zp8lbF/gNup4DMEmYi1wNXBxkRmupjCjaR
vjVS8sAB7LUuiUF8p+Vqh9eZJ8lphcFxWQqxD23L2YzjGzr7MxSlWfqbvaSCivH7HyWk8tyquBf9pwpSLpPNIcwKF1lEYFbge+k
rV0SCKNPYBDCJND6qriBDyuqu/UUbnpYc7234DdzdnuRlhT+Pasrt+ad/4scY1W+ziZ0Kfdz+07EFrtokGeNxQ1PomX+AjC5vFb
EVoCa9W4zgNeU9U3KtCf/oRWww9ZLc8dwbYKw9tWK39VyzQGIvIhwti/YwiD3ZtcpO78VcHeD0iU11p0BFsILVmzCGOPV5eZxl7
AF4ETrILaq0YdvjmElsmbVPWfFeTlELMNW9doGiM7uMDepTPqcbkhEdmHsHuQElqQuwFT8vKsLpy/lIT2JnRTdRSHAJcBh3WwKJ
ZWU1FFpBu1t/bjumqu1WcOb70vQ1CVl1c1uwZNrgNcrLXRelFv3b51Vl7VJs9VM519a9D2Ls+bMFBBGhtqsILYWs00dnBZGUZoz
Gk0p31mXoW+Lrd3s5mIKzpQyMvs5bm4M70xzMnq1IsiW2FYjbMx5LrYJeF4ea0oncu6QBpb3fZuVPnOpm3ZJGzi1OudyvlzHMdx
HMdxPhj3tzVh8pHYZwd3/hzHcRzHcTqf4yeECR8DCD13WsS/c+fPcRzHcRynPulHmBj1F1VdEnMKj8y7yWc9Oo7jOI7j1CfLCBs
3rEwcn513k7f8OY7jOI7j1C/rgBNE5B3CJggAw4Ep7vw5juM4juN0IlS11dbGXEaY8BHtOJO7rI47f47jOI7jOPXLW6r6cPyAbS
Xozp/jOI7jOE4n5Clb1y++1Mtqd/4cx3Ecx3E6Gb7Ui+M4juM4TtfCl3pxHMdxHMfpQvhSL47jOI7jOF0MX+rFcRzHcRynK+BLv
TiO4ziO43Q90pZ6OTjvBh/z5ziO4ziOU6ekOH4CrMm7x1v+HMdxHMdx6hQR2Qb4MG1dvQ3AFiLyrKq2pN3jLX+O4ziO4zj16fg1
AaMJS75sDnQDNgNmZjl+4C1/juM4juM49UpfYL6qPigihwIvEZZ++ZSIiKpq2k3e8uc4juM4jlOfrIIPun7fAbYD1pp/1zvrJnf
+HMdxHMdx6hBVfd+cvTGE5V62BT5P6NldkXWfd/s6juM4juPUL48Dk1R1sYjcD+wAzMnq8gVv+XMcx3Ecx6lbVLVVVRfb72Wq+h
zQM+8eb/mrjBXkNKc6juM4juNsCkSkB7A1YXcPsc8OwOuZ9+S0Cjr5wm5U1XUuCcdxHMdxOsgXaQCON8evBYicukZV/WXWfd7yV
yHu+DmO4ziO08H0JczqvTPq+jWn8Mi8m3zMn+M4juM4Tn2yjLCu3/uJ47PzbvJuX8dxHMdxnDpBRLYkbOcWMRjoRVjnb5UdG66q
t2WF4d2+juM4juM49UMvwnp+8da+1YRxf/3tf1NeADXr/InILpZAgCWqOjNxfm/CHnYAb6nq2yLSHWgtdzyehbUt0F9Vb6lS/Hc
F9iDMtvknMEpV/7mJZLcDYZ+/NFpV9fkayeOK8quL1OyqrpMbO182ZTkSkbHAQGCuqj5VNB0iMgQ4EJiqqi97meqSZSv+bgFoBW
ao6rIqhH2E6eVsVR3v0m6frehIO1jjrAGmqeozObI7ODcEVa3JD3Al8Bph5spbQEPs3I52XIEngE/Y8YeAOxLXHV7gWWcBTwVxV
CXulwOTgB8CDwIvAu+UG692PP8JYB3wKKEZWIG7gaVm6BoqDLeq8U7mV43q4UbNq02lk+3Jl1osR8APTJ9vKiMdo4CFwH9Zmbi4
aN56maq6jm1j35sBfTbxs78HvGF5+DBwu+nZdOCQdoYd6eXPNlF+d4h92lT2rSPtYJ3JsxHYBzgO+DSwF9At756anfChqhcC19v
fYcAhsdMnx35/VlXvt98/BW5MXHdEgWfdDPy1SjWa7YELgCNV9XzgSMLq233KjVc76AdcpqqHAU8Dq1X1GOAowvo/fSoMt9rxTu
ZXLbKx82qj62QV8qXmypGqfhuYX2Y6zgeeB64A/gDsV0beepmqXqvPTsAsERkB/NIcpk1Zti4AfmF/v6OqpwB7W7fZnSLSrR1hl
9LLaud3h9inTWXfOtgO1hOjgZ0I27y1ALsCuS1/tT7bt8VqZQCnmeEQU/i7Y032kaKMAx6z64badY0i0pxVoEVkKxHZmra1ceLn
BojISHtm/LiISKOINIjIsMRtI0yu+xNVV+C/7bbGrHjlhSkiQ0VkuF1zhIhsV+BFdVNKQZoAzMLGBIjIEBHZU0T6Jp7XQ0R2tvi
MyJNnloyKyDKeXwkZNInIjml5lhZOkftK5Z2IDBaR4Um5l5PmcuKR9cxKdLKEPiav6WUbgMd1a4uEnmz0clQgzrnlKIpq1NUpIj
sl45ZIRzMwElhgztr/A7Yvla6OKFNFy1WtlKk8G5WRz9OBXVX1DeArwEWxPC357CqVv9a4Dpl+vWItkZtbWE2xsBuiOBZ4Tlwvm
+3To4yytIGupKU7LTz7NCc+jVW2n6lyKUPfMm1FO21KltxSj1dL92ugMtWHMATudlW9V1XvMb+pj4j0rLtuX2vKPNe6fp6ypvRm
wvifCVbDVWAru3YCsBIYZ//vNS94tt1/ZEbX8mLrTpoTb1oGLgGmAI+YMe1vxx+zGuIf7LcCn4ndNwB4245PAq4yL3xny6AN4pU
VpjXl/g6Yat1ecy2eD5SQ27/Fft8DrIr9PxUYAtwB3Gef5cCxdn4w8Jw9dxKwPEueWTJKic8G16Xk152EWUoTgRkWp6nAoBLhlL
wvdn+anE+wPHoe+BswDuhZbprLjIfkPLMsnSylj3bfAxa3GfaCWw3cDNxgjss64PRNVY4Kxjm3HNk107LknZKOuwiDo9+xFsSS6
eqIMpVne2q0TGXaqIx8VkvztWbLXzNH7ItF4lyN8mfXf8fisp/9729dwc+afqTGsaBMpwE/s5brxRbWHQXLUpaupOVTmn36rKVr
JvCm/T69Snn9eHvyrpStaKdNyZJb6vFqyKOG/KRm6+rtFTvWm7Dwc/fM++rE+TvblPhEU4pvJp0/u358ZPjs/3zg+xlhH2z3j7G
X8VNtFUCOsnPb2f9Xge/F7p1u53cxpTkwEfZIK+wrYwbvT9G4oLR4pYVp/fcKDLc4zgUuy3KyMtK53ovKju1m4R5j/18kLBAJcK
YZ7h7ANsDiNHmWklHsnszrUvJrurXMDDQ5KHBSgXAy70uJT1LO19j/IdbStAC4tJI0F42H6fEGz6xUJ0vpo10zxdLS0xxeBX5iz
7kHeHlTlqOCcS5VjqaZ7DYDdk/KOyUdk4FfFUlXR5SpouWqlspUKRuVYdfmANfa+b52/oul4lyt8pdw/l61sjHFuheH2PnMOJZ6
Tsz5Ow14Gdi5qM6l6UqJfErqz5esYhc5sxPMQa+W/awo70rZivbalKwylnO8KvKoIV9plKX1NPucCeybd0+9LPXyR+DHwOcsMw4
BLkxryCwjzKPs+1lVVREZD3zMjp1gXc7nW3NwT2Cs1eSi58xQ1anW1x5vgv0cME9VT7aupoOsQJ5kYTyQ1QibDFNEorC7WSFoth
bQr4jINzJacocVSPsUS/92IvJbM9zv2LnJ1r21kDDI/ZKMMErJqMh1miKDCaq6WESWWA1sx4LhZN2XK2cRuc1kOt/0YJq90C6tI
M1F43FcxjO7V6iTmfqYSPeTqrpSRF6zY4/Zc2bY+LdNWY5y41xGOZqgqotEZHGKvAunQ0TOBzq6TBUtV7VUppak2ShVXZpj10rl
S9azh1ep/MX5PPC0qq4t411S5DlHAF8G/rucWeUZulLU1ka9Gw9b48ggwmSQdSJSTftJhbLJsxXttSl3ZpSxrLJXLXnUyhjKp0V
kgTm4AG+o6qy8e2rd+esD9FbVd0XkXntBPqmqc0sMMUsa9r7Aqar689jhqB9/TYoseltX2G+sWfuWFKWfnvG47U15H1LVVcBDIv
IwcAAwtES8kmGOt+bnR61G/YQp8nb2v1K2JUym+aN1p8XHQQy0lql9gaOB60TkSVWdmIj3WdalkyejorKMszAagyMiLbF8KhVO1
n1pTM8xZg0ZY0yKprlIPLKe2R6dnF4g31cknh+9oFs6qBzlxbloOSon3/PSta21BnVkmTq1YHmppTKVZaNK2crIgA8tI85F0l2u
PqxOcfyKxLHUcxYD/wd8V0QesLGhpcpSqq6Y/HLTHQ9PRE6x1p8zgB4icmiV7WcleVfKVtBOm5JaxnKOV1MeHTHObwAwUlWfizm
ArxOWxCpEzU74MG98N2BX+32rnfp9QkEaE0opiQI4gDAF+rDEIx6y71G2MfJB9txGG7vSA2hW1X+YnL6aeM68jKi3AKdYy0XEMG
uGfyonXmlhnmFjLL4GnGOfFao6SVVvTftkOPhJxT3TatGXWLfBboRBww3W5P5V4LuqugfwgtUgk/GmhIwi8mSZzC9JMTJSMBxy9
ICcvPuL5c1QG9i7kx2jgjQXjUfWMyvVyTx9TItL2rds4nJUKs5FylEpeZeTroE1UKYOK2B7aq1MpdqoErZyPjDC7PonMux42rMf
rFL5y3p/FI1jEb17ljCpaDJwu01cKFWWyNCV53LSvV54NpnrBsLwiF9bvhxcRftZad6VshXttSlZZSzreLXk0VE0Wi/DbiKya+y
zi01gGVCkubBW+7Cfo22cz6vWnbAQ2NLOrbNzS8wA3WDNs0uAK2PrhLWY8dk35RlXWeGZTBggq/a7gdDN/D5h7M5EYLDdc5s9+x
3g6pQwv0sYXP6ExfOvFvZpifXLPohXVpjA4TEZRJ+HC8pvOGEgcKvdt4C2sReHWiGeQRjMepMZ8GssblOBvxMGFN8FNKbE+yNZM
krEI1WWyfyymtday+NvWuFUS8PJOeHk3peIywZytkJ9BfCStWL83gwC5aS5zHhkPrNcnSyljxbmTbG4XWP5q/b8a4F3TU9u2xTl
qGCcc8tRAX1J6ldcBj8ukq4OKFP75tmeGi1TmTYqx66dZWleSJgcE8nyrBLPPqVK5e9ua1VSwoD+H2WsL5cWRy0h099YmhcAV1s
5UGARcGyBspSmK91z0p3Un1/Z86bHyvl51cjrdubdyXm2ogo2JbWM5Ryvijw60D8abBXOvM/ueWF0+r19bUX/Zaq6POP8IDPmaw
jbobyvqmvsXD9gC+B1VS3aNdYHWKOqa0RkM6tlvJHsWigVL7vmUsIA6XPt0EhT3gGxMTWVyqWbjQ+YpaqtItJDVVdb98FKa2Hpa
+c1K95FZVSJLDdmOCnh9jcH7O1SOlTFtKQ+s9o62ZnL0cZOV0eUqaIyq4UyVamNsmf2MYd5M3sJr1LV1o6yAdWMY6U6l6crWeku
R4erIbv2yiXPVlRqU7LkVqDsdYg9rYJuDrZy989Ed3U07nYQYXWE27LypdM7f3XuuI4DtrIaZBPwcavxHefScRzHbZTjdMly14e
w0kly29smwrI080XkKGC8qr7nzl/9ZXAvwiK3exHGqEwidKm0unQcx3Eb5ThOrDzuT1gR5VHCONC/Zu3z7c6f4ziO4zhO/Tt/Wx
OWVOoG/ENVZ2Re686f4ziO4zhOp3AAGwBKtb678+c4juM4jtOFaHAROI7jOI7juPPnOI7jOI7juPPnOI7jOI7j1DONLgLHcRzHc
Zz6wyZ4RLuWKGGHmVYtMaGjLiZ8WOKOVtW72hHG3oTN1/ur6i12rLsJad0mTMsQwsrcU1X15QruH0vYrHquqj5VY/m0C9Ardmgt
YRX4BcmZR+2RfXv1oTPnQTn63wFx6AaMJexF+mxygdIS944GNjddeqyStFXLBojIDkC/jNOtqvp8jepAWWmtps7k5d9GTO8mf2Z
XKPMd8d50Mu1pf7NFfQmLrLcQ9tZ+D1hK2CUp1cmrl27fMcA4ERnejjD2IWy0/cvYsfsI+09uqswaRdhPdU9gqoicVKEsbgROr8
F8Og34A/AMYcX/iwibdL8mImcnrm2P7CvWhy6QB+Xof5aMdhSRwzdCHBqB44HbCQsDl8No4Hrg7HakrVo24CbgH4T9R+8zfb8Ee
Bh4NlpqoQLd3FhyrzSthXWmnfm3seiIZ9Zlma+2Hm0CXe7qjl93c+z3AnYibFHXl7Dd3kh7v30Y6Jtlj+rF+TubsGfdlysNQFVv
JmwOH+en9hLfVJwPPA9cYU7SqxWk49uE1rSaQ1UvBH5mfy9Q1ROBPezYDSJyepVk3x596NR5UKb+Z3EycMRGiMNqqxBUcu+lwOv
tSVsVbUA/4DJVPQx4GlitqscAR5le9qlQRBtF7pWmtUydqTj/NqLOb/Jn1nGZr7YebWxd7sqOXzdgB8JOHiuAyVYZ/bt9ngfeIe
wzviPQR0Sk7pw/EdkS2A94ATjLPN74ebH97KL/DSLSmLhmK1v5WhOFYxzwWOLawUValERkiIjsaRtHl4yLiDSbR76A0N1+MvC8i
DSKSJPVlLqlPGeAiIxMZF600Xd3XDnCLgAADOBJREFUEdkpfp/FoVFEeonINrHjQ0Vki4Lhx8PJjFsGrfE4WpPzNcAS2jZ/z5J9
alyqpQ+V5EFaPpfKg2rmQzXyKkv/08IUkaFmuBtFpLlIvotIDxHZ2eIwokR5im+qPlxENi9StpL3FklbO2xAqbzoZ61/yZftBGA
WoSsmMx1p8sqTe1587Nro0z32uzH2u6nctJajMwkdbBCRYVn+SEpYG9jbEvo01PRGROQIEdmuiK0sol8Z+ZIXlzw55NrNcvItR0
6ZMm9H/pW090k9SsqoEhviFPKFxPJsqDl1b9h7cI6qrlDVNaq6SlUXAFOAV6xF8ENAj7SMrOkP8G3gB8CXTJFPip17nDCu7FprY
XrNnI8vxq65ElgMvAjMafNHmACsBMbZfyF04zwP/A0YB/RMiU8TcIc1fd8HLAeOLRUX4C7gffPIHwfuBFYBE4EZFs5UwqbM0bMu
sUx8xApbfzs+Le0+4AELc4Zl/GrgZuAGeymtA04vEH7JuOXk13mWT/snjj9n8umZlH1eXKqpD+XkQVY+x541LUs+1cqHRLoryqs
s/c8KE7jXZDgbeAo4skR+D7a8/R1hX9fleeXJrlfgTXvuu8CVeWUr9qx/AL8vVbZT4ljIBpSRF/8W+30PsCr2/1RgSFY6cuSVKv
dS8bHjarI5lzDWZzZwEjDedO+cctJagc48Zs/5g/1W4DMpcvsg/0roR5p8Gu3YVOBBYK7F7YESaYk/s6mcfMmKS44cCtvNMvItS
06ZMq8g/8qJd/K9mSa3smyIfwr7QmLl4CjgYKDZGjGyrm8kdAuPBbZMXlvriW0wZdyB0J+9DHg0cc0c4Fr73dcKQfSyP9j+jzHB
PZUoCONjSnyiXTvEnrsAuDQlTrvZdcfY/xeBO0vFxY5NBn4V+z/dnjPQmnA/cGYsgxXYzv6/Cnwv5ngsIPTv7564b4p1SfYETrB
zP7H03wO8XCr8UnGr0PmLjN1OKbLPjUu19KGcPMjL51J5UM18aE9e5el/Cf2aD3y/YBk905zdHtbNsDivPMWcvxvtuk/b/4MLyD
z+Is8t27F7yrEBhfQwEf56zl8BG5EqrzS5F9SNntaqfoX9/5vppgCfB64vJ63t0Jnpdm4XcyoOLOH8ZelHlj4dZ9cPt3jNBS4z5
yUvXvFnlpUvOXEpJYeSdrNovuW9l9Jk3s78K2TvE3qUJaPCNsQ/ZTl/mxHG1m8JNNjxYYQxfntbz1ZPc/wa7fpPWkth93h4td7t
exiwnbXYPGOJGS0iO+c168c4yr6fNe0fn9MNcRxhdsx8m5k6zY4lmWLhfkhEfmvGqG+BuGR1g0xQ1cXAy1b72tHOnUCYuXO+iPz
cMnRs7N4JqrrInJn4fQo8qaorreUL4DFL/wwr3EXCz4tbJUTPfTtFVqXiUi19KCcP8vK5VB5UMx/ak1d5+l9U5qWYbPcttJbNS0
qUp6ir6Vn7jmbGjiko86JluxIbUC2Z5KUjS15plIyP6dftwBesm2+U5f0BwL9ai3M5aa1UZxSYoapTVXW0dYHnkaUfWfJZYt/dT
IeagaWqurSMfCs3X7LiUkoOJe1mGfmW915Kk3l78q+ovdcC5d/ZOPS3VtUlwA62wsZwYGdz2vckTKY7EPiolZXVQG9r+f6AWl/n
78uE2Up/tv+7WC3jbOCb8e5w+x6auD8aa7CmQHo1ZTxkmiOxLWEG2R+tOX5Esms+Iy5ZLIzGxolISyzOva178DfWdXlLIj5Z90E
YBBpP01L7boldUyr8Us8oZ6xCb8LMo7+bcUlSJC7V0Idy8qBUPheRT7XyodK8ytP/kmHamKhTVfXnJZz6E4F9gaOB60TkyZzyFL
1s1ya+VxeUeblluxwbUFQPS5GXjlR5qerEpNzLiM8tVgZutZfv6cDFhGVOJpaZ1s+0Q2eml1npStOPLH0ab2l51Fr9nqBt3GVRO
ZWVL8AFGXFpj20uN99KvZeml6Hv1Yp3kfJfjg1xitPdbKZaK1+TdbU3WX41xWzsOmt4WGvnGpKKVJOIyPZmiO5R1dmqOtuaxl+w
2lK0ztZ8YIQNhPxEQuEfsu9RNt35IAu7MeYkRI7CX8yrHmoDVHeyY0nONE/7Env2boSBrQ0l4pJ8HonfyfMPWlN6s6r+w/LqqwX
uS/4m41xe+JnPEJFuInKZiOxU4mXbYLJusu6k7tYlTAVxqZY+lJMHeflcKg+qmQ8V51UJ/c8LczFhLb59gMNsEPhFIrJrSn4fbP
d9V1X3sPwYlFOeogke0VIve5ghu7egzKVg2aYCG1AkL5I0prwk89KRJa8N5F5GfJ4hjNE6jLAExy9N93+TWOOrSFor1RkB5pUy6
wXsbZZ8zrCX2NcIY+HOiVWuSsVLKsyX4zLiUqltriTf8t5LaTJvT/4VjXf8XFZ+JW1IqfeGU4w1lodCGGP5nFWciTUwvGz58BJh
jHuTOYKtyebnWuzb3t8SqaZEY+34RGuOVsL4hF2As6wlZSFhEG907iy75yoLYzIw085PtibqVdZ8eqUJ8woT2Hjg91ZIknE71Az
HDCu4N5lRuiYvLrHrFgI/tlpX9P+bVjCVMEj2ZCuYP7bMe9HSPrjEfcti566x+Kml6VrC4PpWMzSp4Vsa857xLVO2b6bI5u5Yvr
1t8n6TMEh5VOy6pOwz41JNfSgzD/43J59L5d1N1ciHxFjHSvLq5Bz9zwvzcpPhPKvRjzD535+S55db+v5uDtxd5hCllifgU2awH
rNrX8MmUJQoWzea3i0mLLOSWbZT4ljUBpTMi1iYw03GrTEdO6lAOlLllSH3cuJzHm3j1wZba8DmlZS5cnXG9HgdYSLV1RnxWy//
cvQjS58Ot3jEPw/nlY+UZ5abL9/PiEsltvnkCvMtS06ZMq8g/wrHO0WPsvIrqctbZ703/FPWmL/+hDGhQ2K6ONDs0bbAVtad390
+g8zmfhhoiodXFzt8FGgl7EdYW2s+YYDj+4RB2K12fpAZ6TXmBb+vqmsywupvTt/bOc/rRhjcOktVW0Wkh61hVjIuFaZtC+B1VW
3ZSLIrK3wRGUAYb6MdHZdK9KGMcDLzuSPyoVL55Ol/Vpi2C8oyVV1u//8F+LiqnpPSNbzSjFJfk5VmlSf73wgsIixB8K6qrqhU5
kXLdpk2oN16mJWOAvJaT+5l6EZvoLeqvmP/R6jqG5XqXSU6U6GckvqRKh8RuZQwjilaLmqkORoDbNxfUTkVzhezIXl5VQ09KZRv
Rd5L7S3zFcY/U59TbMhGeW90Faw3q4EwxnKtDX1Yl+jFVeu5V2v53cfegZMIO9206a/ng+M4JYzOzoSFuk9R1bkuEacDdHCctWp
cbc7Mx62l8jiXjtOFnD8IrbVjCC3YLwJrkw61XbsjYSLIVMJi52vd+XMcpxyj0wz0UdWFLg2ng3SwF2H4x16EMZaTCN2+rS4dp4
uVhQbCqhcfJfRuTSJ0w0dloRdhCNR2hHVmpwMrN3AQ3flzHMdxHMepGwdQCOP+9iXsOLSc0P3endD9voYwznMWYfvJDXd6cefPc
RzHcRyn7pzARsKCz4MJE4HWEib7zCeMc8908Nz5cxzHcRzHqT/nL9ryLVphQQmzrNdhEz/c+XMcx3Ecx+kcTl8TYZb1loSu3yZz
/FYQlgBajC2F5t2+juM4juM49e349SJM6BhBaOVbZo5eozmCzYS1dl8lTAZp8QkfjuM4juM49en89SDMet+KsITL64QFtNfStuP
QUMLCzisIO34sSs6Mb3BROo7jOI7j1LTTJ9bqN5ywQP5kwhp+3Wjb8WMrwh7OswhrAPaxa3vG1gl0589xHMdxHKdOaCQs3DzLPi
2EHWsGmRPYz/73IGytN4swJrA/ib2a3flzHMdxHMepfaJt9F6lbRxfA2GM3xDCWMAmwpA+Bd6ibU/gRnf+HMdxHMdx6s/5W02Y4
BExm9Dqty2h5e9tuwbCmL/VMafwAxpdlo7jOI7jODVPI2Ebt/jyLeuA94FFwObm7EXnonX/GvBuX8dxHMdxnLpjJWE8X1NsAscw
wkzfuYRlXbYkbPMGobWvB2G7txZ3/hzHcRzHceqLd+17K9pa8noQZvUOIowH7Bnz7QabI/ieOYDu/DmO4ziO49QRKwmTOHYFeln
r3yxz/j5CWN/vbWC1iDQD2wPLgaWE7uIP8EWeHcdxHMdxaphYN28/4DBCa96zhEkdfQgzftcSJoM0AnsQuoBfBGar6jp3/hzHcR
zHcerTCRwM7E+Y5fsqYbzfSnP6tgRGmjM4mdBSuMa3d3Mcx3Ecx6lvB7AXsBNhf98e0SnC7N95wDTCDOAN9vV1589xHMdxHKc+H
UAIM3r7sX637ypsuRfNcPLc+XMcx3Ecx+lC+Gxfx3Ecx3Ecd/4cx3Ecx3Ecd/4cx3Ecx3Gcuub/A9Zm3LXnHM6IAAAAAElFTkSu
QmCC'''

# =================================================================================================
# Header
# =================================================================================================

# -------------------------------------------------------------------------------------------------
# Einbinden von allgemeinen Paketen
# -------------------------------------------------------------------------------------------------

import sys
import mimetypes
import tkinter as tk

from tkinter import filedialog

from PIL import Image
from PIL import ImageTk

# -------------------------------------------------------------------------------------------------
# Einbinden von Paketen zur Suche nach FFmpeg
# -------------------------------------------------------------------------------------------------

import os
import platform
import subprocess

# -------------------------------------------------------------------------------------------------
# Einbinden von Paketen zur Audiobearbeitung
# -------------------------------------------------------------------------------------------------

import threading
import pyaudio
import wave

import base64

from pydub import AudioSegment
from pydub import effects
from pydub.playback import play

from io import BytesIO

# -------------------------------------------------------------------------------------------------
# Klasse: Startgeometrie - Berechnen der Geometrie des Fensters beim Start
# -------------------------------------------------------------------------------------------------

class startgeometrie:

  def __init__(self, fenster):

    self.breit  = int(0.70 * fenster.winfo_screenwidth())
    self.hoch   = int(0.70 * fenster.winfo_screenheight())
    self.links  = int(0.15 * fenster.winfo_screenwidth())
    self.oben   = int(0.12 * fenster.winfo_screenheight())
    self.shift  = 0

# -------------------------------------------------------------------------------------------------
# Klasse: Timer - Regelmäßiges Überwachen der Fensterbreite
# -------------------------------------------------------------------------------------------------

class Timer:

  def __init__(self):

    self.altebreite = w.winfo_screenwidth()
    w.after(1000, self.tick)

  def tick(self):

    if w.winfo_width() - self.altebreite != 0:

      self.altebreite = w.winfo_width()
      erneuern()

    w.after(1000, self.tick)

# -------------------------------------------------------------------------------------------------
# Klasse: Foto - Ein einzelnes Foto sowie Informationen zu dessen Höhe und Breite
# -------------------------------------------------------------------------------------------------

class foto:

  def __init__(self, name):

    self.datei = Image.open(name)

    mimetype = mimetypes.guess_type(name)[0]
    originaldatei = open(name, 'rb')
    output = base64.b64encode(originaldatei.read())
    originaldatei.close()
    self.dataurl = 'data:' + mimetype + ';base64,' + output.decode('ascii')

  def anzeigen(self, anzeigebreit, anzeigeoben):

    self.anzeigebreit = anzeigebreit
    self.anzeigehoch  = int(self.datei.height / self.datei.width * self.anzeigebreit)
    self.anpassen     = self.datei.resize((self.anzeigebreit, self.anzeigehoch), Image.ANTIALIAS)
    self.umwandeln    = ImageTk.PhotoImage(self.anpassen)
    self.darstellen   = cv.create_image(0, anzeigeoben, image = self.umwandeln, anchor = 'nw')

# -------------------------------------------------------------------------------------------------
# Klasse: Fotoliste - Eine Liste mit den übergebenen Argumenten und den entsprechenden Fotos
# -------------------------------------------------------------------------------------------------

class fotoliste:

  def __init__(self):

    self.argumente = []
    self.foto = []

# -------------------------------------------------------------------------------------------------
# Klasse: Punkteliste - Eine Liste mit sämtlichen Informationen zu den Punkten
# -------------------------------------------------------------------------------------------------

class punkteliste:

  def __init__(self):

    self.fotonummer = []
    self.horizontal = []
    self.vertikal = []
    self.farbe = []
    self.punkte = []
    self.aufnahme = []
    self.hell = False

  def loeschen(self, i):

    del self.fotonummer[i]
    del self.horizontal[i]
    del self.vertikal[i]
    del self.farbe[i]
    cv.delete(self.punkte[i])
    del self.punkte[i]
    del self.aufnahme[i]

# -------------------------------------------------------------------------------------------------
# Klasse: Aufnahme - Ein separater Thread für die Audioaufnahme
# -------------------------------------------------------------------------------------------------

class aufnahme(threading.Thread):

  def __init__(self):

    threading.Thread.__init__(self)
    self.schalter = False

  def run(self):

    paformat  = pyaudio.paInt16  # 16 Bits pro Sample
    chunk     = 1024             # Größe der einzelnen Aufnahmebrocken in Samples
    kanal     = 1                # 1 Kanal bedeutet Mono und 2 Kanäle bedeuten Stereo
    rate      = 22050            # Aufnahmerate in Samples pro Sekunde
    limit     = 120              # Maximale Aufnahmedauer in Sekunden
    frames    = []               # Erzeuge eine Liste zum Speichern der Aufnahmebrocken

    p         = pyaudio.PyAudio()             # Erzeuge ein pyaudio-Objekt
    stream    = p.open(
                  format = paformat,
                  channels = kanal,
                  rate = rate,
                  frames_per_buffer = chunk,    
                  input = True
                )                             # Erzeuge einen Stream für die Aufnahme

    i = 0

    while self.schalter and i <= int(rate / chunk * limit):

      data = stream.read(chunk)
      frames.append(data)
      i = i + 1
      
    stream.stop_stream()  # Stoppe den Stream
    stream.close()        # Schließe den Stream
    p.terminate()         # Terminiere das pyaudio-Objekt

    wavoutput = BytesIO()
    mp3output = BytesIO()

    wf = wave.open(wavoutput, 'wb')               # Öffne die Ausgabedatei im Write-Bytes-Modus
    wf.setnchannels(kanal)                        # Stelle die Anzahl der Kanäle ein
    wf.setsampwidth(p.get_sample_size(paformat))  # Stelle das Sampleformat ein
    wf.setframerate(rate)                         # Stelle Aufnahmerate ein 
    wf.writeframes(b''.join(frames))              # Schreibe die Frames nacheinander in die Datei
    wf.close()                                    # Schließe die Datei

    sound = AudioSegment.from_wav(wavoutput)
    self.normalizedsound = effects.normalize(sound)
    self.normalizedsound.export(mp3output, format='mp3')
    output = base64.b64encode(mp3output.read())
    self.dataurl = 'data:audio/mp3;base64,' + output.decode('ascii')

# -------------------------------------------------------------------------------------------------
# Eventhandler: Drücken von w - Wiedergeben einer Audioaufnahme
# -------------------------------------------------------------------------------------------------

def wiedergabe(event):

  if len(p.fotonummer) > 0:

    r = int(0.013 * f.foto[0].anzeigebreit)

    if abstand(event.x, event.y, r) == 1:

      for i in range(len(p.fotonummer)):

        if (event.x - l2ax(i))**2 + (event.y - l2ay(i))**2 <= r**2:

          break

      play(p.aufnahme[i].normalizedsound)

# -------------------------------------------------------------------------------------------------
# Eventhandler: Drücken von e - Entfernen eines Punkts
# -------------------------------------------------------------------------------------------------

def entfernen(event):

  if len(p.fotonummer) > 0:

    r = int(0.013 * f.foto[0].anzeigebreit)

    if abstand(event.x, event.y, r) == 1:

      for i in range(len(p.fotonummer)):

        if (event.x - l2ax(i))**2 + (event.y - l2ay(i))**2 <= r**2:

          break

      p.loeschen(i)

# -------------------------------------------------------------------------------------------------
# Eventhandler: Drücken von s - Speichern der Daten in einer einzigen HTML-Datei
# -------------------------------------------------------------------------------------------------

def speichern(event):

  datei = open('feedback.html','w')

  datei.write('<!DOCTYPE html>\n\n')
  datei.write('<html>\n')
  datei.write('<body onload="anpassen(); warten();">\n\n')

  datei.write('<p align="center"> Zur Wiedergabe von Audiofeedback ')
  datei.write('klicken Sie bitte auf die Punkte. </p>\n')

  datei.write('<p align="center"><canvas id="tafel" onclick="wiedergeben(event);"> ')
  datei.write('Bitte &ouml;ffnen Sie diese Datei in einem Browser mit HTML5-Unterst&uuml;tzung. ')
  datei.write('</canvas></p>\n\n')

  for i in range(len(p.fotonummer)):
    datei.write('<audio id="' + str(i) + '" onended = "s' + str(i) + ' = 1; anpassen();" src="' +
      p.aufnahme[i].dataurl + '"></audio>\n')

  datei.write('\n')
  datei.write('<script>\n\n')

  for i in range(len(p.fotonummer)):
    datei.write('var s' + str(i) + ' = 1;\n')

  datei.write('\n')
  datei.write('var t = document.getElementById("tafel");\n')
  datei.write('var tc = t.getContext("2d");\n\n')
  datei.write('tc.globalAlpha = 1;\n\n')
  datei.write('var foto = [];\n\n')

  for i in range(len(f.argumente)):
    datei.write('foto[' + str(i) + '] = new Image;\n')

  datei.write('\n')

  for i in range(len(f.argumente)):
    datei.write('foto[' + str(i) + '].src = "' + f.foto[i].dataurl + '"\n')

  datei.write('\n')
  datei.write('var fh = [];\n')
  datei.write('var px = [];\n')
  datei.write('var py = [];\n')
  datei.write('var radius;\n\n')
  datei.write('function anpassen() {\n\n')
  datei.write('  var testwert;\n\n')
  datei.write('  t.width = Math.floor(0.7 * window.innerWidth);\n\n')

  for i in range(len(f.argumente)):
    datei.write('  fh[' + str(i) + '] = Math.floor(' + str(f.foto[i].datei.height) + ' / ')
    datei.write(str(f.foto[i].datei.width) + ' * t.width);\n')

  datei.write('\n')
  datei.write('  testwert = ')

  for i in range(len(f.argumente)):
    datei.write('fh[' + str(i) + '] + ')

  datei.write(str(len(f.argumente) - 1) + ';\n\n')
  datei.write('  if (testwert <= 16000) {\n\n')
  datei.write('    t.height = testwert;\n\n')
  datei.write('  } else {\n\n')
  datei.write('    t.width = Math.floor(0.7 * window.innerWidth * 16000 / testwert);\n\n')

  for i in range(len(f.argumente)):
    datei.write('    fh[' + str(i) + '] = Math.floor(' + str(f.foto[i].datei.height) + ' / ')
    datei.write(str(f.foto[i].datei.width) + ' * t.width);\n')

  datei.write('\n')
  datei.write('    t.height = ')

  for i in range(len(f.argumente)):
    datei.write('fh[' + str(i) + '] + ')

  datei.write(str(len(f.argumente) - 1) + ';\n\n')
  datei.write('  }\n\n')
  datei.write('  radius = Math.floor(0.013 * t.width);\n\n')

  for i in range(len(p.fotonummer)):
    datei.write('  px[' + str(i) + '] = Math.floor(' + str(p.horizontal[i]) + ' * t.width);\n')
    datei.write('  py[' + str(i) + '] = Math.floor(' + str(p.vertikal[i]))
    datei.write(' * fh[' + str(p.fotonummer[i]) + '] + ')
    for j in range(p.fotonummer[i]):
      datei.write('fh[' + str(j) + '] + ')
    datei.write(str(p.fotonummer[i]) + ');\n')

  datei.write('\n')
  datei.write('  hintergrund();\n')
  datei.write('  vordergrund();\n\n')
  datei.write('}\n\n')
  datei.write('function hintergrund() {\n\n')

  for i in range(len(f.argumente)):
    datei.write('  tc.drawImage(foto[' + str(i) + '], 0, ')
    for j in range(i):
      datei.write('fh[' + str(j) + '] + ')
    datei.write(str(i) + ', t.width, fh[' + str(i) + ']);\n')

  datei.write('\n')
  datei.write('}\n\n')
  datei.write('function vordergrund() {\n\n')

  for i in range(len(p.fotonummer)):
    datei.write('  tc.globalAlpha = s' + str(i) + ';\n\n')
    datei.write('  tc.beginPath();\n')
    datei.write('  tc.arc(px['+ str(i) + '], py[' + str(i) + '], radius, 0, 2 * Math.PI);\n')
    datei.write('  tc.fillStyle = "' + p.farbe[i] + '";\n')
    datei.write('  tc.fill();\n')
    datei.write('  tc.lineWidth = 3;\n')
    datei.write('  tc.stroke();\n\n')

  datei.write('  tc.globalAlpha = 1;\n\n')
  datei.write('}\n\n')
  datei.write('function wiedergeben(event) {\n\n')
  datei.write('  var rect = tafel.getBoundingClientRect();\n')
  datei.write('  var x = Math.floor(event.clientX - rect.left);\n')
  datei.write('  var y = Math.floor(event.clientY - rect.top);\n\n')

  for i in range(len(p.fotonummer)):
    datei.write('  if ((x - px[' + str(i) + '])**2 + (y - py[' + str(i) + '])**2 < radius**2) {\n')
    datei.write('    s' + str(i) + ' = 0.2;\n')
    datei.write('    anpassen();\n')
    datei.write('    document.getElementById("' + str(i) + '").play();\n')
    datei.write('  }\n\n')

  datei.write('}\n\n')
  datei.write('var resizeId;\n\n')
  datei.write('window.addEventListener("resize", warten);\n\n')
  datei.write('function warten() {\n\n')
  datei.write('  clearTimeout(resizeId);\n')
  datei.write('  resizeId = setTimeout(anpassen, 1000);\n\n')
  datei.write('}\n\n')
  datei.write('</script>\n\n')
  datei.write('</body>\n')
  datei.write('</html>\n')

  datei.close()

# -------------------------------------------------------------------------------------------------
# Eventhandler: Drehen des Mausrads - Um 30% der Fensterhöhe nach oben oder unten scrollen
# -------------------------------------------------------------------------------------------------

def mausrad(event):

  if event.num == 5 or event.delta < 0:

    g.shift = int(g.shift - 0.30 * w.winfo_height())
    erneuern()
    	
  if event.num == 4 or event.delta > 0:

    g.shift = int(g.shift + 0.30 * w.winfo_height())
    erneuern()
	
# -------------------------------------------------------------------------------------------------
# Eventhandler: Drücken des Pfeils nach unten - Um 30% der Fensterhöhe nach unten scrollen
# -------------------------------------------------------------------------------------------------

def hinunter(event):

  g.shift = int(g.shift - 0.30 * w.winfo_height())
  erneuern()

# -------------------------------------------------------------------------------------------------
# Eventhandler: Drücken des Pfeils nach oben - Um 30% der Fensterhöhe nach oben scrollen
# -------------------------------------------------------------------------------------------------

def hinauf(event):

  g.shift = int(g.shift + 0.30 * w.winfo_height())
  erneuern()

# -------------------------------------------------------------------------------------------------
# Eventhandler: Drücken der Leertaste - Um 90% der Fensterhöhe nach unten scrollen
# -------------------------------------------------------------------------------------------------

def sprung(event):

  g.shift = int(g.shift - 0.90 * w.winfo_height())
  erneuern()

# -------------------------------------------------------------------------------------------------
# Eventhandler: Drücken von Strg - Einen hellroten Punkt anzeigen und die Aufnahme starten
# -------------------------------------------------------------------------------------------------

def druecken_strg(event):

  r = int(0.013 * f.foto[0].anzeigebreit)

  if p.hell == False:

    if abstand(event.x, event.y, r) == 3:

      if event.x < f.foto[0].anzeigebreit and a2lp(event.y) != -1:
    
        p.fotonummer.append(a2lp(event.y))
        p.horizontal.append(a2lh(event.x))
        p.vertikal.append(a2lv(event.y))
        p.farbe.append('#a00000')

        x = l2ax(len(p.fotonummer) - 1)
        y = l2ay(len(p.fotonummer) - 1)
        p.punkte.append(cv.create_oval(x - r, y - r, x + r, y + r,
          outline = 'black', fill = '#ff0000', width = 3))

        p.hell = True

        p.aufnahme.append(aufnahme())
        p.aufnahme[len(p.fotonummer) - 1].schalter = True
        p.aufnahme[len(p.fotonummer) - 1].start()

# -------------------------------------------------------------------------------------------------
# Eventhandler: Loslassen von Strg - Den Punkt dunkelrot machen und die Aufnahme stoppen
# -------------------------------------------------------------------------------------------------

def loslassen_strg(event):

    if p.hell == True:

      r = int(0.013 * f.foto[0].anzeigebreit)
      x = l2ax(len(p.fotonummer)-1)
      y = l2ay(len(p.fotonummer)-1)

      cv.delete(p.punkte[len(p.fotonummer) - 1])
      p.punkte[len(p.fotonummer) - 1] = cv.create_oval(x - r, y - r, x + r, y + r,
        outline = 'black', fill = '#a00000', width = 3)

      p.hell = False

      p.aufnahme[len(p.fotonummer) - 1].schalter = False

# -------------------------------------------------------------------------------------------------
# Eventhandler: Drücken von Shift - Einen hellgrünen Punkt anzeigen und die Aufnahme starten
# -------------------------------------------------------------------------------------------------

def druecken_shift(event):

  r = int(0.013 * f.foto[0].anzeigebreit)

  if p.hell == False:

    if abstand(event.x, event.y, r) == 3:

      if event.x < f.foto[0].anzeigebreit and a2lp(event.y) != -1:
    
        p.fotonummer.append(a2lp(event.y))
        p.horizontal.append(a2lh(event.x))
        p.vertikal.append(a2lv(event.y))
        p.farbe.append('#00a000')

        x = l2ax(len(p.fotonummer) - 1)
        y = l2ay(len(p.fotonummer) - 1)
        p.punkte.append(cv.create_oval(x - r, y - r, x + r, y + r,
          outline = 'black', fill = '#00ff00', width = 3))

        p.hell = True

        p.aufnahme.append(aufnahme())
        p.aufnahme[len(p.fotonummer) - 1].schalter = True
        p.aufnahme[len(p.fotonummer) - 1].start()

# -------------------------------------------------------------------------------------------------
# Eventhandler: Loslassen von Shift - Den Punkt dunkelgrün machen und die Aufnahme stoppen
# -------------------------------------------------------------------------------------------------

def loslassen_shift(event):

    if p.hell == True:

      r = int(0.013 * f.foto[0].anzeigebreit)
      x = l2ax(len(p.fotonummer)-1)
      y = l2ay(len(p.fotonummer)-1)

      cv.delete(p.punkte[len(p.fotonummer) - 1])
      p.punkte[len(p.fotonummer) - 1] = cv.create_oval(x - r, y - r, x + r, y + r,
        outline = 'black', fill = '#00a000', width = 3)

      p.hell = False

      p.aufnahme[len(p.fotonummer) - 1].schalter = False

# -------------------------------------------------------------------------------------------------
# Funktion zur Suche nach FFmpeg (Ausgabewert "0" bedeutet "gefunden")
# -------------------------------------------------------------------------------------------------

def ffmpegsuchen():

  if platform.system() == 'Windows':

    a = subprocess.call(['where', 'ffmpeg.exe'],
      stdout = subprocess.DEVNULL, stderr = subprocess.DEVNULL)

    verzeichnis = os.listdir()

    if a == 0 and 'ffmpeg.exe' in verzeichnis:

      AudioSegment.converter = os.getcwd() + '\\\\ffmpeg.exe'

    if a == 1 and 'pfadangabe.txt' in verzeichnis: 

      datei = open('pfadangabe.txt', 'r')
      pfad = datei.read()
      datei.close()

      AudioSegment.converter = pfad

      a = 0

  else:

    a = subprocess.call(['which', 'ffmpeg'],
      stdout = subprocess.DEVNULL, stderr = subprocess.DEVNULL)

  return a

# -------------------------------------------------------------------------------------------------
# Funktion zur Probeaufnahme
# -------------------------------------------------------------------------------------------------

def probeaufnahme():

  paformat  = pyaudio.paInt16
  chunk     = 1024
  kanal     = 1
  rate      = 22050

  p         = pyaudio.PyAudio()
  stream    = p.open(
                format = paformat,
                channels = kanal,
                rate = rate,
                frames_per_buffer = chunk,    
                input = True
              )

  data = stream.read(chunk)
      
  stream.stop_stream()
  stream.close()
  p.terminate()

# -------------------------------------------------------------------------------------------------
# Funktion zum Anpassen und erneutem Anzeigen aller Objekte im Fenster
# -------------------------------------------------------------------------------------------------

def erneuern():

  g.shift = int(g.shift * w.winfo_width() / f.foto[0].anzeigebreit)

  for i in range(len(f.foto)):

    cv.delete(f.foto[i].darstellen)
    f.foto[i].anzeigen(w.winfo_width(), g.shift +
      sum([f.foto[j].anzeigehoch for j in range(i)]) + i)

  r = int(0.013 * f.foto[0].anzeigebreit)

  for i in range(len(p.punkte)):

    cv.delete(p.punkte[i])
    p.punkte[i] = cv.create_oval(l2ax(i) - r, l2ay(i) - r, l2ax(i) + r, l2ay(i) + r,
      outline = 'black', fill = p.farbe[i], width = 3)

# -------------------------------------------------------------------------------------------------
# Funktionen zum Umrechnen der Punktedaten zwischen Listenformat ("l") und Anzeigeformat ("a")
# -------------------------------------------------------------------------------------------------

def l2ax(i):

  return int(p.horizontal[i] * f.foto[0].anzeigebreit)

def l2ay(i):

  return int(g.shift + sum([f.foto[j].anzeigehoch for j in range(p.fotonummer[i])]) +
    i + p.vertikal[i] * f.foto[p.fotonummer[i]].anzeigehoch)

def a2lp(y):

  for i in range(len(f.foto)):

    if g.shift + sum([f.foto[j].anzeigehoch for j in range(i)]) + i <= y \
      and y < g.shift + sum([f.foto[j].anzeigehoch for j in range(i + 1)]) + i + 1:

      return i

  return -1

def a2lh(x):

  return x / f.foto[0].anzeigebreit

def a2lv(y):

  return (y - (g.shift + sum([f.foto[j].anzeigehoch for j in range(a2lp(y))]) +
    a2lp(y))) / f.foto[a2lp(y)].anzeigehoch

# -------------------------------------------------------------------------------------------------
# Funktion zur Bewertung des Abstands zu den bisherigen Punkten
# -------------------------------------------------------------------------------------------------

def abstand(x, y, r):

  m = min([7 * r**2] + [(x - l2ax(i))**2 + (y - l2ay(i))**2 for i in range(len(p.fotonummer))])

  if m <= r**2:

    return 1

  elif m <= 6 * r**2:

    return 2

  else:

    return 3

# =================================================================================================
# Hauptprogramm
# =================================================================================================

suchergebnis = ffmpegsuchen()
argumentzahl = len(sys.argv)

# -------------------------------------------------------------------------------------------------
# Sollte FFmpeg nicht gefunden worden sein, frage zumindest den Windows-Benutzer danach.
# -------------------------------------------------------------------------------------------------

if suchergebnis == 1:

  if platform.system() == 'Windows':

    w = tk.Tk()
    w.withdraw()

    pfad = filedialog.askopenfilename(title = 
      "Ersteinrichtung von Audiofeedback: Wo befindet sich ffmpeg.exe?",
      filetypes = (("ffmpeg.exe", "ffmpeg.exe"), ("Alle Dateien", "*.*")))

    if type(pfad) == str:
      if len(pfad) > 0:

        datei = open('pfadangabe.txt', 'w')
        datei.write(pfad)
        datei.close()

# -------------------------------------------------------------------------------------------------
# Sollte kein Argument übergeben worden sein, wird die Anleitung angezeigt.
# -------------------------------------------------------------------------------------------------

if suchergebnis == 0 and argumentzahl == 1:

  w = tk.Tk()

  w.geometry('640x480')
  w.resizable(False, False)
  w.title('Audiofeedback')

  icon = tk.PhotoImage(data = mikro)
  w.iconphoto(False, icon)

  bild = tk.PhotoImage(data = anleitung)
  tk.Label(w, image = bild).pack()

  w.mainloop()

# -------------------------------------------------------------------------------------------------
# Sollte mindestens ein Argument übergeben worden sein, wird das eigentliche Programm ausgeführt.
# -------------------------------------------------------------------------------------------------

if suchergebnis == 0 and argumentzahl >= 2:

  # -----------------------------------------------------------------------------------------------
  # Erzeugen des Fensters und der Zeichenoberfläche
  # -----------------------------------------------------------------------------------------------

  w = tk.Tk()
  g = startgeometrie(w)

  w.geometry('%dx%d+%d+%d' % (g.breit, g.hoch, g.links, g.oben))
  w.title('Audiofeedback')

  icon = tk.PhotoImage(data = mikro)
  w.iconphoto(False, icon)

  cv = tk.Canvas(w, width = g.breit, height = g.hoch)
  cv.pack(fill = tk.BOTH, expand = 1)

  # -----------------------------------------------------------------------------------------------
  # Einbinden der Events
  # -----------------------------------------------------------------------------------------------

  w.bind('w', wiedergabe)
  w.bind('e', entfernen)
  w.bind('s', speichern)

  w.bind('<MouseWheel>', mausrad)  # für Windows
  w.bind('<Button-4>', mausrad)    # für Linux
  w.bind('<Button-5>', mausrad)    # für Linux

  w.bind('<Down>', hinunter)
  w.bind('<Up>', hinauf)

  w.bind('<space>', sprung)

  w.bind('<KeyPress-Control_L>', druecken_strg)
  w.bind('<KeyRelease-Control_L>', loslassen_strg)
  w.bind('<KeyPress-Shift_L>', druecken_shift)
  w.bind('<KeyRelease-Shift_L>', loslassen_shift)

  # -----------------------------------------------------------------------------------------------
  # Laden und Anzeigen der Fotos
  # -----------------------------------------------------------------------------------------------

  f = fotoliste()

  f.argumente = sys.argv[1:]

  for dateiname in f.argumente:
    f.foto.append(foto(dateiname))

  for i in range(len(f.foto)):
    f.foto[i].anzeigen(g.breit, g.shift + sum([f.foto[j].anzeigehoch for j in range(i)]) + i)

  # -----------------------------------------------------------------------------------------------
  # Anlegen der Punkteliste
  # -----------------------------------------------------------------------------------------------

  p = punkteliste()

  # -----------------------------------------------------------------------------------------------
  # Probeaufnahme zur Verhinderung von Verzörgerungen bei der ersten Aufnahme
  # -----------------------------------------------------------------------------------------------

  probeaufnahme()

  # -----------------------------------------------------------------------------------------------
  # Mainloop des Fensters
  # -----------------------------------------------------------------------------------------------

  timer = Timer()
  w.mainloop()

